

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity clk_divider is
    Port ( clk : in std_logic;  
           reset_n : in std_logic;
           clk_out: out std_logic
           );            
end clk_divider;



architecture behavioral of clk_divider is

signal count: std_logic_vector( 3 downto 0);
signal clk_div: std_logic;

begin

-- divider counter
-- The count here will provide a 1 msec period using a 10Khz. clk rate
process (clk,reset_n)
begin
	if reset_n = '0' then		
       count   <= "0000";
       clk_div <= '1';
     elsif clk'event and clk = '1' then
	   if count = "1010" then
	      clk_div <= NOT clk_div;
	      count <= "0000";
	      else
	        count <= count + 1;
	        clk_div <= clk_div;
	    end if;
	end if;
end process;

process(clk_div)
 begin
   clk_out <= clk_div;
end process;

end behavioral;
