

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity led_driver is
    Port ( clk : in std_logic;  
           reset_n : in std_logic;
           count: in std_logic_vector(6 downto 0);
           grn_led: out std_logic;
           yel_led: out std_logic;
           red_led: out std_logic
           );            
end led_driver;



architecture behavioral of led_driver is




begin

-- divider counter
-- The count here will provide a 1 msec period using a 10Khz. clk rate
process (clk,reset_n)
begin
	if reset_n = '0' then		
           grn_led <= '1';
           yel_led <= '1';
           red_led <= '1';
     elsif clk'event and clk = '1' then
	   if count < "0101010" then
	       grn_led <= '0';
           yel_led <= '1';
           red_led <= '1';
	   elsif count >= "0101010" and count < "1011100" then
	        grn_led <= '1';
            yel_led <= '0';
            red_led <= '1';
         else 
	         grn_led <= '1';
             yel_led <= '1';
             red_led <= '0';
	    end if;
	end if;
end process;

end behavioral;
