/*********************************************************************
* file status: RESTRICTED /PROPRIETARY
*
* (c) Copyright 2007, Dallas Logic Corp.
* All rights reserved.
*
* PROPRIETARY INFORMATION
*
* The information contained in this file is the property of Dallas Logic Corp.
* Except as specifically authorized in writing by Dallas Logic Corp.,
* the holder of this file: (1) shall keep all information
* contained herein confidential and shall protect same in whole or in
* part from disclosure and dissemination to all third parties and (2)
* shall use same for operation and maintainence purposes only.
*
*
* Purpose: Quicgate development board source file 
*
*
* Filename:          quicnios.c
* Current Revision:  1.00
* Last Updated:      05/29/2009
*
* Version 1.00 Original source file for NIOSII softcore
* Version 1.01 Simplified to UART and LEDS
*********************************************************************/


#include <stdio.h>
#include <alt_types.h>
#include <unistd.h>
#include <string.h>
#include "altera_avalon_pio_regs.h"
#include "system.h"
#include "epcs_commands.h"
#include "altera_avalon_epcs_flash_controller.h"


// Function declarations

void led_test();

// Main program

int main(void)
  {

   IOWR(LEDS_BASE, 0, 0x7); // turn leds off
   usleep(100000);
   usleep(100000);
   printf("\r\n"); 
   printf("*****************************************************\r\n"); 
   printf("DALLAS LOGIC CORPORATION QUICGATE 3C25\r\n");
   printf("*****************************************************\r\n");  
   
   while (1)
                         {
                           led_test();
                          }    
  }
    

/* This function illuminates each of the three leds found on the Quicgate board
 * for 100 ms per led. It will then continue to cycle throgh illuminating each
 *  led one by one
*/



void led_test()
{
  IOWR(LEDS_BASE, 0, 0x6);
    usleep(100000);
  IOWR(LEDS_BASE, 0, 0x6);
    usleep(100000);
  IOWR(LEDS_BASE, 0, 0x5);
    usleep(100000);
  IOWR(LEDS_BASE, 0, 0x5);
    usleep(100000);
  IOWR(LEDS_BASE, 0, 0x3);
    usleep(100000);
  IOWR(LEDS_BASE, 0, 0x3);
    usleep(100000); 
  IOWR(LEDS_BASE, 0, 0x7);
    usleep(100000);
  IOWR(LEDS_BASE, 0, 0x7);  
return;
}



