--megafunction wizard: %Altera SOPC Builder%
--GENERATION: STANDARD
--VERSION: WM1.0


--Legal Notice: (C)2009 Altera Corporation. All rights reserved.  Your
--use of Altera Corporation's design tools, logic functions and other
--software and tools, and its AMPP partner logic functions, and any
--output files any of the foregoing (including device programming or
--simulation files), and any associated documentation or information are
--expressly subject to the terms and conditions of the Altera Program
--License Subscription Agreement or other applicable license agreement,
--including, without limitation, that your use is for the sole purpose
--of programming logic devices manufactured by Altera and sold by Altera
--or its authorized distributors.  Please refer to the applicable
--agreement for further details.


-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

library std;
use std.textio.all;

entity cpu_0_jtag_debug_module_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_byteenable : IN STD_LOGIC_VECTOR (3 DOWNTO 0);
                 signal cpu_0_data_master_debugaccess : IN STD_LOGIC;
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cpu_0_instruction_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_instruction_master_read : IN STD_LOGIC;
                 signal cpu_0_jtag_debug_module_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cpu_0_jtag_debug_module_resetrequest : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;

              -- outputs:
                 signal cpu_0_data_master_granted_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                 signal cpu_0_data_master_requests_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_granted_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_read_data_valid_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_requests_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                 signal cpu_0_jtag_debug_module_address : OUT STD_LOGIC_VECTOR (8 DOWNTO 0);
                 signal cpu_0_jtag_debug_module_begintransfer : OUT STD_LOGIC;
                 signal cpu_0_jtag_debug_module_byteenable : OUT STD_LOGIC_VECTOR (3 DOWNTO 0);
                 signal cpu_0_jtag_debug_module_chipselect : OUT STD_LOGIC;
                 signal cpu_0_jtag_debug_module_debugaccess : OUT STD_LOGIC;
                 signal cpu_0_jtag_debug_module_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cpu_0_jtag_debug_module_reset : OUT STD_LOGIC;
                 signal cpu_0_jtag_debug_module_reset_n : OUT STD_LOGIC;
                 signal cpu_0_jtag_debug_module_resetrequest_from_sa : OUT STD_LOGIC;
                 signal cpu_0_jtag_debug_module_write : OUT STD_LOGIC;
                 signal cpu_0_jtag_debug_module_writedata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal d1_cpu_0_jtag_debug_module_end_xfer : OUT STD_LOGIC
              );
end entity cpu_0_jtag_debug_module_arbitrator;


architecture europa of cpu_0_jtag_debug_module_arbitrator is
                signal cpu_0_data_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_data_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_data_master_continuerequest :  STD_LOGIC;
                signal cpu_0_data_master_saved_grant_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_instruction_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_instruction_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_instruction_master_continuerequest :  STD_LOGIC;
                signal cpu_0_instruction_master_saved_grant_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_allgrants :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_allow_new_arb_cycle :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_any_bursting_master_saved_grant :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_any_continuerequest :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_arb_addend :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_jtag_debug_module_arb_counter_enable :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_arb_share_counter :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal cpu_0_jtag_debug_module_arb_share_counter_next_value :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal cpu_0_jtag_debug_module_arb_share_set_values :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal cpu_0_jtag_debug_module_arb_winner :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_jtag_debug_module_arbitration_holdoff_internal :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_beginbursttransfer_internal :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_begins_xfer :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_chosen_master_double_vector :  STD_LOGIC_VECTOR (3 DOWNTO 0);
                signal cpu_0_jtag_debug_module_chosen_master_rot_left :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_jtag_debug_module_end_xfer :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_firsttransfer :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_grant_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_jtag_debug_module_in_a_read_cycle :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_in_a_write_cycle :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_master_qreq_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_jtag_debug_module_non_bursting_master_requests :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_reg_firsttransfer :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_saved_chosen_master_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_jtag_debug_module_slavearbiterlockenable :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_slavearbiterlockenable2 :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_unreg_firsttransfer :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_waits_for_read :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_waits_for_write :  STD_LOGIC;
                signal d1_reasons_to_wait :  STD_LOGIC;
                signal enable_nonzero_assertions :  STD_LOGIC;
                signal end_xfer_arb_share_counter_term_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal in_a_read_cycle :  STD_LOGIC;
                signal in_a_write_cycle :  STD_LOGIC;
                signal internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal internal_cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal internal_cpu_0_data_master_requests_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_granted_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_requests_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal internal_cpu_0_jtag_debug_module_reset_n :  STD_LOGIC;
                signal last_cycle_cpu_0_data_master_granted_slave_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal last_cycle_cpu_0_instruction_master_granted_slave_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal shifted_address_to_cpu_0_jtag_debug_module_from_cpu_0_data_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal shifted_address_to_cpu_0_jtag_debug_module_from_cpu_0_instruction_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal wait_for_cpu_0_jtag_debug_module_counter :  STD_LOGIC;

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_reasons_to_wait <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_reasons_to_wait <= NOT cpu_0_jtag_debug_module_end_xfer;
    end if;

  end process;

  cpu_0_jtag_debug_module_begins_xfer <= NOT d1_reasons_to_wait AND ((internal_cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module OR internal_cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module));
  --assign cpu_0_jtag_debug_module_readdata_from_sa = cpu_0_jtag_debug_module_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  cpu_0_jtag_debug_module_readdata_from_sa <= cpu_0_jtag_debug_module_readdata;
  internal_cpu_0_data_master_requests_cpu_0_jtag_debug_module <= to_std_logic(((Std_Logic_Vector'(cpu_0_data_master_address_to_slave(19 DOWNTO 11) & std_logic_vector'("00000000000")) = std_logic_vector'("00000000100000000000")))) AND ((cpu_0_data_master_read OR cpu_0_data_master_write));
  --cpu_0_jtag_debug_module_arb_share_counter set values, which is an e_mux
  cpu_0_jtag_debug_module_arb_share_set_values <= std_logic_vector'("001");
  --cpu_0_jtag_debug_module_non_bursting_master_requests mux, which is an e_mux
  cpu_0_jtag_debug_module_non_bursting_master_requests <= ((internal_cpu_0_data_master_requests_cpu_0_jtag_debug_module OR internal_cpu_0_instruction_master_requests_cpu_0_jtag_debug_module) OR internal_cpu_0_data_master_requests_cpu_0_jtag_debug_module) OR internal_cpu_0_instruction_master_requests_cpu_0_jtag_debug_module;
  --cpu_0_jtag_debug_module_any_bursting_master_saved_grant mux, which is an e_mux
  cpu_0_jtag_debug_module_any_bursting_master_saved_grant <= std_logic'('0');
  --cpu_0_jtag_debug_module_arb_share_counter_next_value assignment, which is an e_assign
  cpu_0_jtag_debug_module_arb_share_counter_next_value <= A_EXT (A_WE_StdLogicVector((std_logic'(cpu_0_jtag_debug_module_firsttransfer) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (cpu_0_jtag_debug_module_arb_share_set_values)) - std_logic_vector'("000000000000000000000000000000001"))), A_WE_StdLogicVector((std_logic'(or_reduce(cpu_0_jtag_debug_module_arb_share_counter)) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (cpu_0_jtag_debug_module_arb_share_counter)) - std_logic_vector'("000000000000000000000000000000001"))), std_logic_vector'("000000000000000000000000000000000"))), 3);
  --cpu_0_jtag_debug_module_allgrants all slave grants, which is an e_mux
  cpu_0_jtag_debug_module_allgrants <= (((or_reduce(cpu_0_jtag_debug_module_grant_vector)) OR (or_reduce(cpu_0_jtag_debug_module_grant_vector))) OR (or_reduce(cpu_0_jtag_debug_module_grant_vector))) OR (or_reduce(cpu_0_jtag_debug_module_grant_vector));
  --cpu_0_jtag_debug_module_end_xfer assignment, which is an e_assign
  cpu_0_jtag_debug_module_end_xfer <= NOT ((cpu_0_jtag_debug_module_waits_for_read OR cpu_0_jtag_debug_module_waits_for_write));
  --end_xfer_arb_share_counter_term_cpu_0_jtag_debug_module arb share counter enable term, which is an e_assign
  end_xfer_arb_share_counter_term_cpu_0_jtag_debug_module <= cpu_0_jtag_debug_module_end_xfer AND (((NOT cpu_0_jtag_debug_module_any_bursting_master_saved_grant OR in_a_read_cycle) OR in_a_write_cycle));
  --cpu_0_jtag_debug_module_arb_share_counter arbitration counter enable, which is an e_assign
  cpu_0_jtag_debug_module_arb_counter_enable <= ((end_xfer_arb_share_counter_term_cpu_0_jtag_debug_module AND cpu_0_jtag_debug_module_allgrants)) OR ((end_xfer_arb_share_counter_term_cpu_0_jtag_debug_module AND NOT cpu_0_jtag_debug_module_non_bursting_master_requests));
  --cpu_0_jtag_debug_module_arb_share_counter counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cpu_0_jtag_debug_module_arb_share_counter <= std_logic_vector'("000");
    elsif clk'event and clk = '1' then
      if std_logic'(cpu_0_jtag_debug_module_arb_counter_enable) = '1' then 
        cpu_0_jtag_debug_module_arb_share_counter <= cpu_0_jtag_debug_module_arb_share_counter_next_value;
      end if;
    end if;

  end process;

  --cpu_0_jtag_debug_module_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cpu_0_jtag_debug_module_slavearbiterlockenable <= std_logic'('0');
    elsif clk'event and clk = '1' then
      if std_logic'((((or_reduce(cpu_0_jtag_debug_module_master_qreq_vector) AND end_xfer_arb_share_counter_term_cpu_0_jtag_debug_module)) OR ((end_xfer_arb_share_counter_term_cpu_0_jtag_debug_module AND NOT cpu_0_jtag_debug_module_non_bursting_master_requests)))) = '1' then 
        cpu_0_jtag_debug_module_slavearbiterlockenable <= or_reduce(cpu_0_jtag_debug_module_arb_share_counter_next_value);
      end if;
    end if;

  end process;

  --cpu_0/data_master cpu_0/jtag_debug_module arbiterlock, which is an e_assign
  cpu_0_data_master_arbiterlock <= cpu_0_jtag_debug_module_slavearbiterlockenable AND cpu_0_data_master_continuerequest;
  --cpu_0_jtag_debug_module_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  cpu_0_jtag_debug_module_slavearbiterlockenable2 <= or_reduce(cpu_0_jtag_debug_module_arb_share_counter_next_value);
  --cpu_0/data_master cpu_0/jtag_debug_module arbiterlock2, which is an e_assign
  cpu_0_data_master_arbiterlock2 <= cpu_0_jtag_debug_module_slavearbiterlockenable2 AND cpu_0_data_master_continuerequest;
  --cpu_0/instruction_master cpu_0/jtag_debug_module arbiterlock, which is an e_assign
  cpu_0_instruction_master_arbiterlock <= cpu_0_jtag_debug_module_slavearbiterlockenable AND cpu_0_instruction_master_continuerequest;
  --cpu_0/instruction_master cpu_0/jtag_debug_module arbiterlock2, which is an e_assign
  cpu_0_instruction_master_arbiterlock2 <= cpu_0_jtag_debug_module_slavearbiterlockenable2 AND cpu_0_instruction_master_continuerequest;
  --cpu_0/instruction_master granted cpu_0/jtag_debug_module last time, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      last_cycle_cpu_0_instruction_master_granted_slave_cpu_0_jtag_debug_module <= std_logic'('0');
    elsif clk'event and clk = '1' then
      last_cycle_cpu_0_instruction_master_granted_slave_cpu_0_jtag_debug_module <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'(cpu_0_instruction_master_saved_grant_cpu_0_jtag_debug_module) = '1'), std_logic_vector'("00000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'(((cpu_0_jtag_debug_module_arbitration_holdoff_internal OR NOT internal_cpu_0_instruction_master_requests_cpu_0_jtag_debug_module))) = '1'), std_logic_vector'("00000000000000000000000000000000"), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(last_cycle_cpu_0_instruction_master_granted_slave_cpu_0_jtag_debug_module))))));
    end if;

  end process;

  --cpu_0_instruction_master_continuerequest continued request, which is an e_mux
  cpu_0_instruction_master_continuerequest <= last_cycle_cpu_0_instruction_master_granted_slave_cpu_0_jtag_debug_module AND internal_cpu_0_instruction_master_requests_cpu_0_jtag_debug_module;
  --cpu_0_jtag_debug_module_any_continuerequest at least one master continues requesting, which is an e_mux
  cpu_0_jtag_debug_module_any_continuerequest <= cpu_0_instruction_master_continuerequest OR cpu_0_data_master_continuerequest;
  internal_cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module <= internal_cpu_0_data_master_requests_cpu_0_jtag_debug_module AND NOT (((((NOT cpu_0_data_master_waitrequest) AND cpu_0_data_master_write)) OR cpu_0_instruction_master_arbiterlock));
  --cpu_0_jtag_debug_module_writedata mux, which is an e_mux
  cpu_0_jtag_debug_module_writedata <= cpu_0_data_master_writedata;
  internal_cpu_0_instruction_master_requests_cpu_0_jtag_debug_module <= ((to_std_logic(((Std_Logic_Vector'(cpu_0_instruction_master_address_to_slave(19 DOWNTO 11) & std_logic_vector'("00000000000")) = std_logic_vector'("00000000100000000000")))) AND (cpu_0_instruction_master_read))) AND cpu_0_instruction_master_read;
  --cpu_0/data_master granted cpu_0/jtag_debug_module last time, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      last_cycle_cpu_0_data_master_granted_slave_cpu_0_jtag_debug_module <= std_logic'('0');
    elsif clk'event and clk = '1' then
      last_cycle_cpu_0_data_master_granted_slave_cpu_0_jtag_debug_module <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'(cpu_0_data_master_saved_grant_cpu_0_jtag_debug_module) = '1'), std_logic_vector'("00000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'(((cpu_0_jtag_debug_module_arbitration_holdoff_internal OR NOT internal_cpu_0_data_master_requests_cpu_0_jtag_debug_module))) = '1'), std_logic_vector'("00000000000000000000000000000000"), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(last_cycle_cpu_0_data_master_granted_slave_cpu_0_jtag_debug_module))))));
    end if;

  end process;

  --cpu_0_data_master_continuerequest continued request, which is an e_mux
  cpu_0_data_master_continuerequest <= last_cycle_cpu_0_data_master_granted_slave_cpu_0_jtag_debug_module AND internal_cpu_0_data_master_requests_cpu_0_jtag_debug_module;
  internal_cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module <= internal_cpu_0_instruction_master_requests_cpu_0_jtag_debug_module AND NOT (cpu_0_data_master_arbiterlock);
  --allow new arb cycle for cpu_0/jtag_debug_module, which is an e_assign
  cpu_0_jtag_debug_module_allow_new_arb_cycle <= NOT cpu_0_data_master_arbiterlock AND NOT cpu_0_instruction_master_arbiterlock;
  --cpu_0/instruction_master assignment into master qualified-requests vector for cpu_0/jtag_debug_module, which is an e_assign
  cpu_0_jtag_debug_module_master_qreq_vector(0) <= internal_cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module;
  --cpu_0/instruction_master grant cpu_0/jtag_debug_module, which is an e_assign
  internal_cpu_0_instruction_master_granted_cpu_0_jtag_debug_module <= cpu_0_jtag_debug_module_grant_vector(0);
  --cpu_0/instruction_master saved-grant cpu_0/jtag_debug_module, which is an e_assign
  cpu_0_instruction_master_saved_grant_cpu_0_jtag_debug_module <= cpu_0_jtag_debug_module_arb_winner(0) AND internal_cpu_0_instruction_master_requests_cpu_0_jtag_debug_module;
  --cpu_0/data_master assignment into master qualified-requests vector for cpu_0/jtag_debug_module, which is an e_assign
  cpu_0_jtag_debug_module_master_qreq_vector(1) <= internal_cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module;
  --cpu_0/data_master grant cpu_0/jtag_debug_module, which is an e_assign
  internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module <= cpu_0_jtag_debug_module_grant_vector(1);
  --cpu_0/data_master saved-grant cpu_0/jtag_debug_module, which is an e_assign
  cpu_0_data_master_saved_grant_cpu_0_jtag_debug_module <= cpu_0_jtag_debug_module_arb_winner(1) AND internal_cpu_0_data_master_requests_cpu_0_jtag_debug_module;
  --cpu_0/jtag_debug_module chosen-master double-vector, which is an e_assign
  cpu_0_jtag_debug_module_chosen_master_double_vector <= A_EXT (((std_logic_vector'("0") & ((cpu_0_jtag_debug_module_master_qreq_vector & cpu_0_jtag_debug_module_master_qreq_vector))) AND (((std_logic_vector'("0") & (Std_Logic_Vector'(NOT cpu_0_jtag_debug_module_master_qreq_vector & NOT cpu_0_jtag_debug_module_master_qreq_vector))) + (std_logic_vector'("000") & (cpu_0_jtag_debug_module_arb_addend))))), 4);
  --stable onehot encoding of arb winner
  cpu_0_jtag_debug_module_arb_winner <= A_WE_StdLogicVector((std_logic'(((cpu_0_jtag_debug_module_allow_new_arb_cycle AND or_reduce(cpu_0_jtag_debug_module_grant_vector)))) = '1'), cpu_0_jtag_debug_module_grant_vector, cpu_0_jtag_debug_module_saved_chosen_master_vector);
  --saved cpu_0_jtag_debug_module_grant_vector, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cpu_0_jtag_debug_module_saved_chosen_master_vector <= std_logic_vector'("00");
    elsif clk'event and clk = '1' then
      if std_logic'(cpu_0_jtag_debug_module_allow_new_arb_cycle) = '1' then 
        cpu_0_jtag_debug_module_saved_chosen_master_vector <= A_WE_StdLogicVector((std_logic'(or_reduce(cpu_0_jtag_debug_module_grant_vector)) = '1'), cpu_0_jtag_debug_module_grant_vector, cpu_0_jtag_debug_module_saved_chosen_master_vector);
      end if;
    end if;

  end process;

  --onehot encoding of chosen master
  cpu_0_jtag_debug_module_grant_vector <= Std_Logic_Vector'(A_ToStdLogicVector(((cpu_0_jtag_debug_module_chosen_master_double_vector(1) OR cpu_0_jtag_debug_module_chosen_master_double_vector(3)))) & A_ToStdLogicVector(((cpu_0_jtag_debug_module_chosen_master_double_vector(0) OR cpu_0_jtag_debug_module_chosen_master_double_vector(2)))));
  --cpu_0/jtag_debug_module chosen master rotated left, which is an e_assign
  cpu_0_jtag_debug_module_chosen_master_rot_left <= A_EXT (A_WE_StdLogicVector((((A_SLL(cpu_0_jtag_debug_module_arb_winner,std_logic_vector'("00000000000000000000000000000001")))) /= std_logic_vector'("00")), (std_logic_vector'("000000000000000000000000000000") & ((A_SLL(cpu_0_jtag_debug_module_arb_winner,std_logic_vector'("00000000000000000000000000000001"))))), std_logic_vector'("00000000000000000000000000000001")), 2);
  --cpu_0/jtag_debug_module's addend for next-master-grant
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cpu_0_jtag_debug_module_arb_addend <= std_logic_vector'("01");
    elsif clk'event and clk = '1' then
      if std_logic'(or_reduce(cpu_0_jtag_debug_module_grant_vector)) = '1' then 
        cpu_0_jtag_debug_module_arb_addend <= A_WE_StdLogicVector((std_logic'(cpu_0_jtag_debug_module_end_xfer) = '1'), cpu_0_jtag_debug_module_chosen_master_rot_left, cpu_0_jtag_debug_module_grant_vector);
      end if;
    end if;

  end process;

  cpu_0_jtag_debug_module_begintransfer <= cpu_0_jtag_debug_module_begins_xfer;
  --assign lhs ~cpu_0_jtag_debug_module_reset of type reset_n to cpu_0_jtag_debug_module_reset_n, which is an e_assign
  cpu_0_jtag_debug_module_reset <= NOT internal_cpu_0_jtag_debug_module_reset_n;
  --cpu_0_jtag_debug_module_reset_n assignment, which is an e_assign
  internal_cpu_0_jtag_debug_module_reset_n <= reset_n;
  --assign cpu_0_jtag_debug_module_resetrequest_from_sa = cpu_0_jtag_debug_module_resetrequest so that symbol knows where to group signals which may go to master only, which is an e_assign
  cpu_0_jtag_debug_module_resetrequest_from_sa <= cpu_0_jtag_debug_module_resetrequest;
  cpu_0_jtag_debug_module_chipselect <= internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module OR internal_cpu_0_instruction_master_granted_cpu_0_jtag_debug_module;
  --cpu_0_jtag_debug_module_firsttransfer first transaction, which is an e_assign
  cpu_0_jtag_debug_module_firsttransfer <= A_WE_StdLogic((std_logic'(cpu_0_jtag_debug_module_begins_xfer) = '1'), cpu_0_jtag_debug_module_unreg_firsttransfer, cpu_0_jtag_debug_module_reg_firsttransfer);
  --cpu_0_jtag_debug_module_unreg_firsttransfer first transaction, which is an e_assign
  cpu_0_jtag_debug_module_unreg_firsttransfer <= NOT ((cpu_0_jtag_debug_module_slavearbiterlockenable AND cpu_0_jtag_debug_module_any_continuerequest));
  --cpu_0_jtag_debug_module_reg_firsttransfer first transaction, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cpu_0_jtag_debug_module_reg_firsttransfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      if std_logic'(cpu_0_jtag_debug_module_begins_xfer) = '1' then 
        cpu_0_jtag_debug_module_reg_firsttransfer <= cpu_0_jtag_debug_module_unreg_firsttransfer;
      end if;
    end if;

  end process;

  --cpu_0_jtag_debug_module_beginbursttransfer_internal begin burst transfer, which is an e_assign
  cpu_0_jtag_debug_module_beginbursttransfer_internal <= cpu_0_jtag_debug_module_begins_xfer;
  --cpu_0_jtag_debug_module_arbitration_holdoff_internal arbitration_holdoff, which is an e_assign
  cpu_0_jtag_debug_module_arbitration_holdoff_internal <= cpu_0_jtag_debug_module_begins_xfer AND cpu_0_jtag_debug_module_firsttransfer;
  --cpu_0_jtag_debug_module_write assignment, which is an e_mux
  cpu_0_jtag_debug_module_write <= internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module AND cpu_0_data_master_write;
  shifted_address_to_cpu_0_jtag_debug_module_from_cpu_0_data_master <= cpu_0_data_master_address_to_slave;
  --cpu_0_jtag_debug_module_address mux, which is an e_mux
  cpu_0_jtag_debug_module_address <= A_EXT (A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module)) = '1'), (A_SRL(shifted_address_to_cpu_0_jtag_debug_module_from_cpu_0_data_master,std_logic_vector'("00000000000000000000000000000010"))), (A_SRL(shifted_address_to_cpu_0_jtag_debug_module_from_cpu_0_instruction_master,std_logic_vector'("00000000000000000000000000000010")))), 9);
  shifted_address_to_cpu_0_jtag_debug_module_from_cpu_0_instruction_master <= cpu_0_instruction_master_address_to_slave;
  --d1_cpu_0_jtag_debug_module_end_xfer register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_cpu_0_jtag_debug_module_end_xfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      d1_cpu_0_jtag_debug_module_end_xfer <= cpu_0_jtag_debug_module_end_xfer;
    end if;

  end process;

  --cpu_0_jtag_debug_module_waits_for_read in a cycle, which is an e_mux
  cpu_0_jtag_debug_module_waits_for_read <= cpu_0_jtag_debug_module_in_a_read_cycle AND cpu_0_jtag_debug_module_begins_xfer;
  --cpu_0_jtag_debug_module_in_a_read_cycle assignment, which is an e_assign
  cpu_0_jtag_debug_module_in_a_read_cycle <= ((internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module AND cpu_0_data_master_read)) OR ((internal_cpu_0_instruction_master_granted_cpu_0_jtag_debug_module AND cpu_0_instruction_master_read));
  --in_a_read_cycle assignment, which is an e_mux
  in_a_read_cycle <= cpu_0_jtag_debug_module_in_a_read_cycle;
  --cpu_0_jtag_debug_module_waits_for_write in a cycle, which is an e_mux
  cpu_0_jtag_debug_module_waits_for_write <= Vector_To_Std_Logic(((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_jtag_debug_module_in_a_write_cycle))) AND std_logic_vector'("00000000000000000000000000000000")));
  --cpu_0_jtag_debug_module_in_a_write_cycle assignment, which is an e_assign
  cpu_0_jtag_debug_module_in_a_write_cycle <= internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module AND cpu_0_data_master_write;
  --in_a_write_cycle assignment, which is an e_mux
  in_a_write_cycle <= cpu_0_jtag_debug_module_in_a_write_cycle;
  wait_for_cpu_0_jtag_debug_module_counter <= std_logic'('0');
  --cpu_0_jtag_debug_module_byteenable byte enable port mux, which is an e_mux
  cpu_0_jtag_debug_module_byteenable <= A_EXT (A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module)) = '1'), (std_logic_vector'("0000000000000000000000000000") & (cpu_0_data_master_byteenable)), -SIGNED(std_logic_vector'("00000000000000000000000000000001"))), 4);
  --debugaccess mux, which is an e_mux
  cpu_0_jtag_debug_module_debugaccess <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module)) = '1'), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_debugaccess))), std_logic_vector'("00000000000000000000000000000000")));
  --vhdl renameroo for output signals
  cpu_0_data_master_granted_cpu_0_jtag_debug_module <= internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module;
  --vhdl renameroo for output signals
  cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module <= internal_cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module;
  --vhdl renameroo for output signals
  cpu_0_data_master_requests_cpu_0_jtag_debug_module <= internal_cpu_0_data_master_requests_cpu_0_jtag_debug_module;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_granted_cpu_0_jtag_debug_module <= internal_cpu_0_instruction_master_granted_cpu_0_jtag_debug_module;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module <= internal_cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_requests_cpu_0_jtag_debug_module <= internal_cpu_0_instruction_master_requests_cpu_0_jtag_debug_module;
  --vhdl renameroo for output signals
  cpu_0_jtag_debug_module_reset_n <= internal_cpu_0_jtag_debug_module_reset_n;
--synthesis translate_off
    --cpu_0/jtag_debug_module enable non-zero assertions, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        enable_nonzero_assertions <= std_logic'('0');
      elsif clk'event and clk = '1' then
        enable_nonzero_assertions <= std_logic'('1');
      end if;

    end process;

    --grant signals are active simultaneously, which is an e_process
    process (clk)
    VARIABLE write_line : line;
    begin
      if clk'event and clk = '1' then
        if (std_logic_vector'("000000000000000000000000000000") & (((std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(internal_cpu_0_data_master_granted_cpu_0_jtag_debug_module))) + (std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(internal_cpu_0_instruction_master_granted_cpu_0_jtag_debug_module))))))>std_logic_vector'("00000000000000000000000000000001") then 
          write(write_line, now);
          write(write_line, string'(": "));
          write(write_line, string'("> 1 of grant signals are active simultaneously"));
          write(output, write_line.all);
          deallocate (write_line);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

    --saved_grant signals are active simultaneously, which is an e_process
    process (clk)
    VARIABLE write_line1 : line;
    begin
      if clk'event and clk = '1' then
        if (std_logic_vector'("000000000000000000000000000000") & (((std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_saved_grant_cpu_0_jtag_debug_module))) + (std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(cpu_0_instruction_master_saved_grant_cpu_0_jtag_debug_module))))))>std_logic_vector'("00000000000000000000000000000001") then 
          write(write_line1, now);
          write(write_line1, string'(": "));
          write(write_line1, string'("> 1 of saved_grant signals are active simultaneously"));
          write(output, write_line1.all);
          deallocate (write_line1);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity cpu_0_data_master_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal cpu_0_data_master_granted_cpu_0_jtag_debug_module : IN STD_LOGIC;
                 signal cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                 signal cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave : IN STD_LOGIC;
                 signal cpu_0_data_master_granted_leds_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_granted_sysid_control_slave : IN STD_LOGIC;
                 signal cpu_0_data_master_granted_timer_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_granted_uart_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_granted_vector_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module : IN STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave : IN STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_leds_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_sysid_control_slave : IN STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_timer_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_uart_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_vector_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_cpu_0_jtag_debug_module : IN STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_jtag_uart_avalon_jtag_slave : IN STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_leds_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_sysid_control_slave : IN STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_timer_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_uart_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_vector_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_requests_cpu_0_jtag_debug_module : IN STD_LOGIC;
                 signal cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                 signal cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave : IN STD_LOGIC;
                 signal cpu_0_data_master_requests_leds_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_requests_sysid_control_slave : IN STD_LOGIC;
                 signal cpu_0_data_master_requests_timer_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_requests_uart_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_requests_vector_s1 : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cpu_0_jtag_debug_module_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 : IN STD_LOGIC;
                 signal d1_cpu_0_jtag_debug_module_end_xfer : IN STD_LOGIC;
                 signal d1_epcs_flash_controller_epcs_control_port_end_xfer : IN STD_LOGIC;
                 signal d1_jtag_uart_avalon_jtag_slave_end_xfer : IN STD_LOGIC;
                 signal d1_leds_s1_end_xfer : IN STD_LOGIC;
                 signal d1_sysid_control_slave_end_xfer : IN STD_LOGIC;
                 signal d1_timer_s1_end_xfer : IN STD_LOGIC;
                 signal d1_tri_state_bridge_avalon_slave_end_xfer : IN STD_LOGIC;
                 signal d1_uart_s1_end_xfer : IN STD_LOGIC;
                 signal d1_vector_s1_end_xfer : IN STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_irq_from_sa : IN STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal incoming_data_to_and_from_the_cy7c1049cv33 : IN STD_LOGIC_VECTOR (7 DOWNTO 0);
                 signal jtag_uart_avalon_jtag_slave_irq_from_sa : IN STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal jtag_uart_avalon_jtag_slave_waitrequest_from_sa : IN STD_LOGIC;
                 signal leds_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (2 DOWNTO 0);
                 signal registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal registered_cpu_0_data_master_read_data_valid_vector_s1 : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;
                 signal sysid_control_slave_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal timer_s1_irq_from_sa : IN STD_LOGIC;
                 signal timer_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (15 DOWNTO 0);
                 signal uart_s1_irq_from_sa : IN STD_LOGIC;
                 signal uart_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (15 DOWNTO 0);
                 signal vector_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

              -- outputs:
                 signal cpu_0_data_master_address_to_slave : OUT STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_dbs_address : OUT STD_LOGIC_VECTOR (1 DOWNTO 0);
                 signal cpu_0_data_master_dbs_write_8 : OUT STD_LOGIC_VECTOR (7 DOWNTO 0);
                 signal cpu_0_data_master_irq : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cpu_0_data_master_no_byte_enables_and_last_term : OUT STD_LOGIC;
                 signal cpu_0_data_master_readdata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cpu_0_data_master_waitrequest : OUT STD_LOGIC
              );
end entity cpu_0_data_master_arbitrator;


architecture europa of cpu_0_data_master_arbitrator is
                signal cpu_0_data_master_dbs_increment :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_data_master_run :  STD_LOGIC;
                signal dbs_8_reg_segment_0 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal dbs_8_reg_segment_1 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal dbs_8_reg_segment_2 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal dbs_count_enable :  STD_LOGIC;
                signal dbs_counter_overflow :  STD_LOGIC;
                signal internal_cpu_0_data_master_address_to_slave :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal internal_cpu_0_data_master_dbs_address :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal internal_cpu_0_data_master_no_byte_enables_and_last_term :  STD_LOGIC;
                signal internal_cpu_0_data_master_waitrequest :  STD_LOGIC;
                signal last_dbs_term_and_run :  STD_LOGIC;
                signal next_dbs_address :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal p1_dbs_8_reg_segment_0 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal p1_dbs_8_reg_segment_1 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal p1_dbs_8_reg_segment_2 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal p1_registered_cpu_0_data_master_readdata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal pre_dbs_count_enable :  STD_LOGIC;
                signal r_0 :  STD_LOGIC;
                signal r_1 :  STD_LOGIC;
                signal registered_cpu_0_data_master_readdata :  STD_LOGIC_VECTOR (31 DOWNTO 0);

begin

  --r_0 master_run cascaded wait assignment, which is an e_assign
  r_0 <= Vector_To_Std_Logic((((((((((((((((((((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module OR NOT cpu_0_data_master_requests_cpu_0_jtag_debug_module)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_granted_cpu_0_jtag_debug_module OR NOT cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module)))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module OR NOT cpu_0_data_master_read)))) OR (((std_logic_vector'("00000000000000000000000000000001") AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_read)))))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module OR NOT cpu_0_data_master_write)))) OR ((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_write)))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port OR NOT cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port OR NOT cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port)))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port OR NOT ((cpu_0_data_master_read OR cpu_0_data_master_write)))))) OR (((std_logic_vector'("00000000000000000000000000000001") AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_read OR cpu_0_data_master_write)))))))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port OR NOT ((cpu_0_data_master_read OR cpu_0_data_master_write)))))) OR (((std_logic_vector'("00000000000000000000000000000001") AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_read OR cpu_0_data_master_write)))))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave OR NOT cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave)))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave OR NOT ((cpu_0_data_master_read OR cpu_0_data_master_write)))))) OR (((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(NOT jtag_uart_avalon_jtag_slave_waitrequest_from_sa)))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_read OR cpu_0_data_master_write)))))))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave OR NOT ((cpu_0_data_master_read OR cpu_0_data_master_write)))))) OR (((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(NOT jtag_uart_avalon_jtag_slave_waitrequest_from_sa)))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_read OR cpu_0_data_master_write)))))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_qualified_request_leds_s1 OR NOT cpu_0_data_master_requests_leds_s1)))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_leds_s1 OR NOT cpu_0_data_master_read)))) OR (((std_logic_vector'("00000000000000000000000000000001") AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_read)))))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_leds_s1 OR NOT cpu_0_data_master_write)))) OR ((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_write)))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_sysid_control_slave OR NOT cpu_0_data_master_read)))) OR (((std_logic_vector'("00000000000000000000000000000001") AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_read)))))))));
  --cascaded wait assignment, which is an e_assign
  cpu_0_data_master_run <= r_0 AND r_1;
  --r_1 master_run cascaded wait assignment, which is an e_assign
  r_1 <= Vector_To_Std_Logic(((((((((((((((((((((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_sysid_control_slave OR NOT cpu_0_data_master_write)))) OR ((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_write))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_qualified_request_timer_s1 OR NOT cpu_0_data_master_requests_timer_s1)))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_timer_s1 OR NOT cpu_0_data_master_read)))) OR (((std_logic_vector'("00000000000000000000000000000001") AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_read)))))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_timer_s1 OR NOT cpu_0_data_master_write)))) OR ((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_write)))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((((cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 OR (((registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 AND internal_cpu_0_data_master_dbs_address(1)) AND internal_cpu_0_data_master_dbs_address(0)))) OR ((((cpu_0_data_master_write AND NOT(cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0)) AND internal_cpu_0_data_master_dbs_address(1)) AND internal_cpu_0_data_master_dbs_address(0)))) OR NOT cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 OR NOT cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((((NOT cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 OR NOT cpu_0_data_master_read) OR (((registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 AND ((internal_cpu_0_data_master_dbs_address(1) AND internal_cpu_0_data_master_dbs_address(0)))) AND cpu_0_data_master_read)))))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 OR NOT cpu_0_data_master_write)))) OR ((((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(NOT d1_tri_state_bridge_avalon_slave_end_xfer)))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((internal_cpu_0_data_master_dbs_address(1) AND internal_cpu_0_data_master_dbs_address(0))))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_write)))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_uart_s1 OR NOT ((cpu_0_data_master_read OR cpu_0_data_master_write)))))) OR (((std_logic_vector'("00000000000000000000000000000001") AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_read OR cpu_0_data_master_write)))))))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_uart_s1 OR NOT ((cpu_0_data_master_read OR cpu_0_data_master_write)))))) OR (((std_logic_vector'("00000000000000000000000000000001") AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_read OR cpu_0_data_master_write)))))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((((cpu_0_data_master_qualified_request_vector_s1 OR registered_cpu_0_data_master_read_data_valid_vector_s1) OR NOT cpu_0_data_master_requests_vector_s1)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_granted_vector_s1 OR NOT cpu_0_data_master_qualified_request_vector_s1)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((((NOT cpu_0_data_master_qualified_request_vector_s1 OR NOT cpu_0_data_master_read) OR ((registered_cpu_0_data_master_read_data_valid_vector_s1 AND cpu_0_data_master_read)))))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_data_master_qualified_request_vector_s1 OR NOT ((cpu_0_data_master_read OR cpu_0_data_master_write)))))) OR ((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_read OR cpu_0_data_master_write)))))))))));
  --optimize select-logic by passing only those address bits which matter.
  internal_cpu_0_data_master_address_to_slave <= cpu_0_data_master_address(19 DOWNTO 0);
  --cpu_0/data_master readdata mux, which is an e_mux
  cpu_0_data_master_readdata <= (((((((((A_REP(NOT cpu_0_data_master_requests_cpu_0_jtag_debug_module, 32) OR cpu_0_jtag_debug_module_readdata_from_sa)) AND ((A_REP(NOT cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port, 32) OR epcs_flash_controller_epcs_control_port_readdata_from_sa))) AND ((A_REP(NOT cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave, 32) OR registered_cpu_0_data_master_readdata))) AND ((A_REP(NOT cpu_0_data_master_requests_leds_s1, 32) OR (std_logic_vector'("00000000000000000000000000000") & (leds_s1_readdata_from_sa))))) AND ((A_REP(NOT cpu_0_data_master_requests_sysid_control_slave, 32) OR sysid_control_slave_readdata_from_sa))) AND ((A_REP(NOT cpu_0_data_master_requests_timer_s1, 32) OR (std_logic_vector'("0000000000000000") & (timer_s1_readdata_from_sa))))) AND ((A_REP(NOT cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0, 32) OR Std_Logic_Vector'(incoming_data_to_and_from_the_cy7c1049cv33(7 DOWNTO 0) & dbs_8_reg_segment_2 & dbs_8_reg_segment_1 & dbs_8_reg_segment_0)))) AND ((A_REP(NOT cpu_0_data_master_requests_uart_s1, 32) OR (std_logic_vector'("0000000000000000") & (uart_s1_readdata_from_sa))))) AND ((A_REP(NOT cpu_0_data_master_requests_vector_s1, 32) OR vector_s1_readdata_from_sa));
  --actual waitrequest port, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      internal_cpu_0_data_master_waitrequest <= Vector_To_Std_Logic(NOT std_logic_vector'("00000000000000000000000000000000"));
    elsif clk'event and clk = '1' then
      internal_cpu_0_data_master_waitrequest <= Vector_To_Std_Logic(NOT (A_WE_StdLogicVector((std_logic'((NOT ((cpu_0_data_master_read OR cpu_0_data_master_write)))) = '1'), std_logic_vector'("00000000000000000000000000000000"), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_data_master_run AND internal_cpu_0_data_master_waitrequest))))))));
    end if;

  end process;

  --irq assign, which is an e_assign
  cpu_0_data_master_irq <= Std_Logic_Vector'(A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(std_logic'('0')) & A_ToStdLogicVector(uart_s1_irq_from_sa) & A_ToStdLogicVector(jtag_uart_avalon_jtag_slave_irq_from_sa) & A_ToStdLogicVector(timer_s1_irq_from_sa) & A_ToStdLogicVector(epcs_flash_controller_epcs_control_port_irq_from_sa));
  --unpredictable registered wait state incoming data, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      registered_cpu_0_data_master_readdata <= std_logic_vector'("00000000000000000000000000000000");
    elsif clk'event and clk = '1' then
      registered_cpu_0_data_master_readdata <= p1_registered_cpu_0_data_master_readdata;
    end if;

  end process;

  --registered readdata mux, which is an e_mux
  p1_registered_cpu_0_data_master_readdata <= A_REP(NOT cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave, 32) OR jtag_uart_avalon_jtag_slave_readdata_from_sa;
  --no_byte_enables_and_last_term, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      internal_cpu_0_data_master_no_byte_enables_and_last_term <= std_logic'('0');
    elsif clk'event and clk = '1' then
      internal_cpu_0_data_master_no_byte_enables_and_last_term <= last_dbs_term_and_run;
    end if;

  end process;

  --compute the last dbs term, which is an e_mux
  last_dbs_term_and_run <= (to_std_logic(((internal_cpu_0_data_master_dbs_address = std_logic_vector'("11")))) AND cpu_0_data_master_write) AND NOT(cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0);
  --pre dbs count enable, which is an e_mux
  pre_dbs_count_enable <= Vector_To_Std_Logic(((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((((((NOT internal_cpu_0_data_master_no_byte_enables_and_last_term) AND cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0) AND cpu_0_data_master_write) AND NOT(cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0))) OR cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0)))) OR (((((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 AND cpu_0_data_master_write)))) AND std_logic_vector'("00000000000000000000000000000001")) AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 AND NOT d1_tri_state_bridge_avalon_slave_end_xfer)))))))));
  --input to dbs-8 stored 0, which is an e_mux
  p1_dbs_8_reg_segment_0 <= incoming_data_to_and_from_the_cy7c1049cv33;
  --dbs register for dbs-8 segment 0, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      dbs_8_reg_segment_0 <= std_logic_vector'("00000000");
    elsif clk'event and clk = '1' then
      if std_logic'((dbs_count_enable AND to_std_logic((((std_logic_vector'("000000000000000000000000000000") & ((internal_cpu_0_data_master_dbs_address(1 DOWNTO 0)))) = std_logic_vector'("00000000000000000000000000000000")))))) = '1' then 
        dbs_8_reg_segment_0 <= p1_dbs_8_reg_segment_0;
      end if;
    end if;

  end process;

  --input to dbs-8 stored 1, which is an e_mux
  p1_dbs_8_reg_segment_1 <= incoming_data_to_and_from_the_cy7c1049cv33;
  --dbs register for dbs-8 segment 1, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      dbs_8_reg_segment_1 <= std_logic_vector'("00000000");
    elsif clk'event and clk = '1' then
      if std_logic'((dbs_count_enable AND to_std_logic((((std_logic_vector'("000000000000000000000000000000") & ((internal_cpu_0_data_master_dbs_address(1 DOWNTO 0)))) = std_logic_vector'("00000000000000000000000000000001")))))) = '1' then 
        dbs_8_reg_segment_1 <= p1_dbs_8_reg_segment_1;
      end if;
    end if;

  end process;

  --input to dbs-8 stored 2, which is an e_mux
  p1_dbs_8_reg_segment_2 <= incoming_data_to_and_from_the_cy7c1049cv33;
  --dbs register for dbs-8 segment 2, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      dbs_8_reg_segment_2 <= std_logic_vector'("00000000");
    elsif clk'event and clk = '1' then
      if std_logic'((dbs_count_enable AND to_std_logic((((std_logic_vector'("000000000000000000000000000000") & ((internal_cpu_0_data_master_dbs_address(1 DOWNTO 0)))) = std_logic_vector'("00000000000000000000000000000010")))))) = '1' then 
        dbs_8_reg_segment_2 <= p1_dbs_8_reg_segment_2;
      end if;
    end if;

  end process;

  --mux write dbs 2, which is an e_mux
  cpu_0_data_master_dbs_write_8 <= A_WE_StdLogicVector((((std_logic_vector'("000000000000000000000000000000") & (internal_cpu_0_data_master_dbs_address(1 DOWNTO 0))) = std_logic_vector'("00000000000000000000000000000000"))), cpu_0_data_master_writedata(7 DOWNTO 0), A_WE_StdLogicVector((((std_logic_vector'("000000000000000000000000000000") & (internal_cpu_0_data_master_dbs_address(1 DOWNTO 0))) = std_logic_vector'("00000000000000000000000000000001"))), cpu_0_data_master_writedata(15 DOWNTO 8), A_WE_StdLogicVector((((std_logic_vector'("000000000000000000000000000000") & (internal_cpu_0_data_master_dbs_address(1 DOWNTO 0))) = std_logic_vector'("00000000000000000000000000000010"))), cpu_0_data_master_writedata(23 DOWNTO 16), cpu_0_data_master_writedata(31 DOWNTO 24))));
  --dbs count increment, which is an e_mux
  cpu_0_data_master_dbs_increment <= A_EXT (A_WE_StdLogicVector((std_logic'((cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0)) = '1'), std_logic_vector'("00000000000000000000000000000001"), std_logic_vector'("00000000000000000000000000000000")), 2);
  --dbs counter overflow, which is an e_assign
  dbs_counter_overflow <= internal_cpu_0_data_master_dbs_address(1) AND NOT((next_dbs_address(1)));
  --next master address, which is an e_assign
  next_dbs_address <= A_EXT (((std_logic_vector'("0") & (internal_cpu_0_data_master_dbs_address)) + (std_logic_vector'("0") & (cpu_0_data_master_dbs_increment))), 2);
  --dbs count enable, which is an e_mux
  dbs_count_enable <= pre_dbs_count_enable;
  --dbs counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      internal_cpu_0_data_master_dbs_address <= std_logic_vector'("00");
    elsif clk'event and clk = '1' then
      if std_logic'(dbs_count_enable) = '1' then 
        internal_cpu_0_data_master_dbs_address <= next_dbs_address;
      end if;
    end if;

  end process;

  --vhdl renameroo for output signals
  cpu_0_data_master_address_to_slave <= internal_cpu_0_data_master_address_to_slave;
  --vhdl renameroo for output signals
  cpu_0_data_master_dbs_address <= internal_cpu_0_data_master_dbs_address;
  --vhdl renameroo for output signals
  cpu_0_data_master_no_byte_enables_and_last_term <= internal_cpu_0_data_master_no_byte_enables_and_last_term;
  --vhdl renameroo for output signals
  cpu_0_data_master_waitrequest <= internal_cpu_0_data_master_waitrequest;

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

library std;
use std.textio.all;

entity cpu_0_instruction_master_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_instruction_master_address : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_instruction_master_granted_cpu_0_jtag_debug_module : IN STD_LOGIC;
                 signal cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                 signal cpu_0_instruction_master_granted_vector_s1 : IN STD_LOGIC;
                 signal cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module : IN STD_LOGIC;
                 signal cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                 signal cpu_0_instruction_master_qualified_request_vector_s1 : IN STD_LOGIC;
                 signal cpu_0_instruction_master_read : IN STD_LOGIC;
                 signal cpu_0_instruction_master_read_data_valid_cpu_0_jtag_debug_module : IN STD_LOGIC;
                 signal cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal cpu_0_instruction_master_read_data_valid_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                 signal cpu_0_instruction_master_read_data_valid_vector_s1 : IN STD_LOGIC;
                 signal cpu_0_instruction_master_requests_cpu_0_jtag_debug_module : IN STD_LOGIC;
                 signal cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                 signal cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                 signal cpu_0_instruction_master_requests_vector_s1 : IN STD_LOGIC;
                 signal cpu_0_jtag_debug_module_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 : IN STD_LOGIC;
                 signal d1_cpu_0_jtag_debug_module_end_xfer : IN STD_LOGIC;
                 signal d1_epcs_flash_controller_epcs_control_port_end_xfer : IN STD_LOGIC;
                 signal d1_tri_state_bridge_avalon_slave_end_xfer : IN STD_LOGIC;
                 signal d1_vector_s1_end_xfer : IN STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal incoming_data_to_and_from_the_cy7c1049cv33 : IN STD_LOGIC_VECTOR (7 DOWNTO 0);
                 signal reset_n : IN STD_LOGIC;
                 signal vector_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

              -- outputs:
                 signal cpu_0_instruction_master_address_to_slave : OUT STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_instruction_master_dbs_address : OUT STD_LOGIC_VECTOR (1 DOWNTO 0);
                 signal cpu_0_instruction_master_readdata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cpu_0_instruction_master_waitrequest : OUT STD_LOGIC
              );
end entity cpu_0_instruction_master_arbitrator;


architecture europa of cpu_0_instruction_master_arbitrator is
                signal active_and_waiting_last_time :  STD_LOGIC;
                signal cpu_0_instruction_master_address_last_time :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal cpu_0_instruction_master_dbs_increment :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_instruction_master_read_last_time :  STD_LOGIC;
                signal cpu_0_instruction_master_run :  STD_LOGIC;
                signal dbs_8_reg_segment_0 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal dbs_8_reg_segment_1 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal dbs_8_reg_segment_2 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal dbs_count_enable :  STD_LOGIC;
                signal dbs_counter_overflow :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_address_to_slave :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal internal_cpu_0_instruction_master_dbs_address :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal internal_cpu_0_instruction_master_waitrequest :  STD_LOGIC;
                signal next_dbs_address :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal p1_dbs_8_reg_segment_0 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal p1_dbs_8_reg_segment_1 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal p1_dbs_8_reg_segment_2 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal pre_dbs_count_enable :  STD_LOGIC;
                signal r_0 :  STD_LOGIC;
                signal r_1 :  STD_LOGIC;

begin

  --r_0 master_run cascaded wait assignment, which is an e_assign
  r_0 <= Vector_To_Std_Logic((((((((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module OR NOT cpu_0_instruction_master_requests_cpu_0_jtag_debug_module)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_instruction_master_granted_cpu_0_jtag_debug_module OR NOT cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module)))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module OR NOT cpu_0_instruction_master_read)))) OR (((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(NOT d1_cpu_0_jtag_debug_module_end_xfer)))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_instruction_master_read)))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port OR NOT cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port OR NOT cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port)))))) AND (((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((NOT cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port OR NOT (cpu_0_instruction_master_read))))) OR (((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(NOT d1_epcs_flash_controller_epcs_control_port_end_xfer)))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((cpu_0_instruction_master_read))))))))));
  --cascaded wait assignment, which is an e_assign
  cpu_0_instruction_master_run <= r_0 AND r_1;
  --r_1 master_run cascaded wait assignment, which is an e_assign
  r_1 <= Vector_To_Std_Logic((((((((std_logic_vector'("00000000000000000000000000000001") AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((((cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 OR (((cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 AND internal_cpu_0_instruction_master_dbs_address(1)) AND internal_cpu_0_instruction_master_dbs_address(0)))) OR NOT cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 OR NOT cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((((NOT cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 OR NOT cpu_0_instruction_master_read) OR (((cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 AND ((internal_cpu_0_instruction_master_dbs_address(1) AND internal_cpu_0_instruction_master_dbs_address(0)))) AND cpu_0_instruction_master_read)))))))) AND std_logic_vector'("00000000000000000000000000000001")) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((((cpu_0_instruction_master_qualified_request_vector_s1 OR cpu_0_instruction_master_read_data_valid_vector_s1) OR NOT cpu_0_instruction_master_requests_vector_s1)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(((cpu_0_instruction_master_granted_vector_s1 OR NOT cpu_0_instruction_master_qualified_request_vector_s1)))))) AND (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR((((NOT cpu_0_instruction_master_qualified_request_vector_s1 OR NOT cpu_0_instruction_master_read) OR ((cpu_0_instruction_master_read_data_valid_vector_s1 AND cpu_0_instruction_master_read)))))))));
  --optimize select-logic by passing only those address bits which matter.
  internal_cpu_0_instruction_master_address_to_slave <= cpu_0_instruction_master_address(19 DOWNTO 0);
  --cpu_0/instruction_master readdata mux, which is an e_mux
  cpu_0_instruction_master_readdata <= ((((A_REP(NOT cpu_0_instruction_master_requests_cpu_0_jtag_debug_module, 32) OR cpu_0_jtag_debug_module_readdata_from_sa)) AND ((A_REP(NOT cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port, 32) OR epcs_flash_controller_epcs_control_port_readdata_from_sa))) AND ((A_REP(NOT cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0, 32) OR Std_Logic_Vector'(incoming_data_to_and_from_the_cy7c1049cv33(7 DOWNTO 0) & dbs_8_reg_segment_2 & dbs_8_reg_segment_1 & dbs_8_reg_segment_0)))) AND ((A_REP(NOT cpu_0_instruction_master_requests_vector_s1, 32) OR vector_s1_readdata_from_sa));
  --actual waitrequest port, which is an e_assign
  internal_cpu_0_instruction_master_waitrequest <= NOT cpu_0_instruction_master_run;
  --input to dbs-8 stored 0, which is an e_mux
  p1_dbs_8_reg_segment_0 <= incoming_data_to_and_from_the_cy7c1049cv33;
  --dbs register for dbs-8 segment 0, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      dbs_8_reg_segment_0 <= std_logic_vector'("00000000");
    elsif clk'event and clk = '1' then
      if std_logic'((dbs_count_enable AND to_std_logic((((std_logic_vector'("000000000000000000000000000000") & ((internal_cpu_0_instruction_master_dbs_address(1 DOWNTO 0)))) = std_logic_vector'("00000000000000000000000000000000")))))) = '1' then 
        dbs_8_reg_segment_0 <= p1_dbs_8_reg_segment_0;
      end if;
    end if;

  end process;

  --input to dbs-8 stored 1, which is an e_mux
  p1_dbs_8_reg_segment_1 <= incoming_data_to_and_from_the_cy7c1049cv33;
  --dbs register for dbs-8 segment 1, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      dbs_8_reg_segment_1 <= std_logic_vector'("00000000");
    elsif clk'event and clk = '1' then
      if std_logic'((dbs_count_enable AND to_std_logic((((std_logic_vector'("000000000000000000000000000000") & ((internal_cpu_0_instruction_master_dbs_address(1 DOWNTO 0)))) = std_logic_vector'("00000000000000000000000000000001")))))) = '1' then 
        dbs_8_reg_segment_1 <= p1_dbs_8_reg_segment_1;
      end if;
    end if;

  end process;

  --input to dbs-8 stored 2, which is an e_mux
  p1_dbs_8_reg_segment_2 <= incoming_data_to_and_from_the_cy7c1049cv33;
  --dbs register for dbs-8 segment 2, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      dbs_8_reg_segment_2 <= std_logic_vector'("00000000");
    elsif clk'event and clk = '1' then
      if std_logic'((dbs_count_enable AND to_std_logic((((std_logic_vector'("000000000000000000000000000000") & ((internal_cpu_0_instruction_master_dbs_address(1 DOWNTO 0)))) = std_logic_vector'("00000000000000000000000000000010")))))) = '1' then 
        dbs_8_reg_segment_2 <= p1_dbs_8_reg_segment_2;
      end if;
    end if;

  end process;

  --dbs count increment, which is an e_mux
  cpu_0_instruction_master_dbs_increment <= A_EXT (A_WE_StdLogicVector((std_logic'((cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0)) = '1'), std_logic_vector'("00000000000000000000000000000001"), std_logic_vector'("00000000000000000000000000000000")), 2);
  --dbs counter overflow, which is an e_assign
  dbs_counter_overflow <= internal_cpu_0_instruction_master_dbs_address(1) AND NOT((next_dbs_address(1)));
  --next master address, which is an e_assign
  next_dbs_address <= A_EXT (((std_logic_vector'("0") & (internal_cpu_0_instruction_master_dbs_address)) + (std_logic_vector'("0") & (cpu_0_instruction_master_dbs_increment))), 2);
  --dbs count enable, which is an e_mux
  dbs_count_enable <= pre_dbs_count_enable;
  --dbs counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      internal_cpu_0_instruction_master_dbs_address <= std_logic_vector'("00");
    elsif clk'event and clk = '1' then
      if std_logic'(dbs_count_enable) = '1' then 
        internal_cpu_0_instruction_master_dbs_address <= next_dbs_address;
      end if;
    end if;

  end process;

  --pre dbs count enable, which is an e_mux
  pre_dbs_count_enable <= cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_address_to_slave <= internal_cpu_0_instruction_master_address_to_slave;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_dbs_address <= internal_cpu_0_instruction_master_dbs_address;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_waitrequest <= internal_cpu_0_instruction_master_waitrequest;
--synthesis translate_off
    --cpu_0_instruction_master_address check against wait, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        cpu_0_instruction_master_address_last_time <= std_logic_vector'("00000000000000000000");
      elsif clk'event and clk = '1' then
        cpu_0_instruction_master_address_last_time <= cpu_0_instruction_master_address;
      end if;

    end process;

    --cpu_0/instruction_master waited last time, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        active_and_waiting_last_time <= std_logic'('0');
      elsif clk'event and clk = '1' then
        active_and_waiting_last_time <= internal_cpu_0_instruction_master_waitrequest AND (cpu_0_instruction_master_read);
      end if;

    end process;

    --cpu_0_instruction_master_address matches last port_name, which is an e_process
    process (clk)
    VARIABLE write_line2 : line;
    begin
      if clk'event and clk = '1' then
        if std_logic'((active_and_waiting_last_time AND to_std_logic(((cpu_0_instruction_master_address /= cpu_0_instruction_master_address_last_time))))) = '1' then 
          write(write_line2, now);
          write(write_line2, string'(": "));
          write(write_line2, string'("cpu_0_instruction_master_address did not heed wait!!!"));
          write(output, write_line2.all);
          deallocate (write_line2);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

    --cpu_0_instruction_master_read check against wait, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        cpu_0_instruction_master_read_last_time <= std_logic'('0');
      elsif clk'event and clk = '1' then
        cpu_0_instruction_master_read_last_time <= cpu_0_instruction_master_read;
      end if;

    end process;

    --cpu_0_instruction_master_read matches last port_name, which is an e_process
    process (clk)
    VARIABLE write_line3 : line;
    begin
      if clk'event and clk = '1' then
        if std_logic'((active_and_waiting_last_time AND to_std_logic(((std_logic'(cpu_0_instruction_master_read) /= std_logic'(cpu_0_instruction_master_read_last_time)))))) = '1' then 
          write(write_line3, now);
          write(write_line3, string'(": "));
          write(write_line3, string'("cpu_0_instruction_master_read did not heed wait!!!"));
          write(output, write_line3.all);
          deallocate (write_line3);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

library std;
use std.textio.all;

entity epcs_flash_controller_epcs_control_port_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cpu_0_instruction_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_instruction_master_read : IN STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_dataavailable : IN STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_endofpacket : IN STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_irq : IN STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal epcs_flash_controller_epcs_control_port_readyfordata : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;

              -- outputs:
                 signal cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                 signal cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_read_data_valid_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                 signal d1_epcs_flash_controller_epcs_control_port_end_xfer : OUT STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_address : OUT STD_LOGIC_VECTOR (8 DOWNTO 0);
                 signal epcs_flash_controller_epcs_control_port_chipselect : OUT STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_dataavailable_from_sa : OUT STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_endofpacket_from_sa : OUT STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_irq_from_sa : OUT STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_read_n : OUT STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal epcs_flash_controller_epcs_control_port_readyfordata_from_sa : OUT STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_reset_n : OUT STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_write_n : OUT STD_LOGIC;
                 signal epcs_flash_controller_epcs_control_port_writedata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
              );
end entity epcs_flash_controller_epcs_control_port_arbitrator;


architecture europa of epcs_flash_controller_epcs_control_port_arbitrator is
                signal cpu_0_data_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_data_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_data_master_continuerequest :  STD_LOGIC;
                signal cpu_0_data_master_saved_grant_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal cpu_0_instruction_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_instruction_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_instruction_master_continuerequest :  STD_LOGIC;
                signal cpu_0_instruction_master_saved_grant_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal d1_reasons_to_wait :  STD_LOGIC;
                signal enable_nonzero_assertions :  STD_LOGIC;
                signal end_xfer_arb_share_counter_term_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_allgrants :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_allow_new_arb_cycle :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_any_bursting_master_saved_grant :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_any_continuerequest :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_arb_addend :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_arb_counter_enable :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_arb_share_counter :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_arb_share_counter_next_value :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_arb_share_set_values :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_arb_winner :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_arbitration_holdoff_internal :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_beginbursttransfer_internal :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_begins_xfer :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_chosen_master_double_vector :  STD_LOGIC_VECTOR (3 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_chosen_master_rot_left :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_end_xfer :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_firsttransfer :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_grant_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_in_a_read_cycle :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_in_a_write_cycle :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_master_qreq_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_non_bursting_master_requests :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_reg_firsttransfer :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_saved_chosen_master_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_slavearbiterlockenable :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_slavearbiterlockenable2 :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_unreg_firsttransfer :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_waits_for_read :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_waits_for_write :  STD_LOGIC;
                signal in_a_read_cycle :  STD_LOGIC;
                signal in_a_write_cycle :  STD_LOGIC;
                signal internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal internal_cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal internal_cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal last_cycle_cpu_0_data_master_granted_slave_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal last_cycle_cpu_0_instruction_master_granted_slave_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal shifted_address_to_epcs_flash_controller_epcs_control_port_from_cpu_0_data_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal shifted_address_to_epcs_flash_controller_epcs_control_port_from_cpu_0_instruction_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal wait_for_epcs_flash_controller_epcs_control_port_counter :  STD_LOGIC;

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_reasons_to_wait <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_reasons_to_wait <= NOT epcs_flash_controller_epcs_control_port_end_xfer;
    end if;

  end process;

  epcs_flash_controller_epcs_control_port_begins_xfer <= NOT d1_reasons_to_wait AND ((internal_cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port OR internal_cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port));
  --assign epcs_flash_controller_epcs_control_port_readdata_from_sa = epcs_flash_controller_epcs_control_port_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  epcs_flash_controller_epcs_control_port_readdata_from_sa <= epcs_flash_controller_epcs_control_port_readdata;
  internal_cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port <= to_std_logic(((Std_Logic_Vector'(cpu_0_data_master_address_to_slave(19 DOWNTO 11) & std_logic_vector'("00000000000")) = std_logic_vector'("00000001000000000000")))) AND ((cpu_0_data_master_read OR cpu_0_data_master_write));
  --assign epcs_flash_controller_epcs_control_port_dataavailable_from_sa = epcs_flash_controller_epcs_control_port_dataavailable so that symbol knows where to group signals which may go to master only, which is an e_assign
  epcs_flash_controller_epcs_control_port_dataavailable_from_sa <= epcs_flash_controller_epcs_control_port_dataavailable;
  --assign epcs_flash_controller_epcs_control_port_readyfordata_from_sa = epcs_flash_controller_epcs_control_port_readyfordata so that symbol knows where to group signals which may go to master only, which is an e_assign
  epcs_flash_controller_epcs_control_port_readyfordata_from_sa <= epcs_flash_controller_epcs_control_port_readyfordata;
  --epcs_flash_controller_epcs_control_port_arb_share_counter set values, which is an e_mux
  epcs_flash_controller_epcs_control_port_arb_share_set_values <= std_logic_vector'("001");
  --epcs_flash_controller_epcs_control_port_non_bursting_master_requests mux, which is an e_mux
  epcs_flash_controller_epcs_control_port_non_bursting_master_requests <= ((internal_cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port OR internal_cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port) OR internal_cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port) OR internal_cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port;
  --epcs_flash_controller_epcs_control_port_any_bursting_master_saved_grant mux, which is an e_mux
  epcs_flash_controller_epcs_control_port_any_bursting_master_saved_grant <= std_logic'('0');
  --epcs_flash_controller_epcs_control_port_arb_share_counter_next_value assignment, which is an e_assign
  epcs_flash_controller_epcs_control_port_arb_share_counter_next_value <= A_EXT (A_WE_StdLogicVector((std_logic'(epcs_flash_controller_epcs_control_port_firsttransfer) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (epcs_flash_controller_epcs_control_port_arb_share_set_values)) - std_logic_vector'("000000000000000000000000000000001"))), A_WE_StdLogicVector((std_logic'(or_reduce(epcs_flash_controller_epcs_control_port_arb_share_counter)) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (epcs_flash_controller_epcs_control_port_arb_share_counter)) - std_logic_vector'("000000000000000000000000000000001"))), std_logic_vector'("000000000000000000000000000000000"))), 3);
  --epcs_flash_controller_epcs_control_port_allgrants all slave grants, which is an e_mux
  epcs_flash_controller_epcs_control_port_allgrants <= (((or_reduce(epcs_flash_controller_epcs_control_port_grant_vector)) OR (or_reduce(epcs_flash_controller_epcs_control_port_grant_vector))) OR (or_reduce(epcs_flash_controller_epcs_control_port_grant_vector))) OR (or_reduce(epcs_flash_controller_epcs_control_port_grant_vector));
  --epcs_flash_controller_epcs_control_port_end_xfer assignment, which is an e_assign
  epcs_flash_controller_epcs_control_port_end_xfer <= NOT ((epcs_flash_controller_epcs_control_port_waits_for_read OR epcs_flash_controller_epcs_control_port_waits_for_write));
  --end_xfer_arb_share_counter_term_epcs_flash_controller_epcs_control_port arb share counter enable term, which is an e_assign
  end_xfer_arb_share_counter_term_epcs_flash_controller_epcs_control_port <= epcs_flash_controller_epcs_control_port_end_xfer AND (((NOT epcs_flash_controller_epcs_control_port_any_bursting_master_saved_grant OR in_a_read_cycle) OR in_a_write_cycle));
  --epcs_flash_controller_epcs_control_port_arb_share_counter arbitration counter enable, which is an e_assign
  epcs_flash_controller_epcs_control_port_arb_counter_enable <= ((end_xfer_arb_share_counter_term_epcs_flash_controller_epcs_control_port AND epcs_flash_controller_epcs_control_port_allgrants)) OR ((end_xfer_arb_share_counter_term_epcs_flash_controller_epcs_control_port AND NOT epcs_flash_controller_epcs_control_port_non_bursting_master_requests));
  --epcs_flash_controller_epcs_control_port_arb_share_counter counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      epcs_flash_controller_epcs_control_port_arb_share_counter <= std_logic_vector'("000");
    elsif clk'event and clk = '1' then
      if std_logic'(epcs_flash_controller_epcs_control_port_arb_counter_enable) = '1' then 
        epcs_flash_controller_epcs_control_port_arb_share_counter <= epcs_flash_controller_epcs_control_port_arb_share_counter_next_value;
      end if;
    end if;

  end process;

  --epcs_flash_controller_epcs_control_port_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      epcs_flash_controller_epcs_control_port_slavearbiterlockenable <= std_logic'('0');
    elsif clk'event and clk = '1' then
      if std_logic'((((or_reduce(epcs_flash_controller_epcs_control_port_master_qreq_vector) AND end_xfer_arb_share_counter_term_epcs_flash_controller_epcs_control_port)) OR ((end_xfer_arb_share_counter_term_epcs_flash_controller_epcs_control_port AND NOT epcs_flash_controller_epcs_control_port_non_bursting_master_requests)))) = '1' then 
        epcs_flash_controller_epcs_control_port_slavearbiterlockenable <= or_reduce(epcs_flash_controller_epcs_control_port_arb_share_counter_next_value);
      end if;
    end if;

  end process;

  --cpu_0/data_master epcs_flash_controller/epcs_control_port arbiterlock, which is an e_assign
  cpu_0_data_master_arbiterlock <= epcs_flash_controller_epcs_control_port_slavearbiterlockenable AND cpu_0_data_master_continuerequest;
  --epcs_flash_controller_epcs_control_port_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  epcs_flash_controller_epcs_control_port_slavearbiterlockenable2 <= or_reduce(epcs_flash_controller_epcs_control_port_arb_share_counter_next_value);
  --cpu_0/data_master epcs_flash_controller/epcs_control_port arbiterlock2, which is an e_assign
  cpu_0_data_master_arbiterlock2 <= epcs_flash_controller_epcs_control_port_slavearbiterlockenable2 AND cpu_0_data_master_continuerequest;
  --cpu_0/instruction_master epcs_flash_controller/epcs_control_port arbiterlock, which is an e_assign
  cpu_0_instruction_master_arbiterlock <= epcs_flash_controller_epcs_control_port_slavearbiterlockenable AND cpu_0_instruction_master_continuerequest;
  --cpu_0/instruction_master epcs_flash_controller/epcs_control_port arbiterlock2, which is an e_assign
  cpu_0_instruction_master_arbiterlock2 <= epcs_flash_controller_epcs_control_port_slavearbiterlockenable2 AND cpu_0_instruction_master_continuerequest;
  --cpu_0/instruction_master granted epcs_flash_controller/epcs_control_port last time, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      last_cycle_cpu_0_instruction_master_granted_slave_epcs_flash_controller_epcs_control_port <= std_logic'('0');
    elsif clk'event and clk = '1' then
      last_cycle_cpu_0_instruction_master_granted_slave_epcs_flash_controller_epcs_control_port <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'(cpu_0_instruction_master_saved_grant_epcs_flash_controller_epcs_control_port) = '1'), std_logic_vector'("00000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'(((epcs_flash_controller_epcs_control_port_arbitration_holdoff_internal OR NOT internal_cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port))) = '1'), std_logic_vector'("00000000000000000000000000000000"), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(last_cycle_cpu_0_instruction_master_granted_slave_epcs_flash_controller_epcs_control_port))))));
    end if;

  end process;

  --cpu_0_instruction_master_continuerequest continued request, which is an e_mux
  cpu_0_instruction_master_continuerequest <= last_cycle_cpu_0_instruction_master_granted_slave_epcs_flash_controller_epcs_control_port AND internal_cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port;
  --epcs_flash_controller_epcs_control_port_any_continuerequest at least one master continues requesting, which is an e_mux
  epcs_flash_controller_epcs_control_port_any_continuerequest <= cpu_0_instruction_master_continuerequest OR cpu_0_data_master_continuerequest;
  internal_cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port <= internal_cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port AND NOT (cpu_0_instruction_master_arbiterlock);
  --epcs_flash_controller_epcs_control_port_writedata mux, which is an e_mux
  epcs_flash_controller_epcs_control_port_writedata <= cpu_0_data_master_writedata;
  --assign epcs_flash_controller_epcs_control_port_endofpacket_from_sa = epcs_flash_controller_epcs_control_port_endofpacket so that symbol knows where to group signals which may go to master only, which is an e_assign
  epcs_flash_controller_epcs_control_port_endofpacket_from_sa <= epcs_flash_controller_epcs_control_port_endofpacket;
  internal_cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port <= ((to_std_logic(((Std_Logic_Vector'(cpu_0_instruction_master_address_to_slave(19 DOWNTO 11) & std_logic_vector'("00000000000")) = std_logic_vector'("00000001000000000000")))) AND (cpu_0_instruction_master_read))) AND cpu_0_instruction_master_read;
  --cpu_0/data_master granted epcs_flash_controller/epcs_control_port last time, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      last_cycle_cpu_0_data_master_granted_slave_epcs_flash_controller_epcs_control_port <= std_logic'('0');
    elsif clk'event and clk = '1' then
      last_cycle_cpu_0_data_master_granted_slave_epcs_flash_controller_epcs_control_port <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'(cpu_0_data_master_saved_grant_epcs_flash_controller_epcs_control_port) = '1'), std_logic_vector'("00000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'(((epcs_flash_controller_epcs_control_port_arbitration_holdoff_internal OR NOT internal_cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port))) = '1'), std_logic_vector'("00000000000000000000000000000000"), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(last_cycle_cpu_0_data_master_granted_slave_epcs_flash_controller_epcs_control_port))))));
    end if;

  end process;

  --cpu_0_data_master_continuerequest continued request, which is an e_mux
  cpu_0_data_master_continuerequest <= last_cycle_cpu_0_data_master_granted_slave_epcs_flash_controller_epcs_control_port AND internal_cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port;
  internal_cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port <= internal_cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port AND NOT (cpu_0_data_master_arbiterlock);
  --allow new arb cycle for epcs_flash_controller/epcs_control_port, which is an e_assign
  epcs_flash_controller_epcs_control_port_allow_new_arb_cycle <= NOT cpu_0_data_master_arbiterlock AND NOT cpu_0_instruction_master_arbiterlock;
  --cpu_0/instruction_master assignment into master qualified-requests vector for epcs_flash_controller/epcs_control_port, which is an e_assign
  epcs_flash_controller_epcs_control_port_master_qreq_vector(0) <= internal_cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port;
  --cpu_0/instruction_master grant epcs_flash_controller/epcs_control_port, which is an e_assign
  internal_cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port <= epcs_flash_controller_epcs_control_port_grant_vector(0);
  --cpu_0/instruction_master saved-grant epcs_flash_controller/epcs_control_port, which is an e_assign
  cpu_0_instruction_master_saved_grant_epcs_flash_controller_epcs_control_port <= epcs_flash_controller_epcs_control_port_arb_winner(0) AND internal_cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port;
  --cpu_0/data_master assignment into master qualified-requests vector for epcs_flash_controller/epcs_control_port, which is an e_assign
  epcs_flash_controller_epcs_control_port_master_qreq_vector(1) <= internal_cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port;
  --cpu_0/data_master grant epcs_flash_controller/epcs_control_port, which is an e_assign
  internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port <= epcs_flash_controller_epcs_control_port_grant_vector(1);
  --cpu_0/data_master saved-grant epcs_flash_controller/epcs_control_port, which is an e_assign
  cpu_0_data_master_saved_grant_epcs_flash_controller_epcs_control_port <= epcs_flash_controller_epcs_control_port_arb_winner(1) AND internal_cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port;
  --epcs_flash_controller/epcs_control_port chosen-master double-vector, which is an e_assign
  epcs_flash_controller_epcs_control_port_chosen_master_double_vector <= A_EXT (((std_logic_vector'("0") & ((epcs_flash_controller_epcs_control_port_master_qreq_vector & epcs_flash_controller_epcs_control_port_master_qreq_vector))) AND (((std_logic_vector'("0") & (Std_Logic_Vector'(NOT epcs_flash_controller_epcs_control_port_master_qreq_vector & NOT epcs_flash_controller_epcs_control_port_master_qreq_vector))) + (std_logic_vector'("000") & (epcs_flash_controller_epcs_control_port_arb_addend))))), 4);
  --stable onehot encoding of arb winner
  epcs_flash_controller_epcs_control_port_arb_winner <= A_WE_StdLogicVector((std_logic'(((epcs_flash_controller_epcs_control_port_allow_new_arb_cycle AND or_reduce(epcs_flash_controller_epcs_control_port_grant_vector)))) = '1'), epcs_flash_controller_epcs_control_port_grant_vector, epcs_flash_controller_epcs_control_port_saved_chosen_master_vector);
  --saved epcs_flash_controller_epcs_control_port_grant_vector, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      epcs_flash_controller_epcs_control_port_saved_chosen_master_vector <= std_logic_vector'("00");
    elsif clk'event and clk = '1' then
      if std_logic'(epcs_flash_controller_epcs_control_port_allow_new_arb_cycle) = '1' then 
        epcs_flash_controller_epcs_control_port_saved_chosen_master_vector <= A_WE_StdLogicVector((std_logic'(or_reduce(epcs_flash_controller_epcs_control_port_grant_vector)) = '1'), epcs_flash_controller_epcs_control_port_grant_vector, epcs_flash_controller_epcs_control_port_saved_chosen_master_vector);
      end if;
    end if;

  end process;

  --onehot encoding of chosen master
  epcs_flash_controller_epcs_control_port_grant_vector <= Std_Logic_Vector'(A_ToStdLogicVector(((epcs_flash_controller_epcs_control_port_chosen_master_double_vector(1) OR epcs_flash_controller_epcs_control_port_chosen_master_double_vector(3)))) & A_ToStdLogicVector(((epcs_flash_controller_epcs_control_port_chosen_master_double_vector(0) OR epcs_flash_controller_epcs_control_port_chosen_master_double_vector(2)))));
  --epcs_flash_controller/epcs_control_port chosen master rotated left, which is an e_assign
  epcs_flash_controller_epcs_control_port_chosen_master_rot_left <= A_EXT (A_WE_StdLogicVector((((A_SLL(epcs_flash_controller_epcs_control_port_arb_winner,std_logic_vector'("00000000000000000000000000000001")))) /= std_logic_vector'("00")), (std_logic_vector'("000000000000000000000000000000") & ((A_SLL(epcs_flash_controller_epcs_control_port_arb_winner,std_logic_vector'("00000000000000000000000000000001"))))), std_logic_vector'("00000000000000000000000000000001")), 2);
  --epcs_flash_controller/epcs_control_port's addend for next-master-grant
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      epcs_flash_controller_epcs_control_port_arb_addend <= std_logic_vector'("01");
    elsif clk'event and clk = '1' then
      if std_logic'(or_reduce(epcs_flash_controller_epcs_control_port_grant_vector)) = '1' then 
        epcs_flash_controller_epcs_control_port_arb_addend <= A_WE_StdLogicVector((std_logic'(epcs_flash_controller_epcs_control_port_end_xfer) = '1'), epcs_flash_controller_epcs_control_port_chosen_master_rot_left, epcs_flash_controller_epcs_control_port_grant_vector);
      end if;
    end if;

  end process;

  --epcs_flash_controller_epcs_control_port_reset_n assignment, which is an e_assign
  epcs_flash_controller_epcs_control_port_reset_n <= reset_n;
  epcs_flash_controller_epcs_control_port_chipselect <= internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port OR internal_cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port;
  --epcs_flash_controller_epcs_control_port_firsttransfer first transaction, which is an e_assign
  epcs_flash_controller_epcs_control_port_firsttransfer <= A_WE_StdLogic((std_logic'(epcs_flash_controller_epcs_control_port_begins_xfer) = '1'), epcs_flash_controller_epcs_control_port_unreg_firsttransfer, epcs_flash_controller_epcs_control_port_reg_firsttransfer);
  --epcs_flash_controller_epcs_control_port_unreg_firsttransfer first transaction, which is an e_assign
  epcs_flash_controller_epcs_control_port_unreg_firsttransfer <= NOT ((epcs_flash_controller_epcs_control_port_slavearbiterlockenable AND epcs_flash_controller_epcs_control_port_any_continuerequest));
  --epcs_flash_controller_epcs_control_port_reg_firsttransfer first transaction, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      epcs_flash_controller_epcs_control_port_reg_firsttransfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      if std_logic'(epcs_flash_controller_epcs_control_port_begins_xfer) = '1' then 
        epcs_flash_controller_epcs_control_port_reg_firsttransfer <= epcs_flash_controller_epcs_control_port_unreg_firsttransfer;
      end if;
    end if;

  end process;

  --epcs_flash_controller_epcs_control_port_beginbursttransfer_internal begin burst transfer, which is an e_assign
  epcs_flash_controller_epcs_control_port_beginbursttransfer_internal <= epcs_flash_controller_epcs_control_port_begins_xfer;
  --epcs_flash_controller_epcs_control_port_arbitration_holdoff_internal arbitration_holdoff, which is an e_assign
  epcs_flash_controller_epcs_control_port_arbitration_holdoff_internal <= epcs_flash_controller_epcs_control_port_begins_xfer AND epcs_flash_controller_epcs_control_port_firsttransfer;
  --~epcs_flash_controller_epcs_control_port_read_n assignment, which is an e_mux
  epcs_flash_controller_epcs_control_port_read_n <= NOT ((((internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port AND cpu_0_data_master_read)) OR ((internal_cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port AND cpu_0_instruction_master_read))));
  --~epcs_flash_controller_epcs_control_port_write_n assignment, which is an e_mux
  epcs_flash_controller_epcs_control_port_write_n <= NOT ((internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port AND cpu_0_data_master_write));
  shifted_address_to_epcs_flash_controller_epcs_control_port_from_cpu_0_data_master <= cpu_0_data_master_address_to_slave;
  --epcs_flash_controller_epcs_control_port_address mux, which is an e_mux
  epcs_flash_controller_epcs_control_port_address <= A_EXT (A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port)) = '1'), (A_SRL(shifted_address_to_epcs_flash_controller_epcs_control_port_from_cpu_0_data_master,std_logic_vector'("00000000000000000000000000000010"))), (A_SRL(shifted_address_to_epcs_flash_controller_epcs_control_port_from_cpu_0_instruction_master,std_logic_vector'("00000000000000000000000000000010")))), 9);
  shifted_address_to_epcs_flash_controller_epcs_control_port_from_cpu_0_instruction_master <= cpu_0_instruction_master_address_to_slave;
  --d1_epcs_flash_controller_epcs_control_port_end_xfer register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_epcs_flash_controller_epcs_control_port_end_xfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      d1_epcs_flash_controller_epcs_control_port_end_xfer <= epcs_flash_controller_epcs_control_port_end_xfer;
    end if;

  end process;

  --epcs_flash_controller_epcs_control_port_waits_for_read in a cycle, which is an e_mux
  epcs_flash_controller_epcs_control_port_waits_for_read <= epcs_flash_controller_epcs_control_port_in_a_read_cycle AND epcs_flash_controller_epcs_control_port_begins_xfer;
  --epcs_flash_controller_epcs_control_port_in_a_read_cycle assignment, which is an e_assign
  epcs_flash_controller_epcs_control_port_in_a_read_cycle <= ((internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port AND cpu_0_data_master_read)) OR ((internal_cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port AND cpu_0_instruction_master_read));
  --in_a_read_cycle assignment, which is an e_mux
  in_a_read_cycle <= epcs_flash_controller_epcs_control_port_in_a_read_cycle;
  --epcs_flash_controller_epcs_control_port_waits_for_write in a cycle, which is an e_mux
  epcs_flash_controller_epcs_control_port_waits_for_write <= epcs_flash_controller_epcs_control_port_in_a_write_cycle AND epcs_flash_controller_epcs_control_port_begins_xfer;
  --epcs_flash_controller_epcs_control_port_in_a_write_cycle assignment, which is an e_assign
  epcs_flash_controller_epcs_control_port_in_a_write_cycle <= internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port AND cpu_0_data_master_write;
  --in_a_write_cycle assignment, which is an e_mux
  in_a_write_cycle <= epcs_flash_controller_epcs_control_port_in_a_write_cycle;
  wait_for_epcs_flash_controller_epcs_control_port_counter <= std_logic'('0');
  --assign epcs_flash_controller_epcs_control_port_irq_from_sa = epcs_flash_controller_epcs_control_port_irq so that symbol knows where to group signals which may go to master only, which is an e_assign
  epcs_flash_controller_epcs_control_port_irq_from_sa <= epcs_flash_controller_epcs_control_port_irq;
  --vhdl renameroo for output signals
  cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port <= internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port;
  --vhdl renameroo for output signals
  cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port <= internal_cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port;
  --vhdl renameroo for output signals
  cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port <= internal_cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port <= internal_cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port <= internal_cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port <= internal_cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port;
--synthesis translate_off
    --epcs_flash_controller/epcs_control_port enable non-zero assertions, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        enable_nonzero_assertions <= std_logic'('0');
      elsif clk'event and clk = '1' then
        enable_nonzero_assertions <= std_logic'('1');
      end if;

    end process;

    --grant signals are active simultaneously, which is an e_process
    process (clk)
    VARIABLE write_line4 : line;
    begin
      if clk'event and clk = '1' then
        if (std_logic_vector'("000000000000000000000000000000") & (((std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(internal_cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port))) + (std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(internal_cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port))))))>std_logic_vector'("00000000000000000000000000000001") then 
          write(write_line4, now);
          write(write_line4, string'(": "));
          write(write_line4, string'("> 1 of grant signals are active simultaneously"));
          write(output, write_line4.all);
          deallocate (write_line4);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

    --saved_grant signals are active simultaneously, which is an e_process
    process (clk)
    VARIABLE write_line5 : line;
    begin
      if clk'event and clk = '1' then
        if (std_logic_vector'("000000000000000000000000000000") & (((std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_saved_grant_epcs_flash_controller_epcs_control_port))) + (std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(cpu_0_instruction_master_saved_grant_epcs_flash_controller_epcs_control_port))))))>std_logic_vector'("00000000000000000000000000000001") then 
          write(write_line5, now);
          write(write_line5, string'(": "));
          write(write_line5, string'("> 1 of saved_grant signals are active simultaneously"));
          write(output, write_line5.all);
          deallocate (write_line5);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity jtag_uart_avalon_jtag_slave_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal jtag_uart_avalon_jtag_slave_dataavailable : IN STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_irq : IN STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal jtag_uart_avalon_jtag_slave_readyfordata : IN STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_waitrequest : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;

              -- outputs:
                 signal cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave : OUT STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave : OUT STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_jtag_uart_avalon_jtag_slave : OUT STD_LOGIC;
                 signal cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave : OUT STD_LOGIC;
                 signal d1_jtag_uart_avalon_jtag_slave_end_xfer : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_address : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_chipselect : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_dataavailable_from_sa : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_irq_from_sa : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_read_n : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal jtag_uart_avalon_jtag_slave_readyfordata_from_sa : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_reset_n : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_waitrequest_from_sa : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_write_n : OUT STD_LOGIC;
                 signal jtag_uart_avalon_jtag_slave_writedata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
              );
end entity jtag_uart_avalon_jtag_slave_arbitrator;


architecture europa of jtag_uart_avalon_jtag_slave_arbitrator is
                signal cpu_0_data_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_data_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_data_master_continuerequest :  STD_LOGIC;
                signal cpu_0_data_master_saved_grant_jtag_uart_avalon_jtag_slave :  STD_LOGIC;
                signal d1_reasons_to_wait :  STD_LOGIC;
                signal enable_nonzero_assertions :  STD_LOGIC;
                signal end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave :  STD_LOGIC;
                signal in_a_read_cycle :  STD_LOGIC;
                signal in_a_write_cycle :  STD_LOGIC;
                signal internal_cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave :  STD_LOGIC;
                signal internal_cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave :  STD_LOGIC;
                signal internal_cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave :  STD_LOGIC;
                signal internal_jtag_uart_avalon_jtag_slave_waitrequest_from_sa :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_allgrants :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_allow_new_arb_cycle :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_any_bursting_master_saved_grant :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_any_continuerequest :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_arb_counter_enable :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_arb_share_counter :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal jtag_uart_avalon_jtag_slave_arb_share_counter_next_value :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal jtag_uart_avalon_jtag_slave_arb_share_set_values :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal jtag_uart_avalon_jtag_slave_beginbursttransfer_internal :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_begins_xfer :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_end_xfer :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_firsttransfer :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_grant_vector :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_in_a_read_cycle :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_in_a_write_cycle :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_master_qreq_vector :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_non_bursting_master_requests :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_reg_firsttransfer :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_slavearbiterlockenable :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_slavearbiterlockenable2 :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_unreg_firsttransfer :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_waits_for_read :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_waits_for_write :  STD_LOGIC;
                signal shifted_address_to_jtag_uart_avalon_jtag_slave_from_cpu_0_data_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal wait_for_jtag_uart_avalon_jtag_slave_counter :  STD_LOGIC;

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_reasons_to_wait <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_reasons_to_wait <= NOT jtag_uart_avalon_jtag_slave_end_xfer;
    end if;

  end process;

  jtag_uart_avalon_jtag_slave_begins_xfer <= NOT d1_reasons_to_wait AND (internal_cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave);
  --assign jtag_uart_avalon_jtag_slave_readdata_from_sa = jtag_uart_avalon_jtag_slave_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  jtag_uart_avalon_jtag_slave_readdata_from_sa <= jtag_uart_avalon_jtag_slave_readdata;
  internal_cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave <= to_std_logic(((Std_Logic_Vector'(cpu_0_data_master_address_to_slave(19 DOWNTO 3) & std_logic_vector'("000")) = std_logic_vector'("00000000000000001000")))) AND ((cpu_0_data_master_read OR cpu_0_data_master_write));
  --assign jtag_uart_avalon_jtag_slave_dataavailable_from_sa = jtag_uart_avalon_jtag_slave_dataavailable so that symbol knows where to group signals which may go to master only, which is an e_assign
  jtag_uart_avalon_jtag_slave_dataavailable_from_sa <= jtag_uart_avalon_jtag_slave_dataavailable;
  --assign jtag_uart_avalon_jtag_slave_readyfordata_from_sa = jtag_uart_avalon_jtag_slave_readyfordata so that symbol knows where to group signals which may go to master only, which is an e_assign
  jtag_uart_avalon_jtag_slave_readyfordata_from_sa <= jtag_uart_avalon_jtag_slave_readyfordata;
  --assign jtag_uart_avalon_jtag_slave_waitrequest_from_sa = jtag_uart_avalon_jtag_slave_waitrequest so that symbol knows where to group signals which may go to master only, which is an e_assign
  internal_jtag_uart_avalon_jtag_slave_waitrequest_from_sa <= jtag_uart_avalon_jtag_slave_waitrequest;
  --jtag_uart_avalon_jtag_slave_arb_share_counter set values, which is an e_mux
  jtag_uart_avalon_jtag_slave_arb_share_set_values <= std_logic_vector'("001");
  --jtag_uart_avalon_jtag_slave_non_bursting_master_requests mux, which is an e_mux
  jtag_uart_avalon_jtag_slave_non_bursting_master_requests <= internal_cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave;
  --jtag_uart_avalon_jtag_slave_any_bursting_master_saved_grant mux, which is an e_mux
  jtag_uart_avalon_jtag_slave_any_bursting_master_saved_grant <= std_logic'('0');
  --jtag_uart_avalon_jtag_slave_arb_share_counter_next_value assignment, which is an e_assign
  jtag_uart_avalon_jtag_slave_arb_share_counter_next_value <= A_EXT (A_WE_StdLogicVector((std_logic'(jtag_uart_avalon_jtag_slave_firsttransfer) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (jtag_uart_avalon_jtag_slave_arb_share_set_values)) - std_logic_vector'("000000000000000000000000000000001"))), A_WE_StdLogicVector((std_logic'(or_reduce(jtag_uart_avalon_jtag_slave_arb_share_counter)) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (jtag_uart_avalon_jtag_slave_arb_share_counter)) - std_logic_vector'("000000000000000000000000000000001"))), std_logic_vector'("000000000000000000000000000000000"))), 3);
  --jtag_uart_avalon_jtag_slave_allgrants all slave grants, which is an e_mux
  jtag_uart_avalon_jtag_slave_allgrants <= jtag_uart_avalon_jtag_slave_grant_vector;
  --jtag_uart_avalon_jtag_slave_end_xfer assignment, which is an e_assign
  jtag_uart_avalon_jtag_slave_end_xfer <= NOT ((jtag_uart_avalon_jtag_slave_waits_for_read OR jtag_uart_avalon_jtag_slave_waits_for_write));
  --end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave arb share counter enable term, which is an e_assign
  end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave <= jtag_uart_avalon_jtag_slave_end_xfer AND (((NOT jtag_uart_avalon_jtag_slave_any_bursting_master_saved_grant OR in_a_read_cycle) OR in_a_write_cycle));
  --jtag_uart_avalon_jtag_slave_arb_share_counter arbitration counter enable, which is an e_assign
  jtag_uart_avalon_jtag_slave_arb_counter_enable <= ((end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave AND jtag_uart_avalon_jtag_slave_allgrants)) OR ((end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave AND NOT jtag_uart_avalon_jtag_slave_non_bursting_master_requests));
  --jtag_uart_avalon_jtag_slave_arb_share_counter counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      jtag_uart_avalon_jtag_slave_arb_share_counter <= std_logic_vector'("000");
    elsif clk'event and clk = '1' then
      if std_logic'(jtag_uart_avalon_jtag_slave_arb_counter_enable) = '1' then 
        jtag_uart_avalon_jtag_slave_arb_share_counter <= jtag_uart_avalon_jtag_slave_arb_share_counter_next_value;
      end if;
    end if;

  end process;

  --jtag_uart_avalon_jtag_slave_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      jtag_uart_avalon_jtag_slave_slavearbiterlockenable <= std_logic'('0');
    elsif clk'event and clk = '1' then
      if std_logic'((((jtag_uart_avalon_jtag_slave_master_qreq_vector AND end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave)) OR ((end_xfer_arb_share_counter_term_jtag_uart_avalon_jtag_slave AND NOT jtag_uart_avalon_jtag_slave_non_bursting_master_requests)))) = '1' then 
        jtag_uart_avalon_jtag_slave_slavearbiterlockenable <= or_reduce(jtag_uart_avalon_jtag_slave_arb_share_counter_next_value);
      end if;
    end if;

  end process;

  --cpu_0/data_master jtag_uart/avalon_jtag_slave arbiterlock, which is an e_assign
  cpu_0_data_master_arbiterlock <= jtag_uart_avalon_jtag_slave_slavearbiterlockenable AND cpu_0_data_master_continuerequest;
  --jtag_uart_avalon_jtag_slave_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  jtag_uart_avalon_jtag_slave_slavearbiterlockenable2 <= or_reduce(jtag_uart_avalon_jtag_slave_arb_share_counter_next_value);
  --cpu_0/data_master jtag_uart/avalon_jtag_slave arbiterlock2, which is an e_assign
  cpu_0_data_master_arbiterlock2 <= jtag_uart_avalon_jtag_slave_slavearbiterlockenable2 AND cpu_0_data_master_continuerequest;
  --jtag_uart_avalon_jtag_slave_any_continuerequest at least one master continues requesting, which is an e_assign
  jtag_uart_avalon_jtag_slave_any_continuerequest <= std_logic'('1');
  --cpu_0_data_master_continuerequest continued request, which is an e_assign
  cpu_0_data_master_continuerequest <= std_logic'('1');
  internal_cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave <= internal_cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave AND NOT ((((cpu_0_data_master_read AND (NOT cpu_0_data_master_waitrequest))) OR (((NOT cpu_0_data_master_waitrequest) AND cpu_0_data_master_write))));
  --jtag_uart_avalon_jtag_slave_writedata mux, which is an e_mux
  jtag_uart_avalon_jtag_slave_writedata <= cpu_0_data_master_writedata;
  --master is always granted when requested
  internal_cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave <= internal_cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave;
  --cpu_0/data_master saved-grant jtag_uart/avalon_jtag_slave, which is an e_assign
  cpu_0_data_master_saved_grant_jtag_uart_avalon_jtag_slave <= internal_cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave;
  --allow new arb cycle for jtag_uart/avalon_jtag_slave, which is an e_assign
  jtag_uart_avalon_jtag_slave_allow_new_arb_cycle <= std_logic'('1');
  --placeholder chosen master
  jtag_uart_avalon_jtag_slave_grant_vector <= std_logic'('1');
  --placeholder vector of master qualified-requests
  jtag_uart_avalon_jtag_slave_master_qreq_vector <= std_logic'('1');
  --jtag_uart_avalon_jtag_slave_reset_n assignment, which is an e_assign
  jtag_uart_avalon_jtag_slave_reset_n <= reset_n;
  jtag_uart_avalon_jtag_slave_chipselect <= internal_cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave;
  --jtag_uart_avalon_jtag_slave_firsttransfer first transaction, which is an e_assign
  jtag_uart_avalon_jtag_slave_firsttransfer <= A_WE_StdLogic((std_logic'(jtag_uart_avalon_jtag_slave_begins_xfer) = '1'), jtag_uart_avalon_jtag_slave_unreg_firsttransfer, jtag_uart_avalon_jtag_slave_reg_firsttransfer);
  --jtag_uart_avalon_jtag_slave_unreg_firsttransfer first transaction, which is an e_assign
  jtag_uart_avalon_jtag_slave_unreg_firsttransfer <= NOT ((jtag_uart_avalon_jtag_slave_slavearbiterlockenable AND jtag_uart_avalon_jtag_slave_any_continuerequest));
  --jtag_uart_avalon_jtag_slave_reg_firsttransfer first transaction, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      jtag_uart_avalon_jtag_slave_reg_firsttransfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      if std_logic'(jtag_uart_avalon_jtag_slave_begins_xfer) = '1' then 
        jtag_uart_avalon_jtag_slave_reg_firsttransfer <= jtag_uart_avalon_jtag_slave_unreg_firsttransfer;
      end if;
    end if;

  end process;

  --jtag_uart_avalon_jtag_slave_beginbursttransfer_internal begin burst transfer, which is an e_assign
  jtag_uart_avalon_jtag_slave_beginbursttransfer_internal <= jtag_uart_avalon_jtag_slave_begins_xfer;
  --~jtag_uart_avalon_jtag_slave_read_n assignment, which is an e_mux
  jtag_uart_avalon_jtag_slave_read_n <= NOT ((internal_cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave AND cpu_0_data_master_read));
  --~jtag_uart_avalon_jtag_slave_write_n assignment, which is an e_mux
  jtag_uart_avalon_jtag_slave_write_n <= NOT ((internal_cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave AND cpu_0_data_master_write));
  shifted_address_to_jtag_uart_avalon_jtag_slave_from_cpu_0_data_master <= cpu_0_data_master_address_to_slave;
  --jtag_uart_avalon_jtag_slave_address mux, which is an e_mux
  jtag_uart_avalon_jtag_slave_address <= Vector_To_Std_Logic(A_SRL(shifted_address_to_jtag_uart_avalon_jtag_slave_from_cpu_0_data_master,std_logic_vector'("00000000000000000000000000000010")));
  --d1_jtag_uart_avalon_jtag_slave_end_xfer register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_jtag_uart_avalon_jtag_slave_end_xfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      d1_jtag_uart_avalon_jtag_slave_end_xfer <= jtag_uart_avalon_jtag_slave_end_xfer;
    end if;

  end process;

  --jtag_uart_avalon_jtag_slave_waits_for_read in a cycle, which is an e_mux
  jtag_uart_avalon_jtag_slave_waits_for_read <= jtag_uart_avalon_jtag_slave_in_a_read_cycle AND internal_jtag_uart_avalon_jtag_slave_waitrequest_from_sa;
  --jtag_uart_avalon_jtag_slave_in_a_read_cycle assignment, which is an e_assign
  jtag_uart_avalon_jtag_slave_in_a_read_cycle <= internal_cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave AND cpu_0_data_master_read;
  --in_a_read_cycle assignment, which is an e_mux
  in_a_read_cycle <= jtag_uart_avalon_jtag_slave_in_a_read_cycle;
  --jtag_uart_avalon_jtag_slave_waits_for_write in a cycle, which is an e_mux
  jtag_uart_avalon_jtag_slave_waits_for_write <= jtag_uart_avalon_jtag_slave_in_a_write_cycle AND internal_jtag_uart_avalon_jtag_slave_waitrequest_from_sa;
  --jtag_uart_avalon_jtag_slave_in_a_write_cycle assignment, which is an e_assign
  jtag_uart_avalon_jtag_slave_in_a_write_cycle <= internal_cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave AND cpu_0_data_master_write;
  --in_a_write_cycle assignment, which is an e_mux
  in_a_write_cycle <= jtag_uart_avalon_jtag_slave_in_a_write_cycle;
  wait_for_jtag_uart_avalon_jtag_slave_counter <= std_logic'('0');
  --assign jtag_uart_avalon_jtag_slave_irq_from_sa = jtag_uart_avalon_jtag_slave_irq so that symbol knows where to group signals which may go to master only, which is an e_assign
  jtag_uart_avalon_jtag_slave_irq_from_sa <= jtag_uart_avalon_jtag_slave_irq;
  --vhdl renameroo for output signals
  cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave <= internal_cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave;
  --vhdl renameroo for output signals
  cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave <= internal_cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave;
  --vhdl renameroo for output signals
  cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave <= internal_cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave;
  --vhdl renameroo for output signals
  jtag_uart_avalon_jtag_slave_waitrequest_from_sa <= internal_jtag_uart_avalon_jtag_slave_waitrequest_from_sa;
--synthesis translate_off
    --jtag_uart/avalon_jtag_slave enable non-zero assertions, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        enable_nonzero_assertions <= std_logic'('0');
      elsif clk'event and clk = '1' then
        enable_nonzero_assertions <= std_logic'('1');
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity leds_s1_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal leds_s1_readdata : IN STD_LOGIC_VECTOR (2 DOWNTO 0);
                 signal reset_n : IN STD_LOGIC;

              -- outputs:
                 signal cpu_0_data_master_granted_leds_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_leds_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_leds_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_requests_leds_s1 : OUT STD_LOGIC;
                 signal d1_leds_s1_end_xfer : OUT STD_LOGIC;
                 signal leds_s1_address : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);
                 signal leds_s1_chipselect : OUT STD_LOGIC;
                 signal leds_s1_readdata_from_sa : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);
                 signal leds_s1_reset_n : OUT STD_LOGIC;
                 signal leds_s1_write_n : OUT STD_LOGIC;
                 signal leds_s1_writedata : OUT STD_LOGIC_VECTOR (2 DOWNTO 0)
              );
end entity leds_s1_arbitrator;


architecture europa of leds_s1_arbitrator is
                signal cpu_0_data_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_data_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_data_master_continuerequest :  STD_LOGIC;
                signal cpu_0_data_master_saved_grant_leds_s1 :  STD_LOGIC;
                signal d1_reasons_to_wait :  STD_LOGIC;
                signal enable_nonzero_assertions :  STD_LOGIC;
                signal end_xfer_arb_share_counter_term_leds_s1 :  STD_LOGIC;
                signal in_a_read_cycle :  STD_LOGIC;
                signal in_a_write_cycle :  STD_LOGIC;
                signal internal_cpu_0_data_master_granted_leds_s1 :  STD_LOGIC;
                signal internal_cpu_0_data_master_qualified_request_leds_s1 :  STD_LOGIC;
                signal internal_cpu_0_data_master_requests_leds_s1 :  STD_LOGIC;
                signal leds_s1_allgrants :  STD_LOGIC;
                signal leds_s1_allow_new_arb_cycle :  STD_LOGIC;
                signal leds_s1_any_bursting_master_saved_grant :  STD_LOGIC;
                signal leds_s1_any_continuerequest :  STD_LOGIC;
                signal leds_s1_arb_counter_enable :  STD_LOGIC;
                signal leds_s1_arb_share_counter :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal leds_s1_arb_share_counter_next_value :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal leds_s1_arb_share_set_values :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal leds_s1_beginbursttransfer_internal :  STD_LOGIC;
                signal leds_s1_begins_xfer :  STD_LOGIC;
                signal leds_s1_end_xfer :  STD_LOGIC;
                signal leds_s1_firsttransfer :  STD_LOGIC;
                signal leds_s1_grant_vector :  STD_LOGIC;
                signal leds_s1_in_a_read_cycle :  STD_LOGIC;
                signal leds_s1_in_a_write_cycle :  STD_LOGIC;
                signal leds_s1_master_qreq_vector :  STD_LOGIC;
                signal leds_s1_non_bursting_master_requests :  STD_LOGIC;
                signal leds_s1_reg_firsttransfer :  STD_LOGIC;
                signal leds_s1_slavearbiterlockenable :  STD_LOGIC;
                signal leds_s1_slavearbiterlockenable2 :  STD_LOGIC;
                signal leds_s1_unreg_firsttransfer :  STD_LOGIC;
                signal leds_s1_waits_for_read :  STD_LOGIC;
                signal leds_s1_waits_for_write :  STD_LOGIC;
                signal shifted_address_to_leds_s1_from_cpu_0_data_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal wait_for_leds_s1_counter :  STD_LOGIC;

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_reasons_to_wait <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_reasons_to_wait <= NOT leds_s1_end_xfer;
    end if;

  end process;

  leds_s1_begins_xfer <= NOT d1_reasons_to_wait AND (internal_cpu_0_data_master_qualified_request_leds_s1);
  --assign leds_s1_readdata_from_sa = leds_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  leds_s1_readdata_from_sa <= leds_s1_readdata;
  internal_cpu_0_data_master_requests_leds_s1 <= to_std_logic(((Std_Logic_Vector'(cpu_0_data_master_address_to_slave(19 DOWNTO 5) & std_logic_vector'("00000")) = std_logic_vector'("00000000000000100000")))) AND ((cpu_0_data_master_read OR cpu_0_data_master_write));
  --leds_s1_arb_share_counter set values, which is an e_mux
  leds_s1_arb_share_set_values <= std_logic_vector'("001");
  --leds_s1_non_bursting_master_requests mux, which is an e_mux
  leds_s1_non_bursting_master_requests <= internal_cpu_0_data_master_requests_leds_s1;
  --leds_s1_any_bursting_master_saved_grant mux, which is an e_mux
  leds_s1_any_bursting_master_saved_grant <= std_logic'('0');
  --leds_s1_arb_share_counter_next_value assignment, which is an e_assign
  leds_s1_arb_share_counter_next_value <= A_EXT (A_WE_StdLogicVector((std_logic'(leds_s1_firsttransfer) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (leds_s1_arb_share_set_values)) - std_logic_vector'("000000000000000000000000000000001"))), A_WE_StdLogicVector((std_logic'(or_reduce(leds_s1_arb_share_counter)) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (leds_s1_arb_share_counter)) - std_logic_vector'("000000000000000000000000000000001"))), std_logic_vector'("000000000000000000000000000000000"))), 3);
  --leds_s1_allgrants all slave grants, which is an e_mux
  leds_s1_allgrants <= leds_s1_grant_vector;
  --leds_s1_end_xfer assignment, which is an e_assign
  leds_s1_end_xfer <= NOT ((leds_s1_waits_for_read OR leds_s1_waits_for_write));
  --end_xfer_arb_share_counter_term_leds_s1 arb share counter enable term, which is an e_assign
  end_xfer_arb_share_counter_term_leds_s1 <= leds_s1_end_xfer AND (((NOT leds_s1_any_bursting_master_saved_grant OR in_a_read_cycle) OR in_a_write_cycle));
  --leds_s1_arb_share_counter arbitration counter enable, which is an e_assign
  leds_s1_arb_counter_enable <= ((end_xfer_arb_share_counter_term_leds_s1 AND leds_s1_allgrants)) OR ((end_xfer_arb_share_counter_term_leds_s1 AND NOT leds_s1_non_bursting_master_requests));
  --leds_s1_arb_share_counter counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      leds_s1_arb_share_counter <= std_logic_vector'("000");
    elsif clk'event and clk = '1' then
      if std_logic'(leds_s1_arb_counter_enable) = '1' then 
        leds_s1_arb_share_counter <= leds_s1_arb_share_counter_next_value;
      end if;
    end if;

  end process;

  --leds_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      leds_s1_slavearbiterlockenable <= std_logic'('0');
    elsif clk'event and clk = '1' then
      if std_logic'((((leds_s1_master_qreq_vector AND end_xfer_arb_share_counter_term_leds_s1)) OR ((end_xfer_arb_share_counter_term_leds_s1 AND NOT leds_s1_non_bursting_master_requests)))) = '1' then 
        leds_s1_slavearbiterlockenable <= or_reduce(leds_s1_arb_share_counter_next_value);
      end if;
    end if;

  end process;

  --cpu_0/data_master leds/s1 arbiterlock, which is an e_assign
  cpu_0_data_master_arbiterlock <= leds_s1_slavearbiterlockenable AND cpu_0_data_master_continuerequest;
  --leds_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  leds_s1_slavearbiterlockenable2 <= or_reduce(leds_s1_arb_share_counter_next_value);
  --cpu_0/data_master leds/s1 arbiterlock2, which is an e_assign
  cpu_0_data_master_arbiterlock2 <= leds_s1_slavearbiterlockenable2 AND cpu_0_data_master_continuerequest;
  --leds_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  leds_s1_any_continuerequest <= std_logic'('1');
  --cpu_0_data_master_continuerequest continued request, which is an e_assign
  cpu_0_data_master_continuerequest <= std_logic'('1');
  internal_cpu_0_data_master_qualified_request_leds_s1 <= internal_cpu_0_data_master_requests_leds_s1 AND NOT (((NOT cpu_0_data_master_waitrequest) AND cpu_0_data_master_write));
  --leds_s1_writedata mux, which is an e_mux
  leds_s1_writedata <= cpu_0_data_master_writedata (2 DOWNTO 0);
  --master is always granted when requested
  internal_cpu_0_data_master_granted_leds_s1 <= internal_cpu_0_data_master_qualified_request_leds_s1;
  --cpu_0/data_master saved-grant leds/s1, which is an e_assign
  cpu_0_data_master_saved_grant_leds_s1 <= internal_cpu_0_data_master_requests_leds_s1;
  --allow new arb cycle for leds/s1, which is an e_assign
  leds_s1_allow_new_arb_cycle <= std_logic'('1');
  --placeholder chosen master
  leds_s1_grant_vector <= std_logic'('1');
  --placeholder vector of master qualified-requests
  leds_s1_master_qreq_vector <= std_logic'('1');
  --leds_s1_reset_n assignment, which is an e_assign
  leds_s1_reset_n <= reset_n;
  leds_s1_chipselect <= internal_cpu_0_data_master_granted_leds_s1;
  --leds_s1_firsttransfer first transaction, which is an e_assign
  leds_s1_firsttransfer <= A_WE_StdLogic((std_logic'(leds_s1_begins_xfer) = '1'), leds_s1_unreg_firsttransfer, leds_s1_reg_firsttransfer);
  --leds_s1_unreg_firsttransfer first transaction, which is an e_assign
  leds_s1_unreg_firsttransfer <= NOT ((leds_s1_slavearbiterlockenable AND leds_s1_any_continuerequest));
  --leds_s1_reg_firsttransfer first transaction, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      leds_s1_reg_firsttransfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      if std_logic'(leds_s1_begins_xfer) = '1' then 
        leds_s1_reg_firsttransfer <= leds_s1_unreg_firsttransfer;
      end if;
    end if;

  end process;

  --leds_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  leds_s1_beginbursttransfer_internal <= leds_s1_begins_xfer;
  --~leds_s1_write_n assignment, which is an e_mux
  leds_s1_write_n <= NOT ((internal_cpu_0_data_master_granted_leds_s1 AND cpu_0_data_master_write));
  shifted_address_to_leds_s1_from_cpu_0_data_master <= cpu_0_data_master_address_to_slave;
  --leds_s1_address mux, which is an e_mux
  leds_s1_address <= A_EXT (A_SRL(shifted_address_to_leds_s1_from_cpu_0_data_master,std_logic_vector'("00000000000000000000000000000010")), 3);
  --d1_leds_s1_end_xfer register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_leds_s1_end_xfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      d1_leds_s1_end_xfer <= leds_s1_end_xfer;
    end if;

  end process;

  --leds_s1_waits_for_read in a cycle, which is an e_mux
  leds_s1_waits_for_read <= leds_s1_in_a_read_cycle AND leds_s1_begins_xfer;
  --leds_s1_in_a_read_cycle assignment, which is an e_assign
  leds_s1_in_a_read_cycle <= internal_cpu_0_data_master_granted_leds_s1 AND cpu_0_data_master_read;
  --in_a_read_cycle assignment, which is an e_mux
  in_a_read_cycle <= leds_s1_in_a_read_cycle;
  --leds_s1_waits_for_write in a cycle, which is an e_mux
  leds_s1_waits_for_write <= Vector_To_Std_Logic(((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(leds_s1_in_a_write_cycle))) AND std_logic_vector'("00000000000000000000000000000000")));
  --leds_s1_in_a_write_cycle assignment, which is an e_assign
  leds_s1_in_a_write_cycle <= internal_cpu_0_data_master_granted_leds_s1 AND cpu_0_data_master_write;
  --in_a_write_cycle assignment, which is an e_mux
  in_a_write_cycle <= leds_s1_in_a_write_cycle;
  wait_for_leds_s1_counter <= std_logic'('0');
  --vhdl renameroo for output signals
  cpu_0_data_master_granted_leds_s1 <= internal_cpu_0_data_master_granted_leds_s1;
  --vhdl renameroo for output signals
  cpu_0_data_master_qualified_request_leds_s1 <= internal_cpu_0_data_master_qualified_request_leds_s1;
  --vhdl renameroo for output signals
  cpu_0_data_master_requests_leds_s1 <= internal_cpu_0_data_master_requests_leds_s1;
--synthesis translate_off
    --leds/s1 enable non-zero assertions, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        enable_nonzero_assertions <= std_logic'('0');
      elsif clk'event and clk = '1' then
        enable_nonzero_assertions <= std_logic'('1');
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity sysid_control_slave_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;
                 signal sysid_control_slave_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

              -- outputs:
                 signal cpu_0_data_master_granted_sysid_control_slave : OUT STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_sysid_control_slave : OUT STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_sysid_control_slave : OUT STD_LOGIC;
                 signal cpu_0_data_master_requests_sysid_control_slave : OUT STD_LOGIC;
                 signal d1_sysid_control_slave_end_xfer : OUT STD_LOGIC;
                 signal sysid_control_slave_address : OUT STD_LOGIC;
                 signal sysid_control_slave_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
              );
end entity sysid_control_slave_arbitrator;


architecture europa of sysid_control_slave_arbitrator is
                signal cpu_0_data_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_data_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_data_master_continuerequest :  STD_LOGIC;
                signal cpu_0_data_master_saved_grant_sysid_control_slave :  STD_LOGIC;
                signal d1_reasons_to_wait :  STD_LOGIC;
                signal enable_nonzero_assertions :  STD_LOGIC;
                signal end_xfer_arb_share_counter_term_sysid_control_slave :  STD_LOGIC;
                signal in_a_read_cycle :  STD_LOGIC;
                signal in_a_write_cycle :  STD_LOGIC;
                signal internal_cpu_0_data_master_granted_sysid_control_slave :  STD_LOGIC;
                signal internal_cpu_0_data_master_qualified_request_sysid_control_slave :  STD_LOGIC;
                signal internal_cpu_0_data_master_requests_sysid_control_slave :  STD_LOGIC;
                signal shifted_address_to_sysid_control_slave_from_cpu_0_data_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal sysid_control_slave_allgrants :  STD_LOGIC;
                signal sysid_control_slave_allow_new_arb_cycle :  STD_LOGIC;
                signal sysid_control_slave_any_bursting_master_saved_grant :  STD_LOGIC;
                signal sysid_control_slave_any_continuerequest :  STD_LOGIC;
                signal sysid_control_slave_arb_counter_enable :  STD_LOGIC;
                signal sysid_control_slave_arb_share_counter :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal sysid_control_slave_arb_share_counter_next_value :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal sysid_control_slave_arb_share_set_values :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal sysid_control_slave_beginbursttransfer_internal :  STD_LOGIC;
                signal sysid_control_slave_begins_xfer :  STD_LOGIC;
                signal sysid_control_slave_end_xfer :  STD_LOGIC;
                signal sysid_control_slave_firsttransfer :  STD_LOGIC;
                signal sysid_control_slave_grant_vector :  STD_LOGIC;
                signal sysid_control_slave_in_a_read_cycle :  STD_LOGIC;
                signal sysid_control_slave_in_a_write_cycle :  STD_LOGIC;
                signal sysid_control_slave_master_qreq_vector :  STD_LOGIC;
                signal sysid_control_slave_non_bursting_master_requests :  STD_LOGIC;
                signal sysid_control_slave_reg_firsttransfer :  STD_LOGIC;
                signal sysid_control_slave_slavearbiterlockenable :  STD_LOGIC;
                signal sysid_control_slave_slavearbiterlockenable2 :  STD_LOGIC;
                signal sysid_control_slave_unreg_firsttransfer :  STD_LOGIC;
                signal sysid_control_slave_waits_for_read :  STD_LOGIC;
                signal sysid_control_slave_waits_for_write :  STD_LOGIC;
                signal wait_for_sysid_control_slave_counter :  STD_LOGIC;

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_reasons_to_wait <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_reasons_to_wait <= NOT sysid_control_slave_end_xfer;
    end if;

  end process;

  sysid_control_slave_begins_xfer <= NOT d1_reasons_to_wait AND (internal_cpu_0_data_master_qualified_request_sysid_control_slave);
  --assign sysid_control_slave_readdata_from_sa = sysid_control_slave_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  sysid_control_slave_readdata_from_sa <= sysid_control_slave_readdata;
  internal_cpu_0_data_master_requests_sysid_control_slave <= ((to_std_logic(((Std_Logic_Vector'(cpu_0_data_master_address_to_slave(19 DOWNTO 3) & std_logic_vector'("000")) = std_logic_vector'("00000000000000000000")))) AND ((cpu_0_data_master_read OR cpu_0_data_master_write)))) AND cpu_0_data_master_read;
  --sysid_control_slave_arb_share_counter set values, which is an e_mux
  sysid_control_slave_arb_share_set_values <= std_logic_vector'("001");
  --sysid_control_slave_non_bursting_master_requests mux, which is an e_mux
  sysid_control_slave_non_bursting_master_requests <= internal_cpu_0_data_master_requests_sysid_control_slave;
  --sysid_control_slave_any_bursting_master_saved_grant mux, which is an e_mux
  sysid_control_slave_any_bursting_master_saved_grant <= std_logic'('0');
  --sysid_control_slave_arb_share_counter_next_value assignment, which is an e_assign
  sysid_control_slave_arb_share_counter_next_value <= A_EXT (A_WE_StdLogicVector((std_logic'(sysid_control_slave_firsttransfer) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (sysid_control_slave_arb_share_set_values)) - std_logic_vector'("000000000000000000000000000000001"))), A_WE_StdLogicVector((std_logic'(or_reduce(sysid_control_slave_arb_share_counter)) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (sysid_control_slave_arb_share_counter)) - std_logic_vector'("000000000000000000000000000000001"))), std_logic_vector'("000000000000000000000000000000000"))), 3);
  --sysid_control_slave_allgrants all slave grants, which is an e_mux
  sysid_control_slave_allgrants <= sysid_control_slave_grant_vector;
  --sysid_control_slave_end_xfer assignment, which is an e_assign
  sysid_control_slave_end_xfer <= NOT ((sysid_control_slave_waits_for_read OR sysid_control_slave_waits_for_write));
  --end_xfer_arb_share_counter_term_sysid_control_slave arb share counter enable term, which is an e_assign
  end_xfer_arb_share_counter_term_sysid_control_slave <= sysid_control_slave_end_xfer AND (((NOT sysid_control_slave_any_bursting_master_saved_grant OR in_a_read_cycle) OR in_a_write_cycle));
  --sysid_control_slave_arb_share_counter arbitration counter enable, which is an e_assign
  sysid_control_slave_arb_counter_enable <= ((end_xfer_arb_share_counter_term_sysid_control_slave AND sysid_control_slave_allgrants)) OR ((end_xfer_arb_share_counter_term_sysid_control_slave AND NOT sysid_control_slave_non_bursting_master_requests));
  --sysid_control_slave_arb_share_counter counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      sysid_control_slave_arb_share_counter <= std_logic_vector'("000");
    elsif clk'event and clk = '1' then
      if std_logic'(sysid_control_slave_arb_counter_enable) = '1' then 
        sysid_control_slave_arb_share_counter <= sysid_control_slave_arb_share_counter_next_value;
      end if;
    end if;

  end process;

  --sysid_control_slave_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      sysid_control_slave_slavearbiterlockenable <= std_logic'('0');
    elsif clk'event and clk = '1' then
      if std_logic'((((sysid_control_slave_master_qreq_vector AND end_xfer_arb_share_counter_term_sysid_control_slave)) OR ((end_xfer_arb_share_counter_term_sysid_control_slave AND NOT sysid_control_slave_non_bursting_master_requests)))) = '1' then 
        sysid_control_slave_slavearbiterlockenable <= or_reduce(sysid_control_slave_arb_share_counter_next_value);
      end if;
    end if;

  end process;

  --cpu_0/data_master sysid/control_slave arbiterlock, which is an e_assign
  cpu_0_data_master_arbiterlock <= sysid_control_slave_slavearbiterlockenable AND cpu_0_data_master_continuerequest;
  --sysid_control_slave_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  sysid_control_slave_slavearbiterlockenable2 <= or_reduce(sysid_control_slave_arb_share_counter_next_value);
  --cpu_0/data_master sysid/control_slave arbiterlock2, which is an e_assign
  cpu_0_data_master_arbiterlock2 <= sysid_control_slave_slavearbiterlockenable2 AND cpu_0_data_master_continuerequest;
  --sysid_control_slave_any_continuerequest at least one master continues requesting, which is an e_assign
  sysid_control_slave_any_continuerequest <= std_logic'('1');
  --cpu_0_data_master_continuerequest continued request, which is an e_assign
  cpu_0_data_master_continuerequest <= std_logic'('1');
  internal_cpu_0_data_master_qualified_request_sysid_control_slave <= internal_cpu_0_data_master_requests_sysid_control_slave;
  --master is always granted when requested
  internal_cpu_0_data_master_granted_sysid_control_slave <= internal_cpu_0_data_master_qualified_request_sysid_control_slave;
  --cpu_0/data_master saved-grant sysid/control_slave, which is an e_assign
  cpu_0_data_master_saved_grant_sysid_control_slave <= internal_cpu_0_data_master_requests_sysid_control_slave;
  --allow new arb cycle for sysid/control_slave, which is an e_assign
  sysid_control_slave_allow_new_arb_cycle <= std_logic'('1');
  --placeholder chosen master
  sysid_control_slave_grant_vector <= std_logic'('1');
  --placeholder vector of master qualified-requests
  sysid_control_slave_master_qreq_vector <= std_logic'('1');
  --sysid_control_slave_firsttransfer first transaction, which is an e_assign
  sysid_control_slave_firsttransfer <= A_WE_StdLogic((std_logic'(sysid_control_slave_begins_xfer) = '1'), sysid_control_slave_unreg_firsttransfer, sysid_control_slave_reg_firsttransfer);
  --sysid_control_slave_unreg_firsttransfer first transaction, which is an e_assign
  sysid_control_slave_unreg_firsttransfer <= NOT ((sysid_control_slave_slavearbiterlockenable AND sysid_control_slave_any_continuerequest));
  --sysid_control_slave_reg_firsttransfer first transaction, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      sysid_control_slave_reg_firsttransfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      if std_logic'(sysid_control_slave_begins_xfer) = '1' then 
        sysid_control_slave_reg_firsttransfer <= sysid_control_slave_unreg_firsttransfer;
      end if;
    end if;

  end process;

  --sysid_control_slave_beginbursttransfer_internal begin burst transfer, which is an e_assign
  sysid_control_slave_beginbursttransfer_internal <= sysid_control_slave_begins_xfer;
  shifted_address_to_sysid_control_slave_from_cpu_0_data_master <= cpu_0_data_master_address_to_slave;
  --sysid_control_slave_address mux, which is an e_mux
  sysid_control_slave_address <= Vector_To_Std_Logic(A_SRL(shifted_address_to_sysid_control_slave_from_cpu_0_data_master,std_logic_vector'("00000000000000000000000000000010")));
  --d1_sysid_control_slave_end_xfer register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_sysid_control_slave_end_xfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      d1_sysid_control_slave_end_xfer <= sysid_control_slave_end_xfer;
    end if;

  end process;

  --sysid_control_slave_waits_for_read in a cycle, which is an e_mux
  sysid_control_slave_waits_for_read <= sysid_control_slave_in_a_read_cycle AND sysid_control_slave_begins_xfer;
  --sysid_control_slave_in_a_read_cycle assignment, which is an e_assign
  sysid_control_slave_in_a_read_cycle <= internal_cpu_0_data_master_granted_sysid_control_slave AND cpu_0_data_master_read;
  --in_a_read_cycle assignment, which is an e_mux
  in_a_read_cycle <= sysid_control_slave_in_a_read_cycle;
  --sysid_control_slave_waits_for_write in a cycle, which is an e_mux
  sysid_control_slave_waits_for_write <= Vector_To_Std_Logic(((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(sysid_control_slave_in_a_write_cycle))) AND std_logic_vector'("00000000000000000000000000000000")));
  --sysid_control_slave_in_a_write_cycle assignment, which is an e_assign
  sysid_control_slave_in_a_write_cycle <= internal_cpu_0_data_master_granted_sysid_control_slave AND cpu_0_data_master_write;
  --in_a_write_cycle assignment, which is an e_mux
  in_a_write_cycle <= sysid_control_slave_in_a_write_cycle;
  wait_for_sysid_control_slave_counter <= std_logic'('0');
  --vhdl renameroo for output signals
  cpu_0_data_master_granted_sysid_control_slave <= internal_cpu_0_data_master_granted_sysid_control_slave;
  --vhdl renameroo for output signals
  cpu_0_data_master_qualified_request_sysid_control_slave <= internal_cpu_0_data_master_qualified_request_sysid_control_slave;
  --vhdl renameroo for output signals
  cpu_0_data_master_requests_sysid_control_slave <= internal_cpu_0_data_master_requests_sysid_control_slave;
--synthesis translate_off
    --sysid/control_slave enable non-zero assertions, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        enable_nonzero_assertions <= std_logic'('0');
      elsif clk'event and clk = '1' then
        enable_nonzero_assertions <= std_logic'('1');
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity timer_s1_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal reset_n : IN STD_LOGIC;
                 signal timer_s1_irq : IN STD_LOGIC;
                 signal timer_s1_readdata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);

              -- outputs:
                 signal cpu_0_data_master_granted_timer_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_timer_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_timer_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_requests_timer_s1 : OUT STD_LOGIC;
                 signal d1_timer_s1_end_xfer : OUT STD_LOGIC;
                 signal timer_s1_address : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);
                 signal timer_s1_chipselect : OUT STD_LOGIC;
                 signal timer_s1_irq_from_sa : OUT STD_LOGIC;
                 signal timer_s1_readdata_from_sa : OUT STD_LOGIC_VECTOR (15 DOWNTO 0);
                 signal timer_s1_reset_n : OUT STD_LOGIC;
                 signal timer_s1_write_n : OUT STD_LOGIC;
                 signal timer_s1_writedata : OUT STD_LOGIC_VECTOR (15 DOWNTO 0)
              );
end entity timer_s1_arbitrator;


architecture europa of timer_s1_arbitrator is
                signal cpu_0_data_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_data_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_data_master_continuerequest :  STD_LOGIC;
                signal cpu_0_data_master_saved_grant_timer_s1 :  STD_LOGIC;
                signal d1_reasons_to_wait :  STD_LOGIC;
                signal enable_nonzero_assertions :  STD_LOGIC;
                signal end_xfer_arb_share_counter_term_timer_s1 :  STD_LOGIC;
                signal in_a_read_cycle :  STD_LOGIC;
                signal in_a_write_cycle :  STD_LOGIC;
                signal internal_cpu_0_data_master_granted_timer_s1 :  STD_LOGIC;
                signal internal_cpu_0_data_master_qualified_request_timer_s1 :  STD_LOGIC;
                signal internal_cpu_0_data_master_requests_timer_s1 :  STD_LOGIC;
                signal shifted_address_to_timer_s1_from_cpu_0_data_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal timer_s1_allgrants :  STD_LOGIC;
                signal timer_s1_allow_new_arb_cycle :  STD_LOGIC;
                signal timer_s1_any_bursting_master_saved_grant :  STD_LOGIC;
                signal timer_s1_any_continuerequest :  STD_LOGIC;
                signal timer_s1_arb_counter_enable :  STD_LOGIC;
                signal timer_s1_arb_share_counter :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal timer_s1_arb_share_counter_next_value :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal timer_s1_arb_share_set_values :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal timer_s1_beginbursttransfer_internal :  STD_LOGIC;
                signal timer_s1_begins_xfer :  STD_LOGIC;
                signal timer_s1_end_xfer :  STD_LOGIC;
                signal timer_s1_firsttransfer :  STD_LOGIC;
                signal timer_s1_grant_vector :  STD_LOGIC;
                signal timer_s1_in_a_read_cycle :  STD_LOGIC;
                signal timer_s1_in_a_write_cycle :  STD_LOGIC;
                signal timer_s1_master_qreq_vector :  STD_LOGIC;
                signal timer_s1_non_bursting_master_requests :  STD_LOGIC;
                signal timer_s1_reg_firsttransfer :  STD_LOGIC;
                signal timer_s1_slavearbiterlockenable :  STD_LOGIC;
                signal timer_s1_slavearbiterlockenable2 :  STD_LOGIC;
                signal timer_s1_unreg_firsttransfer :  STD_LOGIC;
                signal timer_s1_waits_for_read :  STD_LOGIC;
                signal timer_s1_waits_for_write :  STD_LOGIC;
                signal wait_for_timer_s1_counter :  STD_LOGIC;

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_reasons_to_wait <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_reasons_to_wait <= NOT timer_s1_end_xfer;
    end if;

  end process;

  timer_s1_begins_xfer <= NOT d1_reasons_to_wait AND (internal_cpu_0_data_master_qualified_request_timer_s1);
  --assign timer_s1_readdata_from_sa = timer_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  timer_s1_readdata_from_sa <= timer_s1_readdata;
  internal_cpu_0_data_master_requests_timer_s1 <= to_std_logic(((Std_Logic_Vector'(cpu_0_data_master_address_to_slave(19 DOWNTO 5) & std_logic_vector'("00000")) = std_logic_vector'("00000000000001000000")))) AND ((cpu_0_data_master_read OR cpu_0_data_master_write));
  --timer_s1_arb_share_counter set values, which is an e_mux
  timer_s1_arb_share_set_values <= std_logic_vector'("001");
  --timer_s1_non_bursting_master_requests mux, which is an e_mux
  timer_s1_non_bursting_master_requests <= internal_cpu_0_data_master_requests_timer_s1;
  --timer_s1_any_bursting_master_saved_grant mux, which is an e_mux
  timer_s1_any_bursting_master_saved_grant <= std_logic'('0');
  --timer_s1_arb_share_counter_next_value assignment, which is an e_assign
  timer_s1_arb_share_counter_next_value <= A_EXT (A_WE_StdLogicVector((std_logic'(timer_s1_firsttransfer) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (timer_s1_arb_share_set_values)) - std_logic_vector'("000000000000000000000000000000001"))), A_WE_StdLogicVector((std_logic'(or_reduce(timer_s1_arb_share_counter)) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (timer_s1_arb_share_counter)) - std_logic_vector'("000000000000000000000000000000001"))), std_logic_vector'("000000000000000000000000000000000"))), 3);
  --timer_s1_allgrants all slave grants, which is an e_mux
  timer_s1_allgrants <= timer_s1_grant_vector;
  --timer_s1_end_xfer assignment, which is an e_assign
  timer_s1_end_xfer <= NOT ((timer_s1_waits_for_read OR timer_s1_waits_for_write));
  --end_xfer_arb_share_counter_term_timer_s1 arb share counter enable term, which is an e_assign
  end_xfer_arb_share_counter_term_timer_s1 <= timer_s1_end_xfer AND (((NOT timer_s1_any_bursting_master_saved_grant OR in_a_read_cycle) OR in_a_write_cycle));
  --timer_s1_arb_share_counter arbitration counter enable, which is an e_assign
  timer_s1_arb_counter_enable <= ((end_xfer_arb_share_counter_term_timer_s1 AND timer_s1_allgrants)) OR ((end_xfer_arb_share_counter_term_timer_s1 AND NOT timer_s1_non_bursting_master_requests));
  --timer_s1_arb_share_counter counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      timer_s1_arb_share_counter <= std_logic_vector'("000");
    elsif clk'event and clk = '1' then
      if std_logic'(timer_s1_arb_counter_enable) = '1' then 
        timer_s1_arb_share_counter <= timer_s1_arb_share_counter_next_value;
      end if;
    end if;

  end process;

  --timer_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      timer_s1_slavearbiterlockenable <= std_logic'('0');
    elsif clk'event and clk = '1' then
      if std_logic'((((timer_s1_master_qreq_vector AND end_xfer_arb_share_counter_term_timer_s1)) OR ((end_xfer_arb_share_counter_term_timer_s1 AND NOT timer_s1_non_bursting_master_requests)))) = '1' then 
        timer_s1_slavearbiterlockenable <= or_reduce(timer_s1_arb_share_counter_next_value);
      end if;
    end if;

  end process;

  --cpu_0/data_master timer/s1 arbiterlock, which is an e_assign
  cpu_0_data_master_arbiterlock <= timer_s1_slavearbiterlockenable AND cpu_0_data_master_continuerequest;
  --timer_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  timer_s1_slavearbiterlockenable2 <= or_reduce(timer_s1_arb_share_counter_next_value);
  --cpu_0/data_master timer/s1 arbiterlock2, which is an e_assign
  cpu_0_data_master_arbiterlock2 <= timer_s1_slavearbiterlockenable2 AND cpu_0_data_master_continuerequest;
  --timer_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  timer_s1_any_continuerequest <= std_logic'('1');
  --cpu_0_data_master_continuerequest continued request, which is an e_assign
  cpu_0_data_master_continuerequest <= std_logic'('1');
  internal_cpu_0_data_master_qualified_request_timer_s1 <= internal_cpu_0_data_master_requests_timer_s1 AND NOT (((NOT cpu_0_data_master_waitrequest) AND cpu_0_data_master_write));
  --timer_s1_writedata mux, which is an e_mux
  timer_s1_writedata <= cpu_0_data_master_writedata (15 DOWNTO 0);
  --master is always granted when requested
  internal_cpu_0_data_master_granted_timer_s1 <= internal_cpu_0_data_master_qualified_request_timer_s1;
  --cpu_0/data_master saved-grant timer/s1, which is an e_assign
  cpu_0_data_master_saved_grant_timer_s1 <= internal_cpu_0_data_master_requests_timer_s1;
  --allow new arb cycle for timer/s1, which is an e_assign
  timer_s1_allow_new_arb_cycle <= std_logic'('1');
  --placeholder chosen master
  timer_s1_grant_vector <= std_logic'('1');
  --placeholder vector of master qualified-requests
  timer_s1_master_qreq_vector <= std_logic'('1');
  --timer_s1_reset_n assignment, which is an e_assign
  timer_s1_reset_n <= reset_n;
  timer_s1_chipselect <= internal_cpu_0_data_master_granted_timer_s1;
  --timer_s1_firsttransfer first transaction, which is an e_assign
  timer_s1_firsttransfer <= A_WE_StdLogic((std_logic'(timer_s1_begins_xfer) = '1'), timer_s1_unreg_firsttransfer, timer_s1_reg_firsttransfer);
  --timer_s1_unreg_firsttransfer first transaction, which is an e_assign
  timer_s1_unreg_firsttransfer <= NOT ((timer_s1_slavearbiterlockenable AND timer_s1_any_continuerequest));
  --timer_s1_reg_firsttransfer first transaction, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      timer_s1_reg_firsttransfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      if std_logic'(timer_s1_begins_xfer) = '1' then 
        timer_s1_reg_firsttransfer <= timer_s1_unreg_firsttransfer;
      end if;
    end if;

  end process;

  --timer_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  timer_s1_beginbursttransfer_internal <= timer_s1_begins_xfer;
  --~timer_s1_write_n assignment, which is an e_mux
  timer_s1_write_n <= NOT ((internal_cpu_0_data_master_granted_timer_s1 AND cpu_0_data_master_write));
  shifted_address_to_timer_s1_from_cpu_0_data_master <= cpu_0_data_master_address_to_slave;
  --timer_s1_address mux, which is an e_mux
  timer_s1_address <= A_EXT (A_SRL(shifted_address_to_timer_s1_from_cpu_0_data_master,std_logic_vector'("00000000000000000000000000000010")), 3);
  --d1_timer_s1_end_xfer register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_timer_s1_end_xfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      d1_timer_s1_end_xfer <= timer_s1_end_xfer;
    end if;

  end process;

  --timer_s1_waits_for_read in a cycle, which is an e_mux
  timer_s1_waits_for_read <= timer_s1_in_a_read_cycle AND timer_s1_begins_xfer;
  --timer_s1_in_a_read_cycle assignment, which is an e_assign
  timer_s1_in_a_read_cycle <= internal_cpu_0_data_master_granted_timer_s1 AND cpu_0_data_master_read;
  --in_a_read_cycle assignment, which is an e_mux
  in_a_read_cycle <= timer_s1_in_a_read_cycle;
  --timer_s1_waits_for_write in a cycle, which is an e_mux
  timer_s1_waits_for_write <= Vector_To_Std_Logic(((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(timer_s1_in_a_write_cycle))) AND std_logic_vector'("00000000000000000000000000000000")));
  --timer_s1_in_a_write_cycle assignment, which is an e_assign
  timer_s1_in_a_write_cycle <= internal_cpu_0_data_master_granted_timer_s1 AND cpu_0_data_master_write;
  --in_a_write_cycle assignment, which is an e_mux
  in_a_write_cycle <= timer_s1_in_a_write_cycle;
  wait_for_timer_s1_counter <= std_logic'('0');
  --assign timer_s1_irq_from_sa = timer_s1_irq so that symbol knows where to group signals which may go to master only, which is an e_assign
  timer_s1_irq_from_sa <= timer_s1_irq;
  --vhdl renameroo for output signals
  cpu_0_data_master_granted_timer_s1 <= internal_cpu_0_data_master_granted_timer_s1;
  --vhdl renameroo for output signals
  cpu_0_data_master_qualified_request_timer_s1 <= internal_cpu_0_data_master_qualified_request_timer_s1;
  --vhdl renameroo for output signals
  cpu_0_data_master_requests_timer_s1 <= internal_cpu_0_data_master_requests_timer_s1;
--synthesis translate_off
    --timer/s1 enable non-zero assertions, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        enable_nonzero_assertions <= std_logic'('0');
      elsif clk'event and clk = '1' then
        enable_nonzero_assertions <= std_logic'('1');
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

library std;
use std.textio.all;

entity tri_state_bridge_avalon_slave_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_byteenable : IN STD_LOGIC_VECTOR (3 DOWNTO 0);
                 signal cpu_0_data_master_dbs_address : IN STD_LOGIC_VECTOR (1 DOWNTO 0);
                 signal cpu_0_data_master_dbs_write_8 : IN STD_LOGIC_VECTOR (7 DOWNTO 0);
                 signal cpu_0_data_master_no_byte_enables_and_last_term : IN STD_LOGIC;
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal cpu_0_instruction_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_instruction_master_dbs_address : IN STD_LOGIC_VECTOR (1 DOWNTO 0);
                 signal cpu_0_instruction_master_read : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;

              -- outputs:
                 signal addr_to_the_cy7c1049cv33 : OUT STD_LOGIC_VECTOR (18 DOWNTO 0);
                 signal chipsel_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;
                 signal cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 : OUT STD_LOGIC;
                 signal d1_tri_state_bridge_avalon_slave_end_xfer : OUT STD_LOGIC;
                 signal data_to_and_from_the_cy7c1049cv33 : INOUT STD_LOGIC_VECTOR (7 DOWNTO 0);
                 signal incoming_data_to_and_from_the_cy7c1049cv33 : OUT STD_LOGIC_VECTOR (7 DOWNTO 0);
                 signal read_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;
                 signal registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                 signal write_n_to_the_cy7c1049cv33 : OUT STD_LOGIC
              );
end entity tri_state_bridge_avalon_slave_arbitrator;


architecture europa of tri_state_bridge_avalon_slave_arbitrator is
                signal cpu_0_data_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_data_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_0 :  STD_LOGIC;
                signal cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_1 :  STD_LOGIC;
                signal cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_2 :  STD_LOGIC;
                signal cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_3 :  STD_LOGIC;
                signal cpu_0_data_master_continuerequest :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register_in :  STD_LOGIC;
                signal cpu_0_data_master_saved_grant_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_instruction_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_instruction_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_instruction_master_continuerequest :  STD_LOGIC;
                signal cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register_in :  STD_LOGIC;
                signal cpu_0_instruction_master_saved_grant_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cy7c1049cv33_avalon_tristate_slave_0_counter_load_value :  STD_LOGIC;
                signal cy7c1049cv33_avalon_tristate_slave_0_in_a_read_cycle :  STD_LOGIC;
                signal cy7c1049cv33_avalon_tristate_slave_0_in_a_write_cycle :  STD_LOGIC;
                signal cy7c1049cv33_avalon_tristate_slave_0_pretend_byte_enable :  STD_LOGIC;
                signal cy7c1049cv33_avalon_tristate_slave_0_wait_counter :  STD_LOGIC;
                signal cy7c1049cv33_avalon_tristate_slave_0_waits_for_read :  STD_LOGIC;
                signal cy7c1049cv33_avalon_tristate_slave_0_waits_for_write :  STD_LOGIC;
                signal cy7c1049cv33_avalon_tristate_slave_0_with_write_latency :  STD_LOGIC;
                signal d1_in_a_write_cycle :  STD_LOGIC;
                signal d1_outgoing_data_to_and_from_the_cy7c1049cv33 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal d1_reasons_to_wait :  STD_LOGIC;
                signal enable_nonzero_assertions :  STD_LOGIC;
                signal end_xfer_arb_share_counter_term_tri_state_bridge_avalon_slave :  STD_LOGIC;
                signal in_a_read_cycle :  STD_LOGIC;
                signal in_a_write_cycle :  STD_LOGIC;
                signal internal_cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal internal_cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal internal_cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal internal_cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 :  STD_LOGIC;
                signal last_cycle_cpu_0_data_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal last_cycle_cpu_0_instruction_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal outgoing_data_to_and_from_the_cy7c1049cv33 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal p1_addr_to_the_cy7c1049cv33 :  STD_LOGIC_VECTOR (18 DOWNTO 0);
                signal p1_chipsel_n_to_the_cy7c1049cv33 :  STD_LOGIC;
                signal p1_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal p1_cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal p1_read_n_to_the_cy7c1049cv33 :  STD_LOGIC;
                signal p1_write_n_to_the_cy7c1049cv33 :  STD_LOGIC;
                signal time_to_write :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_allgrants :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_allow_new_arb_cycle :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_any_bursting_master_saved_grant :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_any_continuerequest :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_arb_addend :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_arb_counter_enable :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_arb_share_counter :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_arb_share_counter_next_value :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_arb_share_set_values :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_arb_winner :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_arbitration_holdoff_internal :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_beginbursttransfer_internal :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_begins_xfer :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_chosen_master_double_vector :  STD_LOGIC_VECTOR (3 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_chosen_master_rot_left :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_end_xfer :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_firsttransfer :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_grant_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_master_qreq_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_non_bursting_master_requests :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_read_pending :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_reg_firsttransfer :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_saved_chosen_master_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal tri_state_bridge_avalon_slave_slavearbiterlockenable :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_slavearbiterlockenable2 :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_unreg_firsttransfer :  STD_LOGIC;
                signal tri_state_bridge_avalon_slave_write_pending :  STD_LOGIC;
                signal wait_for_cy7c1049cv33_avalon_tristate_slave_0_counter :  STD_LOGIC;
attribute ALTERA_ATTRIBUTE : string;
attribute ALTERA_ATTRIBUTE of addr_to_the_cy7c1049cv33 : signal is "FAST_OUTPUT_REGISTER=ON";
attribute ALTERA_ATTRIBUTE of chipsel_n_to_the_cy7c1049cv33 : signal is "FAST_OUTPUT_REGISTER=ON";
attribute ALTERA_ATTRIBUTE of d1_in_a_write_cycle : signal is "FAST_OUTPUT_ENABLE_REGISTER=ON";
attribute ALTERA_ATTRIBUTE of d1_outgoing_data_to_and_from_the_cy7c1049cv33 : signal is "FAST_OUTPUT_REGISTER=ON";
attribute ALTERA_ATTRIBUTE of incoming_data_to_and_from_the_cy7c1049cv33 : signal is "FAST_INPUT_REGISTER=ON";
attribute ALTERA_ATTRIBUTE of read_n_to_the_cy7c1049cv33 : signal is "FAST_OUTPUT_REGISTER=ON";
attribute ALTERA_ATTRIBUTE of write_n_to_the_cy7c1049cv33 : signal is "FAST_OUTPUT_REGISTER=ON";

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_reasons_to_wait <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_reasons_to_wait <= NOT tri_state_bridge_avalon_slave_end_xfer;
    end if;

  end process;

  tri_state_bridge_avalon_slave_begins_xfer <= NOT d1_reasons_to_wait AND ((internal_cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 OR internal_cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0));
  internal_cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 <= to_std_logic(((Std_Logic_Vector'(A_ToStdLogicVector(cpu_0_data_master_address_to_slave(19)) & std_logic_vector'("0000000000000000000")) = std_logic_vector'("10000000000000000000")))) AND ((cpu_0_data_master_read OR cpu_0_data_master_write));
  --~chipsel_n_to_the_cy7c1049cv33 of type chipselect to ~p1_chipsel_n_to_the_cy7c1049cv33, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      chipsel_n_to_the_cy7c1049cv33 <= Vector_To_Std_Logic(NOT std_logic_vector'("00000000000000000000000000000000"));
    elsif clk'event and clk = '1' then
      chipsel_n_to_the_cy7c1049cv33 <= p1_chipsel_n_to_the_cy7c1049cv33;
    end if;

  end process;

  tri_state_bridge_avalon_slave_write_pending <= std_logic'('0');
  --tri_state_bridge/avalon_slave read pending calc, which is an e_assign
  tri_state_bridge_avalon_slave_read_pending <= std_logic'('0');
  --registered rdv signal_name registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 assignment, which is an e_assign
  registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 <= cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register(0);
  --tri_state_bridge_avalon_slave_arb_share_counter set values, which is an e_mux
  tri_state_bridge_avalon_slave_arb_share_set_values <= A_EXT (A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0)) = '1'), std_logic_vector'("00000000000000000000000000000100"), A_WE_StdLogicVector((std_logic'((internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0)) = '1'), std_logic_vector'("00000000000000000000000000000100"), A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0)) = '1'), std_logic_vector'("00000000000000000000000000000100"), A_WE_StdLogicVector((std_logic'((internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0)) = '1'), std_logic_vector'("00000000000000000000000000000100"), std_logic_vector'("00000000000000000000000000000001"))))), 3);
  --tri_state_bridge_avalon_slave_non_bursting_master_requests mux, which is an e_mux
  tri_state_bridge_avalon_slave_non_bursting_master_requests <= ((internal_cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 OR internal_cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0) OR internal_cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0) OR internal_cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0;
  --tri_state_bridge_avalon_slave_any_bursting_master_saved_grant mux, which is an e_mux
  tri_state_bridge_avalon_slave_any_bursting_master_saved_grant <= std_logic'('0');
  --tri_state_bridge_avalon_slave_arb_share_counter_next_value assignment, which is an e_assign
  tri_state_bridge_avalon_slave_arb_share_counter_next_value <= A_EXT (A_WE_StdLogicVector((std_logic'(tri_state_bridge_avalon_slave_firsttransfer) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (tri_state_bridge_avalon_slave_arb_share_set_values)) - std_logic_vector'("000000000000000000000000000000001"))), A_WE_StdLogicVector((std_logic'(or_reduce(tri_state_bridge_avalon_slave_arb_share_counter)) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (tri_state_bridge_avalon_slave_arb_share_counter)) - std_logic_vector'("000000000000000000000000000000001"))), std_logic_vector'("000000000000000000000000000000000"))), 3);
  --tri_state_bridge_avalon_slave_allgrants all slave grants, which is an e_mux
  tri_state_bridge_avalon_slave_allgrants <= (((or_reduce(tri_state_bridge_avalon_slave_grant_vector)) OR (or_reduce(tri_state_bridge_avalon_slave_grant_vector))) OR (or_reduce(tri_state_bridge_avalon_slave_grant_vector))) OR (or_reduce(tri_state_bridge_avalon_slave_grant_vector));
  --tri_state_bridge_avalon_slave_end_xfer assignment, which is an e_assign
  tri_state_bridge_avalon_slave_end_xfer <= NOT ((cy7c1049cv33_avalon_tristate_slave_0_waits_for_read OR cy7c1049cv33_avalon_tristate_slave_0_waits_for_write));
  --end_xfer_arb_share_counter_term_tri_state_bridge_avalon_slave arb share counter enable term, which is an e_assign
  end_xfer_arb_share_counter_term_tri_state_bridge_avalon_slave <= tri_state_bridge_avalon_slave_end_xfer AND (((NOT tri_state_bridge_avalon_slave_any_bursting_master_saved_grant OR in_a_read_cycle) OR in_a_write_cycle));
  --tri_state_bridge_avalon_slave_arb_share_counter arbitration counter enable, which is an e_assign
  tri_state_bridge_avalon_slave_arb_counter_enable <= ((end_xfer_arb_share_counter_term_tri_state_bridge_avalon_slave AND tri_state_bridge_avalon_slave_allgrants)) OR ((end_xfer_arb_share_counter_term_tri_state_bridge_avalon_slave AND NOT tri_state_bridge_avalon_slave_non_bursting_master_requests));
  --tri_state_bridge_avalon_slave_arb_share_counter counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      tri_state_bridge_avalon_slave_arb_share_counter <= std_logic_vector'("000");
    elsif clk'event and clk = '1' then
      if std_logic'(tri_state_bridge_avalon_slave_arb_counter_enable) = '1' then 
        tri_state_bridge_avalon_slave_arb_share_counter <= tri_state_bridge_avalon_slave_arb_share_counter_next_value;
      end if;
    end if;

  end process;

  --tri_state_bridge_avalon_slave_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      tri_state_bridge_avalon_slave_slavearbiterlockenable <= std_logic'('0');
    elsif clk'event and clk = '1' then
      if std_logic'((((or_reduce(tri_state_bridge_avalon_slave_master_qreq_vector) AND end_xfer_arb_share_counter_term_tri_state_bridge_avalon_slave)) OR ((end_xfer_arb_share_counter_term_tri_state_bridge_avalon_slave AND NOT tri_state_bridge_avalon_slave_non_bursting_master_requests)))) = '1' then 
        tri_state_bridge_avalon_slave_slavearbiterlockenable <= or_reduce(tri_state_bridge_avalon_slave_arb_share_counter_next_value);
      end if;
    end if;

  end process;

  --cpu_0/data_master tri_state_bridge/avalon_slave arbiterlock, which is an e_assign
  cpu_0_data_master_arbiterlock <= tri_state_bridge_avalon_slave_slavearbiterlockenable AND cpu_0_data_master_continuerequest;
  --tri_state_bridge_avalon_slave_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  tri_state_bridge_avalon_slave_slavearbiterlockenable2 <= or_reduce(tri_state_bridge_avalon_slave_arb_share_counter_next_value);
  --cpu_0/data_master tri_state_bridge/avalon_slave arbiterlock2, which is an e_assign
  cpu_0_data_master_arbiterlock2 <= tri_state_bridge_avalon_slave_slavearbiterlockenable2 AND cpu_0_data_master_continuerequest;
  --cpu_0/instruction_master tri_state_bridge/avalon_slave arbiterlock, which is an e_assign
  cpu_0_instruction_master_arbiterlock <= tri_state_bridge_avalon_slave_slavearbiterlockenable AND cpu_0_instruction_master_continuerequest;
  --cpu_0/instruction_master tri_state_bridge/avalon_slave arbiterlock2, which is an e_assign
  cpu_0_instruction_master_arbiterlock2 <= tri_state_bridge_avalon_slave_slavearbiterlockenable2 AND cpu_0_instruction_master_continuerequest;
  --cpu_0/instruction_master granted cy7c1049cv33/avalon_tristate_slave_0 last time, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      last_cycle_cpu_0_instruction_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0 <= std_logic'('0');
    elsif clk'event and clk = '1' then
      last_cycle_cpu_0_instruction_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0 <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'(cpu_0_instruction_master_saved_grant_cy7c1049cv33_avalon_tristate_slave_0) = '1'), std_logic_vector'("00000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'(((tri_state_bridge_avalon_slave_arbitration_holdoff_internal OR NOT internal_cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0))) = '1'), std_logic_vector'("00000000000000000000000000000000"), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(last_cycle_cpu_0_instruction_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0))))));
    end if;

  end process;

  --cpu_0_instruction_master_continuerequest continued request, which is an e_mux
  cpu_0_instruction_master_continuerequest <= last_cycle_cpu_0_instruction_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0 AND internal_cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0;
  --tri_state_bridge_avalon_slave_any_continuerequest at least one master continues requesting, which is an e_mux
  tri_state_bridge_avalon_slave_any_continuerequest <= cpu_0_instruction_master_continuerequest OR cpu_0_data_master_continuerequest;
  internal_cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 <= internal_cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 AND NOT (((((cpu_0_data_master_read AND (((tri_state_bridge_avalon_slave_write_pending OR (tri_state_bridge_avalon_slave_read_pending)) OR (or_reduce(cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register)))))) OR (((((tri_state_bridge_avalon_slave_read_pending OR cpu_0_data_master_no_byte_enables_and_last_term) OR NOT(internal_cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0))) AND cpu_0_data_master_write))) OR cpu_0_instruction_master_arbiterlock));
  --cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register_in mux for readlatency shift register, which is an e_mux
  cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register_in <= ((internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 AND cpu_0_data_master_read) AND NOT cy7c1049cv33_avalon_tristate_slave_0_waits_for_read) AND NOT (or_reduce(cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register));
  --shift register p1 cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register in if flush, otherwise shift left, which is an e_mux
  p1_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register <= A_EXT ((cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register & A_ToStdLogicVector(cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register_in)), 2);
  --cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register for remembering which master asked for a fixed latency read, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register <= std_logic_vector'("00");
    elsif clk'event and clk = '1' then
      cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register <= p1_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register;
    end if;

  end process;

  --local readdatavalid cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0, which is an e_mux
  cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 <= cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register(1);
  --data_to_and_from_the_cy7c1049cv33 register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      incoming_data_to_and_from_the_cy7c1049cv33 <= std_logic_vector'("00000000");
    elsif clk'event and clk = '1' then
      incoming_data_to_and_from_the_cy7c1049cv33 <= data_to_and_from_the_cy7c1049cv33;
    end if;

  end process;

  --cy7c1049cv33_avalon_tristate_slave_0_with_write_latency assignment, which is an e_assign
  cy7c1049cv33_avalon_tristate_slave_0_with_write_latency <= in_a_write_cycle AND ((internal_cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 OR internal_cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0));
  --time to write the data, which is an e_mux
  time_to_write <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'((cy7c1049cv33_avalon_tristate_slave_0_with_write_latency)) = '1'), std_logic_vector'("00000000000000000000000000000001"), std_logic_vector'("00000000000000000000000000000000")));
  --d1_outgoing_data_to_and_from_the_cy7c1049cv33 register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_outgoing_data_to_and_from_the_cy7c1049cv33 <= std_logic_vector'("00000000");
    elsif clk'event and clk = '1' then
      d1_outgoing_data_to_and_from_the_cy7c1049cv33 <= outgoing_data_to_and_from_the_cy7c1049cv33;
    end if;

  end process;

  --write cycle delayed by 1, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_in_a_write_cycle <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_in_a_write_cycle <= time_to_write;
    end if;

  end process;

  --d1_outgoing_data_to_and_from_the_cy7c1049cv33 tristate driver, which is an e_assign
  data_to_and_from_the_cy7c1049cv33 <= A_WE_StdLogicVector((std_logic'((d1_in_a_write_cycle)) = '1'), d1_outgoing_data_to_and_from_the_cy7c1049cv33, A_REP(std_logic'('Z'), 8));
  --outgoing_data_to_and_from_the_cy7c1049cv33 mux, which is an e_mux
  outgoing_data_to_and_from_the_cy7c1049cv33 <= cpu_0_data_master_dbs_write_8;
  internal_cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 <= ((to_std_logic(((Std_Logic_Vector'(A_ToStdLogicVector(cpu_0_instruction_master_address_to_slave(19)) & std_logic_vector'("0000000000000000000")) = std_logic_vector'("10000000000000000000")))) AND (cpu_0_instruction_master_read))) AND cpu_0_instruction_master_read;
  --cpu_0/data_master granted cy7c1049cv33/avalon_tristate_slave_0 last time, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      last_cycle_cpu_0_data_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0 <= std_logic'('0');
    elsif clk'event and clk = '1' then
      last_cycle_cpu_0_data_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0 <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'(cpu_0_data_master_saved_grant_cy7c1049cv33_avalon_tristate_slave_0) = '1'), std_logic_vector'("00000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'(((tri_state_bridge_avalon_slave_arbitration_holdoff_internal OR NOT internal_cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0))) = '1'), std_logic_vector'("00000000000000000000000000000000"), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(last_cycle_cpu_0_data_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0))))));
    end if;

  end process;

  --cpu_0_data_master_continuerequest continued request, which is an e_mux
  cpu_0_data_master_continuerequest <= last_cycle_cpu_0_data_master_granted_slave_cy7c1049cv33_avalon_tristate_slave_0 AND internal_cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0;
  internal_cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 <= internal_cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 AND NOT ((((cpu_0_instruction_master_read AND (((tri_state_bridge_avalon_slave_write_pending OR (tri_state_bridge_avalon_slave_read_pending)) OR (or_reduce(cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register)))))) OR cpu_0_data_master_arbiterlock));
  --cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register_in mux for readlatency shift register, which is an e_mux
  cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register_in <= ((internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 AND cpu_0_instruction_master_read) AND NOT cy7c1049cv33_avalon_tristate_slave_0_waits_for_read) AND NOT (or_reduce(cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register));
  --shift register p1 cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register in if flush, otherwise shift left, which is an e_mux
  p1_cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register <= A_EXT ((cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register & A_ToStdLogicVector(cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register_in)), 2);
  --cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register for remembering which master asked for a fixed latency read, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register <= std_logic_vector'("00");
    elsif clk'event and clk = '1' then
      cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register <= p1_cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register;
    end if;

  end process;

  --local readdatavalid cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0, which is an e_mux
  cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 <= cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0_shift_register(1);
  --allow new arb cycle for tri_state_bridge/avalon_slave, which is an e_assign
  tri_state_bridge_avalon_slave_allow_new_arb_cycle <= NOT cpu_0_data_master_arbiterlock AND NOT cpu_0_instruction_master_arbiterlock;
  --cpu_0/instruction_master assignment into master qualified-requests vector for cy7c1049cv33/avalon_tristate_slave_0, which is an e_assign
  tri_state_bridge_avalon_slave_master_qreq_vector(0) <= internal_cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0;
  --cpu_0/instruction_master grant cy7c1049cv33/avalon_tristate_slave_0, which is an e_assign
  internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 <= tri_state_bridge_avalon_slave_grant_vector(0);
  --cpu_0/instruction_master saved-grant cy7c1049cv33/avalon_tristate_slave_0, which is an e_assign
  cpu_0_instruction_master_saved_grant_cy7c1049cv33_avalon_tristate_slave_0 <= tri_state_bridge_avalon_slave_arb_winner(0) AND internal_cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0;
  --cpu_0/data_master assignment into master qualified-requests vector for cy7c1049cv33/avalon_tristate_slave_0, which is an e_assign
  tri_state_bridge_avalon_slave_master_qreq_vector(1) <= internal_cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0;
  --cpu_0/data_master grant cy7c1049cv33/avalon_tristate_slave_0, which is an e_assign
  internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 <= tri_state_bridge_avalon_slave_grant_vector(1);
  --cpu_0/data_master saved-grant cy7c1049cv33/avalon_tristate_slave_0, which is an e_assign
  cpu_0_data_master_saved_grant_cy7c1049cv33_avalon_tristate_slave_0 <= tri_state_bridge_avalon_slave_arb_winner(1) AND internal_cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0;
  --tri_state_bridge/avalon_slave chosen-master double-vector, which is an e_assign
  tri_state_bridge_avalon_slave_chosen_master_double_vector <= A_EXT (((std_logic_vector'("0") & ((tri_state_bridge_avalon_slave_master_qreq_vector & tri_state_bridge_avalon_slave_master_qreq_vector))) AND (((std_logic_vector'("0") & (Std_Logic_Vector'(NOT tri_state_bridge_avalon_slave_master_qreq_vector & NOT tri_state_bridge_avalon_slave_master_qreq_vector))) + (std_logic_vector'("000") & (tri_state_bridge_avalon_slave_arb_addend))))), 4);
  --stable onehot encoding of arb winner
  tri_state_bridge_avalon_slave_arb_winner <= A_WE_StdLogicVector((std_logic'(((tri_state_bridge_avalon_slave_allow_new_arb_cycle AND or_reduce(tri_state_bridge_avalon_slave_grant_vector)))) = '1'), tri_state_bridge_avalon_slave_grant_vector, tri_state_bridge_avalon_slave_saved_chosen_master_vector);
  --saved tri_state_bridge_avalon_slave_grant_vector, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      tri_state_bridge_avalon_slave_saved_chosen_master_vector <= std_logic_vector'("00");
    elsif clk'event and clk = '1' then
      if std_logic'(tri_state_bridge_avalon_slave_allow_new_arb_cycle) = '1' then 
        tri_state_bridge_avalon_slave_saved_chosen_master_vector <= A_WE_StdLogicVector((std_logic'(or_reduce(tri_state_bridge_avalon_slave_grant_vector)) = '1'), tri_state_bridge_avalon_slave_grant_vector, tri_state_bridge_avalon_slave_saved_chosen_master_vector);
      end if;
    end if;

  end process;

  --onehot encoding of chosen master
  tri_state_bridge_avalon_slave_grant_vector <= Std_Logic_Vector'(A_ToStdLogicVector(((tri_state_bridge_avalon_slave_chosen_master_double_vector(1) OR tri_state_bridge_avalon_slave_chosen_master_double_vector(3)))) & A_ToStdLogicVector(((tri_state_bridge_avalon_slave_chosen_master_double_vector(0) OR tri_state_bridge_avalon_slave_chosen_master_double_vector(2)))));
  --tri_state_bridge/avalon_slave chosen master rotated left, which is an e_assign
  tri_state_bridge_avalon_slave_chosen_master_rot_left <= A_EXT (A_WE_StdLogicVector((((A_SLL(tri_state_bridge_avalon_slave_arb_winner,std_logic_vector'("00000000000000000000000000000001")))) /= std_logic_vector'("00")), (std_logic_vector'("000000000000000000000000000000") & ((A_SLL(tri_state_bridge_avalon_slave_arb_winner,std_logic_vector'("00000000000000000000000000000001"))))), std_logic_vector'("00000000000000000000000000000001")), 2);
  --tri_state_bridge/avalon_slave's addend for next-master-grant
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      tri_state_bridge_avalon_slave_arb_addend <= std_logic_vector'("01");
    elsif clk'event and clk = '1' then
      if std_logic'(or_reduce(tri_state_bridge_avalon_slave_grant_vector)) = '1' then 
        tri_state_bridge_avalon_slave_arb_addend <= A_WE_StdLogicVector((std_logic'(tri_state_bridge_avalon_slave_end_xfer) = '1'), tri_state_bridge_avalon_slave_chosen_master_rot_left, tri_state_bridge_avalon_slave_grant_vector);
      end if;
    end if;

  end process;

  p1_chipsel_n_to_the_cy7c1049cv33 <= NOT ((internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 OR internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0));
  --tri_state_bridge_avalon_slave_firsttransfer first transaction, which is an e_assign
  tri_state_bridge_avalon_slave_firsttransfer <= A_WE_StdLogic((std_logic'(tri_state_bridge_avalon_slave_begins_xfer) = '1'), tri_state_bridge_avalon_slave_unreg_firsttransfer, tri_state_bridge_avalon_slave_reg_firsttransfer);
  --tri_state_bridge_avalon_slave_unreg_firsttransfer first transaction, which is an e_assign
  tri_state_bridge_avalon_slave_unreg_firsttransfer <= NOT ((tri_state_bridge_avalon_slave_slavearbiterlockenable AND tri_state_bridge_avalon_slave_any_continuerequest));
  --tri_state_bridge_avalon_slave_reg_firsttransfer first transaction, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      tri_state_bridge_avalon_slave_reg_firsttransfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      if std_logic'(tri_state_bridge_avalon_slave_begins_xfer) = '1' then 
        tri_state_bridge_avalon_slave_reg_firsttransfer <= tri_state_bridge_avalon_slave_unreg_firsttransfer;
      end if;
    end if;

  end process;

  --tri_state_bridge_avalon_slave_beginbursttransfer_internal begin burst transfer, which is an e_assign
  tri_state_bridge_avalon_slave_beginbursttransfer_internal <= tri_state_bridge_avalon_slave_begins_xfer;
  --tri_state_bridge_avalon_slave_arbitration_holdoff_internal arbitration_holdoff, which is an e_assign
  tri_state_bridge_avalon_slave_arbitration_holdoff_internal <= tri_state_bridge_avalon_slave_begins_xfer AND tri_state_bridge_avalon_slave_firsttransfer;
  --~read_n_to_the_cy7c1049cv33 of type read to ~p1_read_n_to_the_cy7c1049cv33, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      read_n_to_the_cy7c1049cv33 <= Vector_To_Std_Logic(NOT std_logic_vector'("00000000000000000000000000000000"));
    elsif clk'event and clk = '1' then
      read_n_to_the_cy7c1049cv33 <= p1_read_n_to_the_cy7c1049cv33;
    end if;

  end process;

  --~p1_read_n_to_the_cy7c1049cv33 assignment, which is an e_mux
  p1_read_n_to_the_cy7c1049cv33 <= NOT ((((((internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 AND cpu_0_data_master_read)) OR ((internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 AND cpu_0_instruction_master_read)))) AND NOT tri_state_bridge_avalon_slave_begins_xfer));
  --~write_n_to_the_cy7c1049cv33 of type write to ~p1_write_n_to_the_cy7c1049cv33, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      write_n_to_the_cy7c1049cv33 <= Vector_To_Std_Logic(NOT std_logic_vector'("00000000000000000000000000000000"));
    elsif clk'event and clk = '1' then
      write_n_to_the_cy7c1049cv33 <= p1_write_n_to_the_cy7c1049cv33;
    end if;

  end process;

  --~p1_write_n_to_the_cy7c1049cv33 assignment, which is an e_mux
  p1_write_n_to_the_cy7c1049cv33 <= NOT (((((internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 AND cpu_0_data_master_write)) AND NOT tri_state_bridge_avalon_slave_begins_xfer) AND cy7c1049cv33_avalon_tristate_slave_0_pretend_byte_enable));
  --addr_to_the_cy7c1049cv33 of type address to p1_addr_to_the_cy7c1049cv33, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      addr_to_the_cy7c1049cv33 <= std_logic_vector'("0000000000000000000");
    elsif clk'event and clk = '1' then
      addr_to_the_cy7c1049cv33 <= p1_addr_to_the_cy7c1049cv33;
    end if;

  end process;

  --p1_addr_to_the_cy7c1049cv33 mux, which is an e_mux
  p1_addr_to_the_cy7c1049cv33 <= A_EXT (A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0)) = '1'), (Std_Logic_Vector'(A_SRL(cpu_0_data_master_address_to_slave,std_logic_vector'("00000000000000000000000000000010")) & cpu_0_data_master_dbs_address(1 DOWNTO 0))), (Std_Logic_Vector'(A_SRL(cpu_0_instruction_master_address_to_slave,std_logic_vector'("00000000000000000000000000000010")) & cpu_0_instruction_master_dbs_address(1 DOWNTO 0)))), 19);
  --d1_tri_state_bridge_avalon_slave_end_xfer register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_tri_state_bridge_avalon_slave_end_xfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      d1_tri_state_bridge_avalon_slave_end_xfer <= tri_state_bridge_avalon_slave_end_xfer;
    end if;

  end process;

  --cy7c1049cv33_avalon_tristate_slave_0_waits_for_read in a cycle, which is an e_mux
  cy7c1049cv33_avalon_tristate_slave_0_waits_for_read <= cy7c1049cv33_avalon_tristate_slave_0_in_a_read_cycle AND wait_for_cy7c1049cv33_avalon_tristate_slave_0_counter;
  --cy7c1049cv33_avalon_tristate_slave_0_in_a_read_cycle assignment, which is an e_assign
  cy7c1049cv33_avalon_tristate_slave_0_in_a_read_cycle <= ((internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 AND cpu_0_data_master_read)) OR ((internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 AND cpu_0_instruction_master_read));
  --in_a_read_cycle assignment, which is an e_mux
  in_a_read_cycle <= cy7c1049cv33_avalon_tristate_slave_0_in_a_read_cycle;
  --cy7c1049cv33_avalon_tristate_slave_0_waits_for_write in a cycle, which is an e_mux
  cy7c1049cv33_avalon_tristate_slave_0_waits_for_write <= cy7c1049cv33_avalon_tristate_slave_0_in_a_write_cycle AND wait_for_cy7c1049cv33_avalon_tristate_slave_0_counter;
  --cy7c1049cv33_avalon_tristate_slave_0_in_a_write_cycle assignment, which is an e_assign
  cy7c1049cv33_avalon_tristate_slave_0_in_a_write_cycle <= internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 AND cpu_0_data_master_write;
  --in_a_write_cycle assignment, which is an e_mux
  in_a_write_cycle <= cy7c1049cv33_avalon_tristate_slave_0_in_a_write_cycle;
  internal_cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 <= to_std_logic(((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cy7c1049cv33_avalon_tristate_slave_0_wait_counter))) = std_logic_vector'("00000000000000000000000000000000")));
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cy7c1049cv33_avalon_tristate_slave_0_wait_counter <= std_logic'('0');
    elsif clk'event and clk = '1' then
      cy7c1049cv33_avalon_tristate_slave_0_wait_counter <= cy7c1049cv33_avalon_tristate_slave_0_counter_load_value;
    end if;

  end process;

  cy7c1049cv33_avalon_tristate_slave_0_counter_load_value <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'(((cy7c1049cv33_avalon_tristate_slave_0_in_a_write_cycle AND tri_state_bridge_avalon_slave_begins_xfer))) = '1'), std_logic_vector'("000000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'(((cy7c1049cv33_avalon_tristate_slave_0_in_a_read_cycle AND tri_state_bridge_avalon_slave_begins_xfer))) = '1'), std_logic_vector'("000000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'((NOT internal_cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0)) = '1'), ((std_logic_vector'("00000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cy7c1049cv33_avalon_tristate_slave_0_wait_counter))) - std_logic_vector'("000000000000000000000000000000001")), std_logic_vector'("000000000000000000000000000000000")))));
  wait_for_cy7c1049cv33_avalon_tristate_slave_0_counter <= tri_state_bridge_avalon_slave_begins_xfer OR NOT internal_cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0;
  --cy7c1049cv33_avalon_tristate_slave_0_pretend_byte_enable byte enable port mux, which is an e_mux
  cy7c1049cv33_avalon_tristate_slave_0_pretend_byte_enable <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0)) = '1'), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(internal_cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0))), -SIGNED(std_logic_vector'("00000000000000000000000000000001"))));
  (cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_3, cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_2, cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_1, cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_0) <= cpu_0_data_master_byteenable;
  internal_cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 <= A_WE_StdLogic((((std_logic_vector'("000000000000000000000000000000") & (cpu_0_data_master_dbs_address(1 DOWNTO 0))) = std_logic_vector'("00000000000000000000000000000000"))), cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_0, A_WE_StdLogic((((std_logic_vector'("000000000000000000000000000000") & (cpu_0_data_master_dbs_address(1 DOWNTO 0))) = std_logic_vector'("00000000000000000000000000000001"))), cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_1, A_WE_StdLogic((((std_logic_vector'("000000000000000000000000000000") & (cpu_0_data_master_dbs_address(1 DOWNTO 0))) = std_logic_vector'("00000000000000000000000000000010"))), cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_2, cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0_segment_3)));
  --vhdl renameroo for output signals
  cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 <= internal_cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0;
  --vhdl renameroo for output signals
  cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 <= internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0;
  --vhdl renameroo for output signals
  cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 <= internal_cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0;
  --vhdl renameroo for output signals
  cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 <= internal_cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 <= internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 <= internal_cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 <= internal_cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0;
  --vhdl renameroo for output signals
  cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 <= internal_cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0;
--synthesis translate_off
    --cy7c1049cv33/avalon_tristate_slave_0 enable non-zero assertions, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        enable_nonzero_assertions <= std_logic'('0');
      elsif clk'event and clk = '1' then
        enable_nonzero_assertions <= std_logic'('1');
      end if;

    end process;

    --grant signals are active simultaneously, which is an e_process
    process (clk)
    VARIABLE write_line6 : line;
    begin
      if clk'event and clk = '1' then
        if (std_logic_vector'("000000000000000000000000000000") & (((std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(internal_cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0))) + (std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(internal_cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0))))))>std_logic_vector'("00000000000000000000000000000001") then 
          write(write_line6, now);
          write(write_line6, string'(": "));
          write(write_line6, string'("> 1 of grant signals are active simultaneously"));
          write(output, write_line6.all);
          deallocate (write_line6);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

    --saved_grant signals are active simultaneously, which is an e_process
    process (clk)
    VARIABLE write_line7 : line;
    begin
      if clk'event and clk = '1' then
        if (std_logic_vector'("000000000000000000000000000000") & (((std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_saved_grant_cy7c1049cv33_avalon_tristate_slave_0))) + (std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(cpu_0_instruction_master_saved_grant_cy7c1049cv33_avalon_tristate_slave_0))))))>std_logic_vector'("00000000000000000000000000000001") then 
          write(write_line7, now);
          write(write_line7, string'(": "));
          write(write_line7, string'("> 1 of saved_grant signals are active simultaneously"));
          write(output, write_line7.all);
          deallocate (write_line7);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity tri_state_bridge_bridge_arbitrator is 
end entity tri_state_bridge_bridge_arbitrator;


architecture europa of tri_state_bridge_bridge_arbitrator is

begin


end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity uart_s1_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal reset_n : IN STD_LOGIC;
                 signal uart_s1_dataavailable : IN STD_LOGIC;
                 signal uart_s1_irq : IN STD_LOGIC;
                 signal uart_s1_readdata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);
                 signal uart_s1_readyfordata : IN STD_LOGIC;

              -- outputs:
                 signal cpu_0_data_master_granted_uart_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_uart_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_uart_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_requests_uart_s1 : OUT STD_LOGIC;
                 signal d1_uart_s1_end_xfer : OUT STD_LOGIC;
                 signal uart_s1_address : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);
                 signal uart_s1_begintransfer : OUT STD_LOGIC;
                 signal uart_s1_chipselect : OUT STD_LOGIC;
                 signal uart_s1_dataavailable_from_sa : OUT STD_LOGIC;
                 signal uart_s1_irq_from_sa : OUT STD_LOGIC;
                 signal uart_s1_read_n : OUT STD_LOGIC;
                 signal uart_s1_readdata_from_sa : OUT STD_LOGIC_VECTOR (15 DOWNTO 0);
                 signal uart_s1_readyfordata_from_sa : OUT STD_LOGIC;
                 signal uart_s1_reset_n : OUT STD_LOGIC;
                 signal uart_s1_write_n : OUT STD_LOGIC;
                 signal uart_s1_writedata : OUT STD_LOGIC_VECTOR (15 DOWNTO 0)
              );
end entity uart_s1_arbitrator;


architecture europa of uart_s1_arbitrator is
                signal cpu_0_data_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_data_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_data_master_continuerequest :  STD_LOGIC;
                signal cpu_0_data_master_saved_grant_uart_s1 :  STD_LOGIC;
                signal d1_reasons_to_wait :  STD_LOGIC;
                signal enable_nonzero_assertions :  STD_LOGIC;
                signal end_xfer_arb_share_counter_term_uart_s1 :  STD_LOGIC;
                signal in_a_read_cycle :  STD_LOGIC;
                signal in_a_write_cycle :  STD_LOGIC;
                signal internal_cpu_0_data_master_granted_uart_s1 :  STD_LOGIC;
                signal internal_cpu_0_data_master_qualified_request_uart_s1 :  STD_LOGIC;
                signal internal_cpu_0_data_master_requests_uart_s1 :  STD_LOGIC;
                signal shifted_address_to_uart_s1_from_cpu_0_data_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal uart_s1_allgrants :  STD_LOGIC;
                signal uart_s1_allow_new_arb_cycle :  STD_LOGIC;
                signal uart_s1_any_bursting_master_saved_grant :  STD_LOGIC;
                signal uart_s1_any_continuerequest :  STD_LOGIC;
                signal uart_s1_arb_counter_enable :  STD_LOGIC;
                signal uart_s1_arb_share_counter :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal uart_s1_arb_share_counter_next_value :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal uart_s1_arb_share_set_values :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal uart_s1_beginbursttransfer_internal :  STD_LOGIC;
                signal uart_s1_begins_xfer :  STD_LOGIC;
                signal uart_s1_end_xfer :  STD_LOGIC;
                signal uart_s1_firsttransfer :  STD_LOGIC;
                signal uart_s1_grant_vector :  STD_LOGIC;
                signal uart_s1_in_a_read_cycle :  STD_LOGIC;
                signal uart_s1_in_a_write_cycle :  STD_LOGIC;
                signal uart_s1_master_qreq_vector :  STD_LOGIC;
                signal uart_s1_non_bursting_master_requests :  STD_LOGIC;
                signal uart_s1_reg_firsttransfer :  STD_LOGIC;
                signal uart_s1_slavearbiterlockenable :  STD_LOGIC;
                signal uart_s1_slavearbiterlockenable2 :  STD_LOGIC;
                signal uart_s1_unreg_firsttransfer :  STD_LOGIC;
                signal uart_s1_waits_for_read :  STD_LOGIC;
                signal uart_s1_waits_for_write :  STD_LOGIC;
                signal wait_for_uart_s1_counter :  STD_LOGIC;

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_reasons_to_wait <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_reasons_to_wait <= NOT uart_s1_end_xfer;
    end if;

  end process;

  uart_s1_begins_xfer <= NOT d1_reasons_to_wait AND (internal_cpu_0_data_master_qualified_request_uart_s1);
  --assign uart_s1_readdata_from_sa = uart_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  uart_s1_readdata_from_sa <= uart_s1_readdata;
  internal_cpu_0_data_master_requests_uart_s1 <= to_std_logic(((Std_Logic_Vector'(cpu_0_data_master_address_to_slave(19 DOWNTO 5) & std_logic_vector'("00000")) = std_logic_vector'("00000000000001100000")))) AND ((cpu_0_data_master_read OR cpu_0_data_master_write));
  --assign uart_s1_dataavailable_from_sa = uart_s1_dataavailable so that symbol knows where to group signals which may go to master only, which is an e_assign
  uart_s1_dataavailable_from_sa <= uart_s1_dataavailable;
  --assign uart_s1_readyfordata_from_sa = uart_s1_readyfordata so that symbol knows where to group signals which may go to master only, which is an e_assign
  uart_s1_readyfordata_from_sa <= uart_s1_readyfordata;
  --uart_s1_arb_share_counter set values, which is an e_mux
  uart_s1_arb_share_set_values <= std_logic_vector'("001");
  --uart_s1_non_bursting_master_requests mux, which is an e_mux
  uart_s1_non_bursting_master_requests <= internal_cpu_0_data_master_requests_uart_s1;
  --uart_s1_any_bursting_master_saved_grant mux, which is an e_mux
  uart_s1_any_bursting_master_saved_grant <= std_logic'('0');
  --uart_s1_arb_share_counter_next_value assignment, which is an e_assign
  uart_s1_arb_share_counter_next_value <= A_EXT (A_WE_StdLogicVector((std_logic'(uart_s1_firsttransfer) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (uart_s1_arb_share_set_values)) - std_logic_vector'("000000000000000000000000000000001"))), A_WE_StdLogicVector((std_logic'(or_reduce(uart_s1_arb_share_counter)) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (uart_s1_arb_share_counter)) - std_logic_vector'("000000000000000000000000000000001"))), std_logic_vector'("000000000000000000000000000000000"))), 3);
  --uart_s1_allgrants all slave grants, which is an e_mux
  uart_s1_allgrants <= uart_s1_grant_vector;
  --uart_s1_end_xfer assignment, which is an e_assign
  uart_s1_end_xfer <= NOT ((uart_s1_waits_for_read OR uart_s1_waits_for_write));
  --end_xfer_arb_share_counter_term_uart_s1 arb share counter enable term, which is an e_assign
  end_xfer_arb_share_counter_term_uart_s1 <= uart_s1_end_xfer AND (((NOT uart_s1_any_bursting_master_saved_grant OR in_a_read_cycle) OR in_a_write_cycle));
  --uart_s1_arb_share_counter arbitration counter enable, which is an e_assign
  uart_s1_arb_counter_enable <= ((end_xfer_arb_share_counter_term_uart_s1 AND uart_s1_allgrants)) OR ((end_xfer_arb_share_counter_term_uart_s1 AND NOT uart_s1_non_bursting_master_requests));
  --uart_s1_arb_share_counter counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      uart_s1_arb_share_counter <= std_logic_vector'("000");
    elsif clk'event and clk = '1' then
      if std_logic'(uart_s1_arb_counter_enable) = '1' then 
        uart_s1_arb_share_counter <= uart_s1_arb_share_counter_next_value;
      end if;
    end if;

  end process;

  --uart_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      uart_s1_slavearbiterlockenable <= std_logic'('0');
    elsif clk'event and clk = '1' then
      if std_logic'((((uart_s1_master_qreq_vector AND end_xfer_arb_share_counter_term_uart_s1)) OR ((end_xfer_arb_share_counter_term_uart_s1 AND NOT uart_s1_non_bursting_master_requests)))) = '1' then 
        uart_s1_slavearbiterlockenable <= or_reduce(uart_s1_arb_share_counter_next_value);
      end if;
    end if;

  end process;

  --cpu_0/data_master uart/s1 arbiterlock, which is an e_assign
  cpu_0_data_master_arbiterlock <= uart_s1_slavearbiterlockenable AND cpu_0_data_master_continuerequest;
  --uart_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  uart_s1_slavearbiterlockenable2 <= or_reduce(uart_s1_arb_share_counter_next_value);
  --cpu_0/data_master uart/s1 arbiterlock2, which is an e_assign
  cpu_0_data_master_arbiterlock2 <= uart_s1_slavearbiterlockenable2 AND cpu_0_data_master_continuerequest;
  --uart_s1_any_continuerequest at least one master continues requesting, which is an e_assign
  uart_s1_any_continuerequest <= std_logic'('1');
  --cpu_0_data_master_continuerequest continued request, which is an e_assign
  cpu_0_data_master_continuerequest <= std_logic'('1');
  internal_cpu_0_data_master_qualified_request_uart_s1 <= internal_cpu_0_data_master_requests_uart_s1;
  --uart_s1_writedata mux, which is an e_mux
  uart_s1_writedata <= cpu_0_data_master_writedata (15 DOWNTO 0);
  --master is always granted when requested
  internal_cpu_0_data_master_granted_uart_s1 <= internal_cpu_0_data_master_qualified_request_uart_s1;
  --cpu_0/data_master saved-grant uart/s1, which is an e_assign
  cpu_0_data_master_saved_grant_uart_s1 <= internal_cpu_0_data_master_requests_uart_s1;
  --allow new arb cycle for uart/s1, which is an e_assign
  uart_s1_allow_new_arb_cycle <= std_logic'('1');
  --placeholder chosen master
  uart_s1_grant_vector <= std_logic'('1');
  --placeholder vector of master qualified-requests
  uart_s1_master_qreq_vector <= std_logic'('1');
  uart_s1_begintransfer <= uart_s1_begins_xfer;
  --uart_s1_reset_n assignment, which is an e_assign
  uart_s1_reset_n <= reset_n;
  uart_s1_chipselect <= internal_cpu_0_data_master_granted_uart_s1;
  --uart_s1_firsttransfer first transaction, which is an e_assign
  uart_s1_firsttransfer <= A_WE_StdLogic((std_logic'(uart_s1_begins_xfer) = '1'), uart_s1_unreg_firsttransfer, uart_s1_reg_firsttransfer);
  --uart_s1_unreg_firsttransfer first transaction, which is an e_assign
  uart_s1_unreg_firsttransfer <= NOT ((uart_s1_slavearbiterlockenable AND uart_s1_any_continuerequest));
  --uart_s1_reg_firsttransfer first transaction, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      uart_s1_reg_firsttransfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      if std_logic'(uart_s1_begins_xfer) = '1' then 
        uart_s1_reg_firsttransfer <= uart_s1_unreg_firsttransfer;
      end if;
    end if;

  end process;

  --uart_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  uart_s1_beginbursttransfer_internal <= uart_s1_begins_xfer;
  --~uart_s1_read_n assignment, which is an e_mux
  uart_s1_read_n <= NOT ((internal_cpu_0_data_master_granted_uart_s1 AND cpu_0_data_master_read));
  --~uart_s1_write_n assignment, which is an e_mux
  uart_s1_write_n <= NOT ((internal_cpu_0_data_master_granted_uart_s1 AND cpu_0_data_master_write));
  shifted_address_to_uart_s1_from_cpu_0_data_master <= cpu_0_data_master_address_to_slave;
  --uart_s1_address mux, which is an e_mux
  uart_s1_address <= A_EXT (A_SRL(shifted_address_to_uart_s1_from_cpu_0_data_master,std_logic_vector'("00000000000000000000000000000010")), 3);
  --d1_uart_s1_end_xfer register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_uart_s1_end_xfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      d1_uart_s1_end_xfer <= uart_s1_end_xfer;
    end if;

  end process;

  --uart_s1_waits_for_read in a cycle, which is an e_mux
  uart_s1_waits_for_read <= uart_s1_in_a_read_cycle AND uart_s1_begins_xfer;
  --uart_s1_in_a_read_cycle assignment, which is an e_assign
  uart_s1_in_a_read_cycle <= internal_cpu_0_data_master_granted_uart_s1 AND cpu_0_data_master_read;
  --in_a_read_cycle assignment, which is an e_mux
  in_a_read_cycle <= uart_s1_in_a_read_cycle;
  --uart_s1_waits_for_write in a cycle, which is an e_mux
  uart_s1_waits_for_write <= uart_s1_in_a_write_cycle AND uart_s1_begins_xfer;
  --uart_s1_in_a_write_cycle assignment, which is an e_assign
  uart_s1_in_a_write_cycle <= internal_cpu_0_data_master_granted_uart_s1 AND cpu_0_data_master_write;
  --in_a_write_cycle assignment, which is an e_mux
  in_a_write_cycle <= uart_s1_in_a_write_cycle;
  wait_for_uart_s1_counter <= std_logic'('0');
  --assign uart_s1_irq_from_sa = uart_s1_irq so that symbol knows where to group signals which may go to master only, which is an e_assign
  uart_s1_irq_from_sa <= uart_s1_irq;
  --vhdl renameroo for output signals
  cpu_0_data_master_granted_uart_s1 <= internal_cpu_0_data_master_granted_uart_s1;
  --vhdl renameroo for output signals
  cpu_0_data_master_qualified_request_uart_s1 <= internal_cpu_0_data_master_qualified_request_uart_s1;
  --vhdl renameroo for output signals
  cpu_0_data_master_requests_uart_s1 <= internal_cpu_0_data_master_requests_uart_s1;
--synthesis translate_off
    --uart/s1 enable non-zero assertions, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        enable_nonzero_assertions <= std_logic'('0');
      elsif clk'event and clk = '1' then
        enable_nonzero_assertions <= std_logic'('1');
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

library std;
use std.textio.all;

entity vector_s1_arbitrator is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_data_master_byteenable : IN STD_LOGIC_VECTOR (3 DOWNTO 0);
                 signal cpu_0_data_master_read : IN STD_LOGIC;
                 signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                 signal cpu_0_data_master_write : IN STD_LOGIC;
                 signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal cpu_0_instruction_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                 signal cpu_0_instruction_master_read : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;
                 signal vector_s1_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

              -- outputs:
                 signal cpu_0_data_master_granted_vector_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_qualified_request_vector_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_read_data_valid_vector_s1 : OUT STD_LOGIC;
                 signal cpu_0_data_master_requests_vector_s1 : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_granted_vector_s1 : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_qualified_request_vector_s1 : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_read_data_valid_vector_s1 : OUT STD_LOGIC;
                 signal cpu_0_instruction_master_requests_vector_s1 : OUT STD_LOGIC;
                 signal d1_vector_s1_end_xfer : OUT STD_LOGIC;
                 signal registered_cpu_0_data_master_read_data_valid_vector_s1 : OUT STD_LOGIC;
                 signal vector_s1_address : OUT STD_LOGIC_VECTOR (11 DOWNTO 0);
                 signal vector_s1_byteenable : OUT STD_LOGIC_VECTOR (3 DOWNTO 0);
                 signal vector_s1_chipselect : OUT STD_LOGIC;
                 signal vector_s1_clken : OUT STD_LOGIC;
                 signal vector_s1_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                 signal vector_s1_write : OUT STD_LOGIC;
                 signal vector_s1_writedata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
              );
end entity vector_s1_arbitrator;


architecture europa of vector_s1_arbitrator is
                signal cpu_0_data_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_data_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_data_master_continuerequest :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_vector_s1_shift_register :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_vector_s1_shift_register_in :  STD_LOGIC;
                signal cpu_0_data_master_saved_grant_vector_s1 :  STD_LOGIC;
                signal cpu_0_instruction_master_arbiterlock :  STD_LOGIC;
                signal cpu_0_instruction_master_arbiterlock2 :  STD_LOGIC;
                signal cpu_0_instruction_master_continuerequest :  STD_LOGIC;
                signal cpu_0_instruction_master_read_data_valid_vector_s1_shift_register :  STD_LOGIC;
                signal cpu_0_instruction_master_read_data_valid_vector_s1_shift_register_in :  STD_LOGIC;
                signal cpu_0_instruction_master_saved_grant_vector_s1 :  STD_LOGIC;
                signal d1_reasons_to_wait :  STD_LOGIC;
                signal enable_nonzero_assertions :  STD_LOGIC;
                signal end_xfer_arb_share_counter_term_vector_s1 :  STD_LOGIC;
                signal in_a_read_cycle :  STD_LOGIC;
                signal in_a_write_cycle :  STD_LOGIC;
                signal internal_cpu_0_data_master_granted_vector_s1 :  STD_LOGIC;
                signal internal_cpu_0_data_master_qualified_request_vector_s1 :  STD_LOGIC;
                signal internal_cpu_0_data_master_requests_vector_s1 :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_granted_vector_s1 :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_qualified_request_vector_s1 :  STD_LOGIC;
                signal internal_cpu_0_instruction_master_requests_vector_s1 :  STD_LOGIC;
                signal last_cycle_cpu_0_data_master_granted_slave_vector_s1 :  STD_LOGIC;
                signal last_cycle_cpu_0_instruction_master_granted_slave_vector_s1 :  STD_LOGIC;
                signal p1_cpu_0_data_master_read_data_valid_vector_s1_shift_register :  STD_LOGIC;
                signal p1_cpu_0_instruction_master_read_data_valid_vector_s1_shift_register :  STD_LOGIC;
                signal shifted_address_to_vector_s1_from_cpu_0_data_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal shifted_address_to_vector_s1_from_cpu_0_instruction_master :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal vector_s1_allgrants :  STD_LOGIC;
                signal vector_s1_allow_new_arb_cycle :  STD_LOGIC;
                signal vector_s1_any_bursting_master_saved_grant :  STD_LOGIC;
                signal vector_s1_any_continuerequest :  STD_LOGIC;
                signal vector_s1_arb_addend :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal vector_s1_arb_counter_enable :  STD_LOGIC;
                signal vector_s1_arb_share_counter :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal vector_s1_arb_share_counter_next_value :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal vector_s1_arb_share_set_values :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal vector_s1_arb_winner :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal vector_s1_arbitration_holdoff_internal :  STD_LOGIC;
                signal vector_s1_beginbursttransfer_internal :  STD_LOGIC;
                signal vector_s1_begins_xfer :  STD_LOGIC;
                signal vector_s1_chosen_master_double_vector :  STD_LOGIC_VECTOR (3 DOWNTO 0);
                signal vector_s1_chosen_master_rot_left :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal vector_s1_end_xfer :  STD_LOGIC;
                signal vector_s1_firsttransfer :  STD_LOGIC;
                signal vector_s1_grant_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal vector_s1_in_a_read_cycle :  STD_LOGIC;
                signal vector_s1_in_a_write_cycle :  STD_LOGIC;
                signal vector_s1_master_qreq_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal vector_s1_non_bursting_master_requests :  STD_LOGIC;
                signal vector_s1_reg_firsttransfer :  STD_LOGIC;
                signal vector_s1_saved_chosen_master_vector :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal vector_s1_slavearbiterlockenable :  STD_LOGIC;
                signal vector_s1_slavearbiterlockenable2 :  STD_LOGIC;
                signal vector_s1_unreg_firsttransfer :  STD_LOGIC;
                signal vector_s1_waits_for_read :  STD_LOGIC;
                signal vector_s1_waits_for_write :  STD_LOGIC;
                signal wait_for_vector_s1_counter :  STD_LOGIC;

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_reasons_to_wait <= std_logic'('0');
    elsif clk'event and clk = '1' then
      d1_reasons_to_wait <= NOT vector_s1_end_xfer;
    end if;

  end process;

  vector_s1_begins_xfer <= NOT d1_reasons_to_wait AND ((internal_cpu_0_data_master_qualified_request_vector_s1 OR internal_cpu_0_instruction_master_qualified_request_vector_s1));
  --assign vector_s1_readdata_from_sa = vector_s1_readdata so that symbol knows where to group signals which may go to master only, which is an e_assign
  vector_s1_readdata_from_sa <= vector_s1_readdata;
  internal_cpu_0_data_master_requests_vector_s1 <= to_std_logic(((Std_Logic_Vector'(cpu_0_data_master_address_to_slave(19 DOWNTO 14) & std_logic_vector'("00000000000000")) = std_logic_vector'("00000100000000000000")))) AND ((cpu_0_data_master_read OR cpu_0_data_master_write));
  --registered rdv signal_name registered_cpu_0_data_master_read_data_valid_vector_s1 assignment, which is an e_assign
  registered_cpu_0_data_master_read_data_valid_vector_s1 <= cpu_0_data_master_read_data_valid_vector_s1_shift_register_in;
  --vector_s1_arb_share_counter set values, which is an e_mux
  vector_s1_arb_share_set_values <= std_logic_vector'("001");
  --vector_s1_non_bursting_master_requests mux, which is an e_mux
  vector_s1_non_bursting_master_requests <= ((internal_cpu_0_data_master_requests_vector_s1 OR internal_cpu_0_instruction_master_requests_vector_s1) OR internal_cpu_0_data_master_requests_vector_s1) OR internal_cpu_0_instruction_master_requests_vector_s1;
  --vector_s1_any_bursting_master_saved_grant mux, which is an e_mux
  vector_s1_any_bursting_master_saved_grant <= std_logic'('0');
  --vector_s1_arb_share_counter_next_value assignment, which is an e_assign
  vector_s1_arb_share_counter_next_value <= A_EXT (A_WE_StdLogicVector((std_logic'(vector_s1_firsttransfer) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (vector_s1_arb_share_set_values)) - std_logic_vector'("000000000000000000000000000000001"))), A_WE_StdLogicVector((std_logic'(or_reduce(vector_s1_arb_share_counter)) = '1'), (((std_logic_vector'("000000000000000000000000000000") & (vector_s1_arb_share_counter)) - std_logic_vector'("000000000000000000000000000000001"))), std_logic_vector'("000000000000000000000000000000000"))), 3);
  --vector_s1_allgrants all slave grants, which is an e_mux
  vector_s1_allgrants <= (((or_reduce(vector_s1_grant_vector)) OR (or_reduce(vector_s1_grant_vector))) OR (or_reduce(vector_s1_grant_vector))) OR (or_reduce(vector_s1_grant_vector));
  --vector_s1_end_xfer assignment, which is an e_assign
  vector_s1_end_xfer <= NOT ((vector_s1_waits_for_read OR vector_s1_waits_for_write));
  --end_xfer_arb_share_counter_term_vector_s1 arb share counter enable term, which is an e_assign
  end_xfer_arb_share_counter_term_vector_s1 <= vector_s1_end_xfer AND (((NOT vector_s1_any_bursting_master_saved_grant OR in_a_read_cycle) OR in_a_write_cycle));
  --vector_s1_arb_share_counter arbitration counter enable, which is an e_assign
  vector_s1_arb_counter_enable <= ((end_xfer_arb_share_counter_term_vector_s1 AND vector_s1_allgrants)) OR ((end_xfer_arb_share_counter_term_vector_s1 AND NOT vector_s1_non_bursting_master_requests));
  --vector_s1_arb_share_counter counter, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      vector_s1_arb_share_counter <= std_logic_vector'("000");
    elsif clk'event and clk = '1' then
      if std_logic'(vector_s1_arb_counter_enable) = '1' then 
        vector_s1_arb_share_counter <= vector_s1_arb_share_counter_next_value;
      end if;
    end if;

  end process;

  --vector_s1_slavearbiterlockenable slave enables arbiterlock, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      vector_s1_slavearbiterlockenable <= std_logic'('0');
    elsif clk'event and clk = '1' then
      if std_logic'((((or_reduce(vector_s1_master_qreq_vector) AND end_xfer_arb_share_counter_term_vector_s1)) OR ((end_xfer_arb_share_counter_term_vector_s1 AND NOT vector_s1_non_bursting_master_requests)))) = '1' then 
        vector_s1_slavearbiterlockenable <= or_reduce(vector_s1_arb_share_counter_next_value);
      end if;
    end if;

  end process;

  --cpu_0/data_master vector/s1 arbiterlock, which is an e_assign
  cpu_0_data_master_arbiterlock <= vector_s1_slavearbiterlockenable AND cpu_0_data_master_continuerequest;
  --vector_s1_slavearbiterlockenable2 slave enables arbiterlock2, which is an e_assign
  vector_s1_slavearbiterlockenable2 <= or_reduce(vector_s1_arb_share_counter_next_value);
  --cpu_0/data_master vector/s1 arbiterlock2, which is an e_assign
  cpu_0_data_master_arbiterlock2 <= vector_s1_slavearbiterlockenable2 AND cpu_0_data_master_continuerequest;
  --cpu_0/instruction_master vector/s1 arbiterlock, which is an e_assign
  cpu_0_instruction_master_arbiterlock <= vector_s1_slavearbiterlockenable AND cpu_0_instruction_master_continuerequest;
  --cpu_0/instruction_master vector/s1 arbiterlock2, which is an e_assign
  cpu_0_instruction_master_arbiterlock2 <= vector_s1_slavearbiterlockenable2 AND cpu_0_instruction_master_continuerequest;
  --cpu_0/instruction_master granted vector/s1 last time, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      last_cycle_cpu_0_instruction_master_granted_slave_vector_s1 <= std_logic'('0');
    elsif clk'event and clk = '1' then
      last_cycle_cpu_0_instruction_master_granted_slave_vector_s1 <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'(cpu_0_instruction_master_saved_grant_vector_s1) = '1'), std_logic_vector'("00000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'(((vector_s1_arbitration_holdoff_internal OR NOT internal_cpu_0_instruction_master_requests_vector_s1))) = '1'), std_logic_vector'("00000000000000000000000000000000"), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(last_cycle_cpu_0_instruction_master_granted_slave_vector_s1))))));
    end if;

  end process;

  --cpu_0_instruction_master_continuerequest continued request, which is an e_mux
  cpu_0_instruction_master_continuerequest <= last_cycle_cpu_0_instruction_master_granted_slave_vector_s1 AND internal_cpu_0_instruction_master_requests_vector_s1;
  --vector_s1_any_continuerequest at least one master continues requesting, which is an e_mux
  vector_s1_any_continuerequest <= cpu_0_instruction_master_continuerequest OR cpu_0_data_master_continuerequest;
  internal_cpu_0_data_master_qualified_request_vector_s1 <= internal_cpu_0_data_master_requests_vector_s1 AND NOT (((((cpu_0_data_master_read AND (cpu_0_data_master_read_data_valid_vector_s1_shift_register))) OR (((NOT cpu_0_data_master_waitrequest) AND cpu_0_data_master_write))) OR cpu_0_instruction_master_arbiterlock));
  --cpu_0_data_master_read_data_valid_vector_s1_shift_register_in mux for readlatency shift register, which is an e_mux
  cpu_0_data_master_read_data_valid_vector_s1_shift_register_in <= ((internal_cpu_0_data_master_granted_vector_s1 AND cpu_0_data_master_read) AND NOT vector_s1_waits_for_read) AND NOT (cpu_0_data_master_read_data_valid_vector_s1_shift_register);
  --shift register p1 cpu_0_data_master_read_data_valid_vector_s1_shift_register in if flush, otherwise shift left, which is an e_mux
  p1_cpu_0_data_master_read_data_valid_vector_s1_shift_register <= Vector_To_Std_Logic(Std_Logic_Vector'(A_ToStdLogicVector(cpu_0_data_master_read_data_valid_vector_s1_shift_register) & A_ToStdLogicVector(cpu_0_data_master_read_data_valid_vector_s1_shift_register_in)));
  --cpu_0_data_master_read_data_valid_vector_s1_shift_register for remembering which master asked for a fixed latency read, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cpu_0_data_master_read_data_valid_vector_s1_shift_register <= std_logic'('0');
    elsif clk'event and clk = '1' then
      cpu_0_data_master_read_data_valid_vector_s1_shift_register <= p1_cpu_0_data_master_read_data_valid_vector_s1_shift_register;
    end if;

  end process;

  --local readdatavalid cpu_0_data_master_read_data_valid_vector_s1, which is an e_mux
  cpu_0_data_master_read_data_valid_vector_s1 <= cpu_0_data_master_read_data_valid_vector_s1_shift_register;
  --vector_s1_writedata mux, which is an e_mux
  vector_s1_writedata <= cpu_0_data_master_writedata;
  --mux vector_s1_clken, which is an e_mux
  vector_s1_clken <= std_logic'('1');
  internal_cpu_0_instruction_master_requests_vector_s1 <= ((to_std_logic(((Std_Logic_Vector'(cpu_0_instruction_master_address_to_slave(19 DOWNTO 14) & std_logic_vector'("00000000000000")) = std_logic_vector'("00000100000000000000")))) AND (cpu_0_instruction_master_read))) AND cpu_0_instruction_master_read;
  --cpu_0/data_master granted vector/s1 last time, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      last_cycle_cpu_0_data_master_granted_slave_vector_s1 <= std_logic'('0');
    elsif clk'event and clk = '1' then
      last_cycle_cpu_0_data_master_granted_slave_vector_s1 <= Vector_To_Std_Logic(A_WE_StdLogicVector((std_logic'(cpu_0_data_master_saved_grant_vector_s1) = '1'), std_logic_vector'("00000000000000000000000000000001"), A_WE_StdLogicVector((std_logic'(((vector_s1_arbitration_holdoff_internal OR NOT internal_cpu_0_data_master_requests_vector_s1))) = '1'), std_logic_vector'("00000000000000000000000000000000"), (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(last_cycle_cpu_0_data_master_granted_slave_vector_s1))))));
    end if;

  end process;

  --cpu_0_data_master_continuerequest continued request, which is an e_mux
  cpu_0_data_master_continuerequest <= last_cycle_cpu_0_data_master_granted_slave_vector_s1 AND internal_cpu_0_data_master_requests_vector_s1;
  internal_cpu_0_instruction_master_qualified_request_vector_s1 <= internal_cpu_0_instruction_master_requests_vector_s1 AND NOT ((((cpu_0_instruction_master_read AND (cpu_0_instruction_master_read_data_valid_vector_s1_shift_register))) OR cpu_0_data_master_arbiterlock));
  --cpu_0_instruction_master_read_data_valid_vector_s1_shift_register_in mux for readlatency shift register, which is an e_mux
  cpu_0_instruction_master_read_data_valid_vector_s1_shift_register_in <= ((internal_cpu_0_instruction_master_granted_vector_s1 AND cpu_0_instruction_master_read) AND NOT vector_s1_waits_for_read) AND NOT (cpu_0_instruction_master_read_data_valid_vector_s1_shift_register);
  --shift register p1 cpu_0_instruction_master_read_data_valid_vector_s1_shift_register in if flush, otherwise shift left, which is an e_mux
  p1_cpu_0_instruction_master_read_data_valid_vector_s1_shift_register <= Vector_To_Std_Logic(Std_Logic_Vector'(A_ToStdLogicVector(cpu_0_instruction_master_read_data_valid_vector_s1_shift_register) & A_ToStdLogicVector(cpu_0_instruction_master_read_data_valid_vector_s1_shift_register_in)));
  --cpu_0_instruction_master_read_data_valid_vector_s1_shift_register for remembering which master asked for a fixed latency read, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      cpu_0_instruction_master_read_data_valid_vector_s1_shift_register <= std_logic'('0');
    elsif clk'event and clk = '1' then
      cpu_0_instruction_master_read_data_valid_vector_s1_shift_register <= p1_cpu_0_instruction_master_read_data_valid_vector_s1_shift_register;
    end if;

  end process;

  --local readdatavalid cpu_0_instruction_master_read_data_valid_vector_s1, which is an e_mux
  cpu_0_instruction_master_read_data_valid_vector_s1 <= cpu_0_instruction_master_read_data_valid_vector_s1_shift_register;
  --allow new arb cycle for vector/s1, which is an e_assign
  vector_s1_allow_new_arb_cycle <= NOT cpu_0_data_master_arbiterlock AND NOT cpu_0_instruction_master_arbiterlock;
  --cpu_0/instruction_master assignment into master qualified-requests vector for vector/s1, which is an e_assign
  vector_s1_master_qreq_vector(0) <= internal_cpu_0_instruction_master_qualified_request_vector_s1;
  --cpu_0/instruction_master grant vector/s1, which is an e_assign
  internal_cpu_0_instruction_master_granted_vector_s1 <= vector_s1_grant_vector(0);
  --cpu_0/instruction_master saved-grant vector/s1, which is an e_assign
  cpu_0_instruction_master_saved_grant_vector_s1 <= vector_s1_arb_winner(0) AND internal_cpu_0_instruction_master_requests_vector_s1;
  --cpu_0/data_master assignment into master qualified-requests vector for vector/s1, which is an e_assign
  vector_s1_master_qreq_vector(1) <= internal_cpu_0_data_master_qualified_request_vector_s1;
  --cpu_0/data_master grant vector/s1, which is an e_assign
  internal_cpu_0_data_master_granted_vector_s1 <= vector_s1_grant_vector(1);
  --cpu_0/data_master saved-grant vector/s1, which is an e_assign
  cpu_0_data_master_saved_grant_vector_s1 <= vector_s1_arb_winner(1) AND internal_cpu_0_data_master_requests_vector_s1;
  --vector/s1 chosen-master double-vector, which is an e_assign
  vector_s1_chosen_master_double_vector <= A_EXT (((std_logic_vector'("0") & ((vector_s1_master_qreq_vector & vector_s1_master_qreq_vector))) AND (((std_logic_vector'("0") & (Std_Logic_Vector'(NOT vector_s1_master_qreq_vector & NOT vector_s1_master_qreq_vector))) + (std_logic_vector'("000") & (vector_s1_arb_addend))))), 4);
  --stable onehot encoding of arb winner
  vector_s1_arb_winner <= A_WE_StdLogicVector((std_logic'(((vector_s1_allow_new_arb_cycle AND or_reduce(vector_s1_grant_vector)))) = '1'), vector_s1_grant_vector, vector_s1_saved_chosen_master_vector);
  --saved vector_s1_grant_vector, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      vector_s1_saved_chosen_master_vector <= std_logic_vector'("00");
    elsif clk'event and clk = '1' then
      if std_logic'(vector_s1_allow_new_arb_cycle) = '1' then 
        vector_s1_saved_chosen_master_vector <= A_WE_StdLogicVector((std_logic'(or_reduce(vector_s1_grant_vector)) = '1'), vector_s1_grant_vector, vector_s1_saved_chosen_master_vector);
      end if;
    end if;

  end process;

  --onehot encoding of chosen master
  vector_s1_grant_vector <= Std_Logic_Vector'(A_ToStdLogicVector(((vector_s1_chosen_master_double_vector(1) OR vector_s1_chosen_master_double_vector(3)))) & A_ToStdLogicVector(((vector_s1_chosen_master_double_vector(0) OR vector_s1_chosen_master_double_vector(2)))));
  --vector/s1 chosen master rotated left, which is an e_assign
  vector_s1_chosen_master_rot_left <= A_EXT (A_WE_StdLogicVector((((A_SLL(vector_s1_arb_winner,std_logic_vector'("00000000000000000000000000000001")))) /= std_logic_vector'("00")), (std_logic_vector'("000000000000000000000000000000") & ((A_SLL(vector_s1_arb_winner,std_logic_vector'("00000000000000000000000000000001"))))), std_logic_vector'("00000000000000000000000000000001")), 2);
  --vector/s1's addend for next-master-grant
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      vector_s1_arb_addend <= std_logic_vector'("01");
    elsif clk'event and clk = '1' then
      if std_logic'(or_reduce(vector_s1_grant_vector)) = '1' then 
        vector_s1_arb_addend <= A_WE_StdLogicVector((std_logic'(vector_s1_end_xfer) = '1'), vector_s1_chosen_master_rot_left, vector_s1_grant_vector);
      end if;
    end if;

  end process;

  vector_s1_chipselect <= internal_cpu_0_data_master_granted_vector_s1 OR internal_cpu_0_instruction_master_granted_vector_s1;
  --vector_s1_firsttransfer first transaction, which is an e_assign
  vector_s1_firsttransfer <= A_WE_StdLogic((std_logic'(vector_s1_begins_xfer) = '1'), vector_s1_unreg_firsttransfer, vector_s1_reg_firsttransfer);
  --vector_s1_unreg_firsttransfer first transaction, which is an e_assign
  vector_s1_unreg_firsttransfer <= NOT ((vector_s1_slavearbiterlockenable AND vector_s1_any_continuerequest));
  --vector_s1_reg_firsttransfer first transaction, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      vector_s1_reg_firsttransfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      if std_logic'(vector_s1_begins_xfer) = '1' then 
        vector_s1_reg_firsttransfer <= vector_s1_unreg_firsttransfer;
      end if;
    end if;

  end process;

  --vector_s1_beginbursttransfer_internal begin burst transfer, which is an e_assign
  vector_s1_beginbursttransfer_internal <= vector_s1_begins_xfer;
  --vector_s1_arbitration_holdoff_internal arbitration_holdoff, which is an e_assign
  vector_s1_arbitration_holdoff_internal <= vector_s1_begins_xfer AND vector_s1_firsttransfer;
  --vector_s1_write assignment, which is an e_mux
  vector_s1_write <= internal_cpu_0_data_master_granted_vector_s1 AND cpu_0_data_master_write;
  shifted_address_to_vector_s1_from_cpu_0_data_master <= cpu_0_data_master_address_to_slave;
  --vector_s1_address mux, which is an e_mux
  vector_s1_address <= A_EXT (A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_vector_s1)) = '1'), (A_SRL(shifted_address_to_vector_s1_from_cpu_0_data_master,std_logic_vector'("00000000000000000000000000000010"))), (A_SRL(shifted_address_to_vector_s1_from_cpu_0_instruction_master,std_logic_vector'("00000000000000000000000000000010")))), 12);
  shifted_address_to_vector_s1_from_cpu_0_instruction_master <= cpu_0_instruction_master_address_to_slave;
  --d1_vector_s1_end_xfer register, which is an e_register
  process (clk, reset_n)
  begin
    if reset_n = '0' then
      d1_vector_s1_end_xfer <= std_logic'('1');
    elsif clk'event and clk = '1' then
      d1_vector_s1_end_xfer <= vector_s1_end_xfer;
    end if;

  end process;

  --vector_s1_waits_for_read in a cycle, which is an e_mux
  vector_s1_waits_for_read <= Vector_To_Std_Logic(((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(vector_s1_in_a_read_cycle))) AND std_logic_vector'("00000000000000000000000000000000")));
  --vector_s1_in_a_read_cycle assignment, which is an e_assign
  vector_s1_in_a_read_cycle <= ((internal_cpu_0_data_master_granted_vector_s1 AND cpu_0_data_master_read)) OR ((internal_cpu_0_instruction_master_granted_vector_s1 AND cpu_0_instruction_master_read));
  --in_a_read_cycle assignment, which is an e_mux
  in_a_read_cycle <= vector_s1_in_a_read_cycle;
  --vector_s1_waits_for_write in a cycle, which is an e_mux
  vector_s1_waits_for_write <= Vector_To_Std_Logic(((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(vector_s1_in_a_write_cycle))) AND std_logic_vector'("00000000000000000000000000000000")));
  --vector_s1_in_a_write_cycle assignment, which is an e_assign
  vector_s1_in_a_write_cycle <= internal_cpu_0_data_master_granted_vector_s1 AND cpu_0_data_master_write;
  --in_a_write_cycle assignment, which is an e_mux
  in_a_write_cycle <= vector_s1_in_a_write_cycle;
  wait_for_vector_s1_counter <= std_logic'('0');
  --vector_s1_byteenable byte enable port mux, which is an e_mux
  vector_s1_byteenable <= A_EXT (A_WE_StdLogicVector((std_logic'((internal_cpu_0_data_master_granted_vector_s1)) = '1'), (std_logic_vector'("0000000000000000000000000000") & (cpu_0_data_master_byteenable)), -SIGNED(std_logic_vector'("00000000000000000000000000000001"))), 4);
  --vhdl renameroo for output signals
  cpu_0_data_master_granted_vector_s1 <= internal_cpu_0_data_master_granted_vector_s1;
  --vhdl renameroo for output signals
  cpu_0_data_master_qualified_request_vector_s1 <= internal_cpu_0_data_master_qualified_request_vector_s1;
  --vhdl renameroo for output signals
  cpu_0_data_master_requests_vector_s1 <= internal_cpu_0_data_master_requests_vector_s1;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_granted_vector_s1 <= internal_cpu_0_instruction_master_granted_vector_s1;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_qualified_request_vector_s1 <= internal_cpu_0_instruction_master_qualified_request_vector_s1;
  --vhdl renameroo for output signals
  cpu_0_instruction_master_requests_vector_s1 <= internal_cpu_0_instruction_master_requests_vector_s1;
--synthesis translate_off
    --vector/s1 enable non-zero assertions, which is an e_register
    process (clk, reset_n)
    begin
      if reset_n = '0' then
        enable_nonzero_assertions <= std_logic'('0');
      elsif clk'event and clk = '1' then
        enable_nonzero_assertions <= std_logic'('1');
      end if;

    end process;

    --grant signals are active simultaneously, which is an e_process
    process (clk)
    VARIABLE write_line8 : line;
    begin
      if clk'event and clk = '1' then
        if (std_logic_vector'("000000000000000000000000000000") & (((std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(internal_cpu_0_data_master_granted_vector_s1))) + (std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(internal_cpu_0_instruction_master_granted_vector_s1))))))>std_logic_vector'("00000000000000000000000000000001") then 
          write(write_line8, now);
          write(write_line8, string'(": "));
          write(write_line8, string'("> 1 of grant signals are active simultaneously"));
          write(output, write_line8.all);
          deallocate (write_line8);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

    --saved_grant signals are active simultaneously, which is an e_process
    process (clk)
    VARIABLE write_line9 : line;
    begin
      if clk'event and clk = '1' then
        if (std_logic_vector'("000000000000000000000000000000") & (((std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(cpu_0_data_master_saved_grant_vector_s1))) + (std_logic_vector'("0") & (A_TOSTDLOGICVECTOR(cpu_0_instruction_master_saved_grant_vector_s1))))))>std_logic_vector'("00000000000000000000000000000001") then 
          write(write_line9, now);
          write(write_line9, string'(": "));
          write(write_line9, string'("> 1 of saved_grant signals are active simultaneously"));
          write(output, write_line9.all);
          deallocate (write_line9);
          assert false report "VHDL STOP" severity failure;
        end if;
      end if;

    end process;

--synthesis translate_on

end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity quicnios_reset_clk_domain_synch_module is 
        port (
              -- inputs:
                 signal clk : IN STD_LOGIC;
                 signal data_in : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;

              -- outputs:
                 signal data_out : OUT STD_LOGIC
              );
end entity quicnios_reset_clk_domain_synch_module;


architecture europa of quicnios_reset_clk_domain_synch_module is
                signal data_in_d1 :  STD_LOGIC;
attribute ALTERA_ATTRIBUTE : string;
attribute ALTERA_ATTRIBUTE of data_in_d1 : signal is "{-from ""*""} CUT=ON ; PRESERVE_REGISTER=ON ; SUPPRESS_DA_RULE_INTERNAL=R101";
attribute ALTERA_ATTRIBUTE of data_out : signal is "PRESERVE_REGISTER=ON ; SUPPRESS_DA_RULE_INTERNAL=R101";

begin

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      data_in_d1 <= std_logic'('0');
    elsif clk'event and clk = '1' then
      data_in_d1 <= data_in;
    end if;

  end process;

  process (clk, reset_n)
  begin
    if reset_n = '0' then
      data_out <= std_logic'('0');
    elsif clk'event and clk = '1' then
      data_out <= data_in_d1;
    end if;

  end process;


end europa;



-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity quicnios is 
        port (
              -- 1) global signals:
                 signal clk : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;

              -- the_epcs_flash_controller
                 signal data0_to_the_epcs_flash_controller : IN STD_LOGIC;
                 signal dclk_from_the_epcs_flash_controller : OUT STD_LOGIC;
                 signal sce_from_the_epcs_flash_controller : OUT STD_LOGIC;
                 signal sdo_from_the_epcs_flash_controller : OUT STD_LOGIC;

              -- the_leds
                 signal out_port_from_the_leds : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);

              -- the_tri_state_bridge_avalon_slave
                 signal addr_to_the_cy7c1049cv33 : OUT STD_LOGIC_VECTOR (18 DOWNTO 0);
                 signal chipsel_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;
                 signal data_to_and_from_the_cy7c1049cv33 : INOUT STD_LOGIC_VECTOR (7 DOWNTO 0);
                 signal read_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;
                 signal write_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;

              -- the_uart
                 signal rxd_to_the_uart : IN STD_LOGIC;
                 signal txd_from_the_uart : OUT STD_LOGIC
              );
end entity quicnios;


architecture europa of quicnios is
component cpu_0_jtag_debug_module_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_byteenable : IN STD_LOGIC_VECTOR (3 DOWNTO 0);
                    signal cpu_0_data_master_debugaccess : IN STD_LOGIC;
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cpu_0_instruction_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_instruction_master_read : IN STD_LOGIC;
                    signal cpu_0_jtag_debug_module_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cpu_0_jtag_debug_module_resetrequest : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;

                 -- outputs:
                    signal cpu_0_data_master_granted_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                    signal cpu_0_data_master_requests_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_granted_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_read_data_valid_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_requests_cpu_0_jtag_debug_module : OUT STD_LOGIC;
                    signal cpu_0_jtag_debug_module_address : OUT STD_LOGIC_VECTOR (8 DOWNTO 0);
                    signal cpu_0_jtag_debug_module_begintransfer : OUT STD_LOGIC;
                    signal cpu_0_jtag_debug_module_byteenable : OUT STD_LOGIC_VECTOR (3 DOWNTO 0);
                    signal cpu_0_jtag_debug_module_chipselect : OUT STD_LOGIC;
                    signal cpu_0_jtag_debug_module_debugaccess : OUT STD_LOGIC;
                    signal cpu_0_jtag_debug_module_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cpu_0_jtag_debug_module_reset : OUT STD_LOGIC;
                    signal cpu_0_jtag_debug_module_reset_n : OUT STD_LOGIC;
                    signal cpu_0_jtag_debug_module_resetrequest_from_sa : OUT STD_LOGIC;
                    signal cpu_0_jtag_debug_module_write : OUT STD_LOGIC;
                    signal cpu_0_jtag_debug_module_writedata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal d1_cpu_0_jtag_debug_module_end_xfer : OUT STD_LOGIC
                 );
end component cpu_0_jtag_debug_module_arbitrator;

component cpu_0_data_master_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal cpu_0_data_master_granted_cpu_0_jtag_debug_module : IN STD_LOGIC;
                    signal cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                    signal cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave : IN STD_LOGIC;
                    signal cpu_0_data_master_granted_leds_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_granted_sysid_control_slave : IN STD_LOGIC;
                    signal cpu_0_data_master_granted_timer_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_granted_uart_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_granted_vector_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module : IN STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave : IN STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_leds_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_sysid_control_slave : IN STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_timer_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_uart_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_vector_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_cpu_0_jtag_debug_module : IN STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_jtag_uart_avalon_jtag_slave : IN STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_leds_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_sysid_control_slave : IN STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_timer_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_uart_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_vector_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_requests_cpu_0_jtag_debug_module : IN STD_LOGIC;
                    signal cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                    signal cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave : IN STD_LOGIC;
                    signal cpu_0_data_master_requests_leds_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_requests_sysid_control_slave : IN STD_LOGIC;
                    signal cpu_0_data_master_requests_timer_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_requests_uart_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_requests_vector_s1 : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cpu_0_jtag_debug_module_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 : IN STD_LOGIC;
                    signal d1_cpu_0_jtag_debug_module_end_xfer : IN STD_LOGIC;
                    signal d1_epcs_flash_controller_epcs_control_port_end_xfer : IN STD_LOGIC;
                    signal d1_jtag_uart_avalon_jtag_slave_end_xfer : IN STD_LOGIC;
                    signal d1_leds_s1_end_xfer : IN STD_LOGIC;
                    signal d1_sysid_control_slave_end_xfer : IN STD_LOGIC;
                    signal d1_timer_s1_end_xfer : IN STD_LOGIC;
                    signal d1_tri_state_bridge_avalon_slave_end_xfer : IN STD_LOGIC;
                    signal d1_uart_s1_end_xfer : IN STD_LOGIC;
                    signal d1_vector_s1_end_xfer : IN STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_irq_from_sa : IN STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal incoming_data_to_and_from_the_cy7c1049cv33 : IN STD_LOGIC_VECTOR (7 DOWNTO 0);
                    signal jtag_uart_avalon_jtag_slave_irq_from_sa : IN STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal jtag_uart_avalon_jtag_slave_waitrequest_from_sa : IN STD_LOGIC;
                    signal leds_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal registered_cpu_0_data_master_read_data_valid_vector_s1 : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;
                    signal sysid_control_slave_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal timer_s1_irq_from_sa : IN STD_LOGIC;
                    signal timer_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (15 DOWNTO 0);
                    signal uart_s1_irq_from_sa : IN STD_LOGIC;
                    signal uart_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (15 DOWNTO 0);
                    signal vector_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

                 -- outputs:
                    signal cpu_0_data_master_address_to_slave : OUT STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_dbs_address : OUT STD_LOGIC_VECTOR (1 DOWNTO 0);
                    signal cpu_0_data_master_dbs_write_8 : OUT STD_LOGIC_VECTOR (7 DOWNTO 0);
                    signal cpu_0_data_master_irq : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cpu_0_data_master_no_byte_enables_and_last_term : OUT STD_LOGIC;
                    signal cpu_0_data_master_readdata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cpu_0_data_master_waitrequest : OUT STD_LOGIC
                 );
end component cpu_0_data_master_arbitrator;

component cpu_0_instruction_master_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_instruction_master_address : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_instruction_master_granted_cpu_0_jtag_debug_module : IN STD_LOGIC;
                    signal cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                    signal cpu_0_instruction_master_granted_vector_s1 : IN STD_LOGIC;
                    signal cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module : IN STD_LOGIC;
                    signal cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                    signal cpu_0_instruction_master_qualified_request_vector_s1 : IN STD_LOGIC;
                    signal cpu_0_instruction_master_read : IN STD_LOGIC;
                    signal cpu_0_instruction_master_read_data_valid_cpu_0_jtag_debug_module : IN STD_LOGIC;
                    signal cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal cpu_0_instruction_master_read_data_valid_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                    signal cpu_0_instruction_master_read_data_valid_vector_s1 : IN STD_LOGIC;
                    signal cpu_0_instruction_master_requests_cpu_0_jtag_debug_module : IN STD_LOGIC;
                    signal cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 : IN STD_LOGIC;
                    signal cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port : IN STD_LOGIC;
                    signal cpu_0_instruction_master_requests_vector_s1 : IN STD_LOGIC;
                    signal cpu_0_jtag_debug_module_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 : IN STD_LOGIC;
                    signal d1_cpu_0_jtag_debug_module_end_xfer : IN STD_LOGIC;
                    signal d1_epcs_flash_controller_epcs_control_port_end_xfer : IN STD_LOGIC;
                    signal d1_tri_state_bridge_avalon_slave_end_xfer : IN STD_LOGIC;
                    signal d1_vector_s1_end_xfer : IN STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal incoming_data_to_and_from_the_cy7c1049cv33 : IN STD_LOGIC_VECTOR (7 DOWNTO 0);
                    signal reset_n : IN STD_LOGIC;
                    signal vector_s1_readdata_from_sa : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

                 -- outputs:
                    signal cpu_0_instruction_master_address_to_slave : OUT STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_instruction_master_dbs_address : OUT STD_LOGIC_VECTOR (1 DOWNTO 0);
                    signal cpu_0_instruction_master_readdata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cpu_0_instruction_master_waitrequest : OUT STD_LOGIC
                 );
end component cpu_0_instruction_master_arbitrator;

component cpu_0 is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal d_irq : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal d_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal d_waitrequest : IN STD_LOGIC;
                    signal i_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal i_waitrequest : IN STD_LOGIC;
                    signal jtag_debug_module_address : IN STD_LOGIC_VECTOR (8 DOWNTO 0);
                    signal jtag_debug_module_begintransfer : IN STD_LOGIC;
                    signal jtag_debug_module_byteenable : IN STD_LOGIC_VECTOR (3 DOWNTO 0);
                    signal jtag_debug_module_clk : IN STD_LOGIC;
                    signal jtag_debug_module_debugaccess : IN STD_LOGIC;
                    signal jtag_debug_module_reset : IN STD_LOGIC;
                    signal jtag_debug_module_select : IN STD_LOGIC;
                    signal jtag_debug_module_write : IN STD_LOGIC;
                    signal jtag_debug_module_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal reset_n : IN STD_LOGIC;

                 -- outputs:
                    signal d_address : OUT STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal d_byteenable : OUT STD_LOGIC_VECTOR (3 DOWNTO 0);
                    signal d_read : OUT STD_LOGIC;
                    signal d_write : OUT STD_LOGIC;
                    signal d_writedata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal i_address : OUT STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal i_read : OUT STD_LOGIC;
                    signal jtag_debug_module_debugaccess_to_roms : OUT STD_LOGIC;
                    signal jtag_debug_module_readdata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal jtag_debug_module_resetrequest : OUT STD_LOGIC
                 );
end component cpu_0;

component epcs_flash_controller_epcs_control_port_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cpu_0_instruction_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_instruction_master_read : IN STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_dataavailable : IN STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_endofpacket : IN STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_irq : IN STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal epcs_flash_controller_epcs_control_port_readyfordata : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;

                 -- outputs:
                    signal cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                    signal cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_read_data_valid_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port : OUT STD_LOGIC;
                    signal d1_epcs_flash_controller_epcs_control_port_end_xfer : OUT STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_address : OUT STD_LOGIC_VECTOR (8 DOWNTO 0);
                    signal epcs_flash_controller_epcs_control_port_chipselect : OUT STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_dataavailable_from_sa : OUT STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_endofpacket_from_sa : OUT STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_irq_from_sa : OUT STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_read_n : OUT STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal epcs_flash_controller_epcs_control_port_readyfordata_from_sa : OUT STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_reset_n : OUT STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_write_n : OUT STD_LOGIC;
                    signal epcs_flash_controller_epcs_control_port_writedata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
                 );
end component epcs_flash_controller_epcs_control_port_arbitrator;

component epcs_flash_controller is 
           port (
                 -- inputs:
                    signal address : IN STD_LOGIC_VECTOR (8 DOWNTO 0);
                    signal chipselect : IN STD_LOGIC;
                    signal clk : IN STD_LOGIC;
                    signal data0 : IN STD_LOGIC;
                    signal read_n : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;
                    signal write_n : IN STD_LOGIC;
                    signal writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

                 -- outputs:
                    signal dataavailable : OUT STD_LOGIC;
                    signal dclk : OUT STD_LOGIC;
                    signal endofpacket : OUT STD_LOGIC;
                    signal irq : OUT STD_LOGIC;
                    signal readdata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal readyfordata : OUT STD_LOGIC;
                    signal sce : OUT STD_LOGIC;
                    signal sdo : OUT STD_LOGIC
                 );
end component epcs_flash_controller;

component jtag_uart_avalon_jtag_slave_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal jtag_uart_avalon_jtag_slave_dataavailable : IN STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_irq : IN STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal jtag_uart_avalon_jtag_slave_readyfordata : IN STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_waitrequest : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;

                 -- outputs:
                    signal cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave : OUT STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave : OUT STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_jtag_uart_avalon_jtag_slave : OUT STD_LOGIC;
                    signal cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave : OUT STD_LOGIC;
                    signal d1_jtag_uart_avalon_jtag_slave_end_xfer : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_address : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_chipselect : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_dataavailable_from_sa : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_irq_from_sa : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_read_n : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal jtag_uart_avalon_jtag_slave_readyfordata_from_sa : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_reset_n : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_waitrequest_from_sa : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_write_n : OUT STD_LOGIC;
                    signal jtag_uart_avalon_jtag_slave_writedata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
                 );
end component jtag_uart_avalon_jtag_slave_arbitrator;

component jtag_uart is 
           port (
                 -- inputs:
                    signal av_address : IN STD_LOGIC;
                    signal av_chipselect : IN STD_LOGIC;
                    signal av_read_n : IN STD_LOGIC;
                    signal av_write_n : IN STD_LOGIC;
                    signal av_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal clk : IN STD_LOGIC;
                    signal rst_n : IN STD_LOGIC;

                 -- outputs:
                    signal av_irq : OUT STD_LOGIC;
                    signal av_readdata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal av_waitrequest : OUT STD_LOGIC;
                    signal dataavailable : OUT STD_LOGIC;
                    signal readyfordata : OUT STD_LOGIC
                 );
end component jtag_uart;

component leds_s1_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal leds_s1_readdata : IN STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal reset_n : IN STD_LOGIC;

                 -- outputs:
                    signal cpu_0_data_master_granted_leds_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_leds_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_leds_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_requests_leds_s1 : OUT STD_LOGIC;
                    signal d1_leds_s1_end_xfer : OUT STD_LOGIC;
                    signal leds_s1_address : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal leds_s1_chipselect : OUT STD_LOGIC;
                    signal leds_s1_readdata_from_sa : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal leds_s1_reset_n : OUT STD_LOGIC;
                    signal leds_s1_write_n : OUT STD_LOGIC;
                    signal leds_s1_writedata : OUT STD_LOGIC_VECTOR (2 DOWNTO 0)
                 );
end component leds_s1_arbitrator;

component leds is 
           port (
                 -- inputs:
                    signal address : IN STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal chipselect : IN STD_LOGIC;
                    signal clk : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;
                    signal write_n : IN STD_LOGIC;
                    signal writedata : IN STD_LOGIC_VECTOR (2 DOWNTO 0);

                 -- outputs:
                    signal out_port : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal readdata : OUT STD_LOGIC_VECTOR (2 DOWNTO 0)
                 );
end component leds;

component sysid_control_slave_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;
                    signal sysid_control_slave_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

                 -- outputs:
                    signal cpu_0_data_master_granted_sysid_control_slave : OUT STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_sysid_control_slave : OUT STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_sysid_control_slave : OUT STD_LOGIC;
                    signal cpu_0_data_master_requests_sysid_control_slave : OUT STD_LOGIC;
                    signal d1_sysid_control_slave_end_xfer : OUT STD_LOGIC;
                    signal sysid_control_slave_address : OUT STD_LOGIC;
                    signal sysid_control_slave_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
                 );
end component sysid_control_slave_arbitrator;

component sysid is 
           port (
                 -- inputs:
                    signal address : IN STD_LOGIC;

                 -- outputs:
                    signal readdata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
                 );
end component sysid;

component timer_s1_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal reset_n : IN STD_LOGIC;
                    signal timer_s1_irq : IN STD_LOGIC;
                    signal timer_s1_readdata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);

                 -- outputs:
                    signal cpu_0_data_master_granted_timer_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_timer_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_timer_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_requests_timer_s1 : OUT STD_LOGIC;
                    signal d1_timer_s1_end_xfer : OUT STD_LOGIC;
                    signal timer_s1_address : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal timer_s1_chipselect : OUT STD_LOGIC;
                    signal timer_s1_irq_from_sa : OUT STD_LOGIC;
                    signal timer_s1_readdata_from_sa : OUT STD_LOGIC_VECTOR (15 DOWNTO 0);
                    signal timer_s1_reset_n : OUT STD_LOGIC;
                    signal timer_s1_write_n : OUT STD_LOGIC;
                    signal timer_s1_writedata : OUT STD_LOGIC_VECTOR (15 DOWNTO 0)
                 );
end component timer_s1_arbitrator;

component timer is 
           port (
                 -- inputs:
                    signal address : IN STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal chipselect : IN STD_LOGIC;
                    signal clk : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;
                    signal write_n : IN STD_LOGIC;
                    signal writedata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);

                 -- outputs:
                    signal irq : OUT STD_LOGIC;
                    signal readdata : OUT STD_LOGIC_VECTOR (15 DOWNTO 0)
                 );
end component timer;

component tri_state_bridge_avalon_slave_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_byteenable : IN STD_LOGIC_VECTOR (3 DOWNTO 0);
                    signal cpu_0_data_master_dbs_address : IN STD_LOGIC_VECTOR (1 DOWNTO 0);
                    signal cpu_0_data_master_dbs_write_8 : IN STD_LOGIC_VECTOR (7 DOWNTO 0);
                    signal cpu_0_data_master_no_byte_enables_and_last_term : IN STD_LOGIC;
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal cpu_0_instruction_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_instruction_master_dbs_address : IN STD_LOGIC_VECTOR (1 DOWNTO 0);
                    signal cpu_0_instruction_master_read : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;

                 -- outputs:
                    signal addr_to_the_cy7c1049cv33 : OUT STD_LOGIC_VECTOR (18 DOWNTO 0);
                    signal chipsel_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;
                    signal cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 : OUT STD_LOGIC;
                    signal d1_tri_state_bridge_avalon_slave_end_xfer : OUT STD_LOGIC;
                    signal data_to_and_from_the_cy7c1049cv33 : INOUT STD_LOGIC_VECTOR (7 DOWNTO 0);
                    signal incoming_data_to_and_from_the_cy7c1049cv33 : OUT STD_LOGIC_VECTOR (7 DOWNTO 0);
                    signal read_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;
                    signal registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 : OUT STD_LOGIC;
                    signal write_n_to_the_cy7c1049cv33 : OUT STD_LOGIC
                 );
end component tri_state_bridge_avalon_slave_arbitrator;

component tri_state_bridge is 
end component tri_state_bridge;

component tri_state_bridge_bridge_arbitrator is 
end component tri_state_bridge_bridge_arbitrator;

component uart_s1_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal reset_n : IN STD_LOGIC;
                    signal uart_s1_dataavailable : IN STD_LOGIC;
                    signal uart_s1_irq : IN STD_LOGIC;
                    signal uart_s1_readdata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);
                    signal uart_s1_readyfordata : IN STD_LOGIC;

                 -- outputs:
                    signal cpu_0_data_master_granted_uart_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_uart_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_uart_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_requests_uart_s1 : OUT STD_LOGIC;
                    signal d1_uart_s1_end_xfer : OUT STD_LOGIC;
                    signal uart_s1_address : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal uart_s1_begintransfer : OUT STD_LOGIC;
                    signal uart_s1_chipselect : OUT STD_LOGIC;
                    signal uart_s1_dataavailable_from_sa : OUT STD_LOGIC;
                    signal uart_s1_irq_from_sa : OUT STD_LOGIC;
                    signal uart_s1_read_n : OUT STD_LOGIC;
                    signal uart_s1_readdata_from_sa : OUT STD_LOGIC_VECTOR (15 DOWNTO 0);
                    signal uart_s1_readyfordata_from_sa : OUT STD_LOGIC;
                    signal uart_s1_reset_n : OUT STD_LOGIC;
                    signal uart_s1_write_n : OUT STD_LOGIC;
                    signal uart_s1_writedata : OUT STD_LOGIC_VECTOR (15 DOWNTO 0)
                 );
end component uart_s1_arbitrator;

component uart is 
           port (
                 -- inputs:
                    signal address : IN STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal begintransfer : IN STD_LOGIC;
                    signal chipselect : IN STD_LOGIC;
                    signal clk : IN STD_LOGIC;
                    signal read_n : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;
                    signal rxd : IN STD_LOGIC;
                    signal write_n : IN STD_LOGIC;
                    signal writedata : IN STD_LOGIC_VECTOR (15 DOWNTO 0);

                 -- outputs:
                    signal dataavailable : OUT STD_LOGIC;
                    signal irq : OUT STD_LOGIC;
                    signal readdata : OUT STD_LOGIC_VECTOR (15 DOWNTO 0);
                    signal readyfordata : OUT STD_LOGIC;
                    signal txd : OUT STD_LOGIC
                 );
end component uart;

component vector_s1_arbitrator is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal cpu_0_data_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_data_master_byteenable : IN STD_LOGIC_VECTOR (3 DOWNTO 0);
                    signal cpu_0_data_master_read : IN STD_LOGIC;
                    signal cpu_0_data_master_waitrequest : IN STD_LOGIC;
                    signal cpu_0_data_master_write : IN STD_LOGIC;
                    signal cpu_0_data_master_writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal cpu_0_instruction_master_address_to_slave : IN STD_LOGIC_VECTOR (19 DOWNTO 0);
                    signal cpu_0_instruction_master_read : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;
                    signal vector_s1_readdata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

                 -- outputs:
                    signal cpu_0_data_master_granted_vector_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_qualified_request_vector_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_read_data_valid_vector_s1 : OUT STD_LOGIC;
                    signal cpu_0_data_master_requests_vector_s1 : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_granted_vector_s1 : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_qualified_request_vector_s1 : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_read_data_valid_vector_s1 : OUT STD_LOGIC;
                    signal cpu_0_instruction_master_requests_vector_s1 : OUT STD_LOGIC;
                    signal d1_vector_s1_end_xfer : OUT STD_LOGIC;
                    signal registered_cpu_0_data_master_read_data_valid_vector_s1 : OUT STD_LOGIC;
                    signal vector_s1_address : OUT STD_LOGIC_VECTOR (11 DOWNTO 0);
                    signal vector_s1_byteenable : OUT STD_LOGIC_VECTOR (3 DOWNTO 0);
                    signal vector_s1_chipselect : OUT STD_LOGIC;
                    signal vector_s1_clken : OUT STD_LOGIC;
                    signal vector_s1_readdata_from_sa : OUT STD_LOGIC_VECTOR (31 DOWNTO 0);
                    signal vector_s1_write : OUT STD_LOGIC;
                    signal vector_s1_writedata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
                 );
end component vector_s1_arbitrator;

component vector is 
           port (
                 -- inputs:
                    signal address : IN STD_LOGIC_VECTOR (11 DOWNTO 0);
                    signal byteenable : IN STD_LOGIC_VECTOR (3 DOWNTO 0);
                    signal chipselect : IN STD_LOGIC;
                    signal clk : IN STD_LOGIC;
                    signal clken : IN STD_LOGIC;
                    signal write : IN STD_LOGIC;
                    signal writedata : IN STD_LOGIC_VECTOR (31 DOWNTO 0);

                 -- outputs:
                    signal readdata : OUT STD_LOGIC_VECTOR (31 DOWNTO 0)
                 );
end component vector;

component quicnios_reset_clk_domain_synch_module is 
           port (
                 -- inputs:
                    signal clk : IN STD_LOGIC;
                    signal data_in : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;

                 -- outputs:
                    signal data_out : OUT STD_LOGIC
                 );
end component quicnios_reset_clk_domain_synch_module;

                signal clk_reset_n :  STD_LOGIC;
                signal cpu_0_data_master_address :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal cpu_0_data_master_address_to_slave :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal cpu_0_data_master_byteenable :  STD_LOGIC_VECTOR (3 DOWNTO 0);
                signal cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_data_master_dbs_address :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_data_master_dbs_write_8 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal cpu_0_data_master_debugaccess :  STD_LOGIC;
                signal cpu_0_data_master_granted_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave :  STD_LOGIC;
                signal cpu_0_data_master_granted_leds_s1 :  STD_LOGIC;
                signal cpu_0_data_master_granted_sysid_control_slave :  STD_LOGIC;
                signal cpu_0_data_master_granted_timer_s1 :  STD_LOGIC;
                signal cpu_0_data_master_granted_uart_s1 :  STD_LOGIC;
                signal cpu_0_data_master_granted_vector_s1 :  STD_LOGIC;
                signal cpu_0_data_master_irq :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal cpu_0_data_master_no_byte_enables_and_last_term :  STD_LOGIC;
                signal cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave :  STD_LOGIC;
                signal cpu_0_data_master_qualified_request_leds_s1 :  STD_LOGIC;
                signal cpu_0_data_master_qualified_request_sysid_control_slave :  STD_LOGIC;
                signal cpu_0_data_master_qualified_request_timer_s1 :  STD_LOGIC;
                signal cpu_0_data_master_qualified_request_uart_s1 :  STD_LOGIC;
                signal cpu_0_data_master_qualified_request_vector_s1 :  STD_LOGIC;
                signal cpu_0_data_master_read :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_jtag_uart_avalon_jtag_slave :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_leds_s1 :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_sysid_control_slave :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_timer_s1 :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_uart_s1 :  STD_LOGIC;
                signal cpu_0_data_master_read_data_valid_vector_s1 :  STD_LOGIC;
                signal cpu_0_data_master_readdata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal cpu_0_data_master_requests_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave :  STD_LOGIC;
                signal cpu_0_data_master_requests_leds_s1 :  STD_LOGIC;
                signal cpu_0_data_master_requests_sysid_control_slave :  STD_LOGIC;
                signal cpu_0_data_master_requests_timer_s1 :  STD_LOGIC;
                signal cpu_0_data_master_requests_uart_s1 :  STD_LOGIC;
                signal cpu_0_data_master_requests_vector_s1 :  STD_LOGIC;
                signal cpu_0_data_master_waitrequest :  STD_LOGIC;
                signal cpu_0_data_master_write :  STD_LOGIC;
                signal cpu_0_data_master_writedata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal cpu_0_instruction_master_address :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal cpu_0_instruction_master_address_to_slave :  STD_LOGIC_VECTOR (19 DOWNTO 0);
                signal cpu_0_instruction_master_dbs_address :  STD_LOGIC_VECTOR (1 DOWNTO 0);
                signal cpu_0_instruction_master_granted_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal cpu_0_instruction_master_granted_vector_s1 :  STD_LOGIC;
                signal cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal cpu_0_instruction_master_qualified_request_vector_s1 :  STD_LOGIC;
                signal cpu_0_instruction_master_read :  STD_LOGIC;
                signal cpu_0_instruction_master_read_data_valid_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_instruction_master_read_data_valid_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal cpu_0_instruction_master_read_data_valid_vector_s1 :  STD_LOGIC;
                signal cpu_0_instruction_master_readdata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal cpu_0_instruction_master_requests_cpu_0_jtag_debug_module :  STD_LOGIC;
                signal cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port :  STD_LOGIC;
                signal cpu_0_instruction_master_requests_vector_s1 :  STD_LOGIC;
                signal cpu_0_instruction_master_waitrequest :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_address :  STD_LOGIC_VECTOR (8 DOWNTO 0);
                signal cpu_0_jtag_debug_module_begintransfer :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_byteenable :  STD_LOGIC_VECTOR (3 DOWNTO 0);
                signal cpu_0_jtag_debug_module_chipselect :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_debugaccess :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_readdata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal cpu_0_jtag_debug_module_readdata_from_sa :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal cpu_0_jtag_debug_module_reset :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_reset_n :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_resetrequest :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_resetrequest_from_sa :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_write :  STD_LOGIC;
                signal cpu_0_jtag_debug_module_writedata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 :  STD_LOGIC;
                signal d1_cpu_0_jtag_debug_module_end_xfer :  STD_LOGIC;
                signal d1_epcs_flash_controller_epcs_control_port_end_xfer :  STD_LOGIC;
                signal d1_jtag_uart_avalon_jtag_slave_end_xfer :  STD_LOGIC;
                signal d1_leds_s1_end_xfer :  STD_LOGIC;
                signal d1_sysid_control_slave_end_xfer :  STD_LOGIC;
                signal d1_timer_s1_end_xfer :  STD_LOGIC;
                signal d1_tri_state_bridge_avalon_slave_end_xfer :  STD_LOGIC;
                signal d1_uart_s1_end_xfer :  STD_LOGIC;
                signal d1_vector_s1_end_xfer :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_address :  STD_LOGIC_VECTOR (8 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_chipselect :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_dataavailable :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_dataavailable_from_sa :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_endofpacket :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_endofpacket_from_sa :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_irq :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_irq_from_sa :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_read_n :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_readdata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_readdata_from_sa :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal epcs_flash_controller_epcs_control_port_readyfordata :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_readyfordata_from_sa :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_reset_n :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_write_n :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_writedata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal incoming_data_to_and_from_the_cy7c1049cv33 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal internal_addr_to_the_cy7c1049cv33 :  STD_LOGIC_VECTOR (18 DOWNTO 0);
                signal internal_chipsel_n_to_the_cy7c1049cv33 :  STD_LOGIC;
                signal internal_dclk_from_the_epcs_flash_controller :  STD_LOGIC;
                signal internal_out_port_from_the_leds :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal internal_read_n_to_the_cy7c1049cv33 :  STD_LOGIC;
                signal internal_sce_from_the_epcs_flash_controller :  STD_LOGIC;
                signal internal_sdo_from_the_epcs_flash_controller :  STD_LOGIC;
                signal internal_txd_from_the_uart :  STD_LOGIC;
                signal internal_write_n_to_the_cy7c1049cv33 :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_address :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_chipselect :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_dataavailable :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_dataavailable_from_sa :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_irq :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_irq_from_sa :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_read_n :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_readdata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal jtag_uart_avalon_jtag_slave_readdata_from_sa :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal jtag_uart_avalon_jtag_slave_readyfordata :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_readyfordata_from_sa :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_reset_n :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_waitrequest :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_waitrequest_from_sa :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_write_n :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_writedata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal leds_s1_address :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal leds_s1_chipselect :  STD_LOGIC;
                signal leds_s1_readdata :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal leds_s1_readdata_from_sa :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal leds_s1_reset_n :  STD_LOGIC;
                signal leds_s1_write_n :  STD_LOGIC;
                signal leds_s1_writedata :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal module_input :  STD_LOGIC;
                signal registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 :  STD_LOGIC;
                signal registered_cpu_0_data_master_read_data_valid_vector_s1 :  STD_LOGIC;
                signal reset_n_sources :  STD_LOGIC;
                signal sysid_control_slave_address :  STD_LOGIC;
                signal sysid_control_slave_readdata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal sysid_control_slave_readdata_from_sa :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal timer_s1_address :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal timer_s1_chipselect :  STD_LOGIC;
                signal timer_s1_irq :  STD_LOGIC;
                signal timer_s1_irq_from_sa :  STD_LOGIC;
                signal timer_s1_readdata :  STD_LOGIC_VECTOR (15 DOWNTO 0);
                signal timer_s1_readdata_from_sa :  STD_LOGIC_VECTOR (15 DOWNTO 0);
                signal timer_s1_reset_n :  STD_LOGIC;
                signal timer_s1_write_n :  STD_LOGIC;
                signal timer_s1_writedata :  STD_LOGIC_VECTOR (15 DOWNTO 0);
                signal uart_s1_address :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal uart_s1_begintransfer :  STD_LOGIC;
                signal uart_s1_chipselect :  STD_LOGIC;
                signal uart_s1_dataavailable :  STD_LOGIC;
                signal uart_s1_dataavailable_from_sa :  STD_LOGIC;
                signal uart_s1_irq :  STD_LOGIC;
                signal uart_s1_irq_from_sa :  STD_LOGIC;
                signal uart_s1_read_n :  STD_LOGIC;
                signal uart_s1_readdata :  STD_LOGIC_VECTOR (15 DOWNTO 0);
                signal uart_s1_readdata_from_sa :  STD_LOGIC_VECTOR (15 DOWNTO 0);
                signal uart_s1_readyfordata :  STD_LOGIC;
                signal uart_s1_readyfordata_from_sa :  STD_LOGIC;
                signal uart_s1_reset_n :  STD_LOGIC;
                signal uart_s1_write_n :  STD_LOGIC;
                signal uart_s1_writedata :  STD_LOGIC_VECTOR (15 DOWNTO 0);
                signal vector_s1_address :  STD_LOGIC_VECTOR (11 DOWNTO 0);
                signal vector_s1_byteenable :  STD_LOGIC_VECTOR (3 DOWNTO 0);
                signal vector_s1_chipselect :  STD_LOGIC;
                signal vector_s1_clken :  STD_LOGIC;
                signal vector_s1_readdata :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal vector_s1_readdata_from_sa :  STD_LOGIC_VECTOR (31 DOWNTO 0);
                signal vector_s1_write :  STD_LOGIC;
                signal vector_s1_writedata :  STD_LOGIC_VECTOR (31 DOWNTO 0);

begin

  --the_cpu_0_jtag_debug_module, which is an e_instance
  the_cpu_0_jtag_debug_module : cpu_0_jtag_debug_module_arbitrator
    port map(
      cpu_0_data_master_granted_cpu_0_jtag_debug_module => cpu_0_data_master_granted_cpu_0_jtag_debug_module,
      cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module => cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module,
      cpu_0_data_master_read_data_valid_cpu_0_jtag_debug_module => cpu_0_data_master_read_data_valid_cpu_0_jtag_debug_module,
      cpu_0_data_master_requests_cpu_0_jtag_debug_module => cpu_0_data_master_requests_cpu_0_jtag_debug_module,
      cpu_0_instruction_master_granted_cpu_0_jtag_debug_module => cpu_0_instruction_master_granted_cpu_0_jtag_debug_module,
      cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module => cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module,
      cpu_0_instruction_master_read_data_valid_cpu_0_jtag_debug_module => cpu_0_instruction_master_read_data_valid_cpu_0_jtag_debug_module,
      cpu_0_instruction_master_requests_cpu_0_jtag_debug_module => cpu_0_instruction_master_requests_cpu_0_jtag_debug_module,
      cpu_0_jtag_debug_module_address => cpu_0_jtag_debug_module_address,
      cpu_0_jtag_debug_module_begintransfer => cpu_0_jtag_debug_module_begintransfer,
      cpu_0_jtag_debug_module_byteenable => cpu_0_jtag_debug_module_byteenable,
      cpu_0_jtag_debug_module_chipselect => cpu_0_jtag_debug_module_chipselect,
      cpu_0_jtag_debug_module_debugaccess => cpu_0_jtag_debug_module_debugaccess,
      cpu_0_jtag_debug_module_readdata_from_sa => cpu_0_jtag_debug_module_readdata_from_sa,
      cpu_0_jtag_debug_module_reset => cpu_0_jtag_debug_module_reset,
      cpu_0_jtag_debug_module_reset_n => cpu_0_jtag_debug_module_reset_n,
      cpu_0_jtag_debug_module_resetrequest_from_sa => cpu_0_jtag_debug_module_resetrequest_from_sa,
      cpu_0_jtag_debug_module_write => cpu_0_jtag_debug_module_write,
      cpu_0_jtag_debug_module_writedata => cpu_0_jtag_debug_module_writedata,
      d1_cpu_0_jtag_debug_module_end_xfer => d1_cpu_0_jtag_debug_module_end_xfer,
      clk => clk,
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_byteenable => cpu_0_data_master_byteenable,
      cpu_0_data_master_debugaccess => cpu_0_data_master_debugaccess,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_waitrequest => cpu_0_data_master_waitrequest,
      cpu_0_data_master_write => cpu_0_data_master_write,
      cpu_0_data_master_writedata => cpu_0_data_master_writedata,
      cpu_0_instruction_master_address_to_slave => cpu_0_instruction_master_address_to_slave,
      cpu_0_instruction_master_read => cpu_0_instruction_master_read,
      cpu_0_jtag_debug_module_readdata => cpu_0_jtag_debug_module_readdata,
      cpu_0_jtag_debug_module_resetrequest => cpu_0_jtag_debug_module_resetrequest,
      reset_n => clk_reset_n
    );


  --the_cpu_0_data_master, which is an e_instance
  the_cpu_0_data_master : cpu_0_data_master_arbitrator
    port map(
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_dbs_address => cpu_0_data_master_dbs_address,
      cpu_0_data_master_dbs_write_8 => cpu_0_data_master_dbs_write_8,
      cpu_0_data_master_irq => cpu_0_data_master_irq,
      cpu_0_data_master_no_byte_enables_and_last_term => cpu_0_data_master_no_byte_enables_and_last_term,
      cpu_0_data_master_readdata => cpu_0_data_master_readdata,
      cpu_0_data_master_waitrequest => cpu_0_data_master_waitrequest,
      clk => clk,
      cpu_0_data_master_address => cpu_0_data_master_address,
      cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_data_master_granted_cpu_0_jtag_debug_module => cpu_0_data_master_granted_cpu_0_jtag_debug_module,
      cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port => cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port,
      cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave => cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave,
      cpu_0_data_master_granted_leds_s1 => cpu_0_data_master_granted_leds_s1,
      cpu_0_data_master_granted_sysid_control_slave => cpu_0_data_master_granted_sysid_control_slave,
      cpu_0_data_master_granted_timer_s1 => cpu_0_data_master_granted_timer_s1,
      cpu_0_data_master_granted_uart_s1 => cpu_0_data_master_granted_uart_s1,
      cpu_0_data_master_granted_vector_s1 => cpu_0_data_master_granted_vector_s1,
      cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module => cpu_0_data_master_qualified_request_cpu_0_jtag_debug_module,
      cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port => cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port,
      cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave => cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave,
      cpu_0_data_master_qualified_request_leds_s1 => cpu_0_data_master_qualified_request_leds_s1,
      cpu_0_data_master_qualified_request_sysid_control_slave => cpu_0_data_master_qualified_request_sysid_control_slave,
      cpu_0_data_master_qualified_request_timer_s1 => cpu_0_data_master_qualified_request_timer_s1,
      cpu_0_data_master_qualified_request_uart_s1 => cpu_0_data_master_qualified_request_uart_s1,
      cpu_0_data_master_qualified_request_vector_s1 => cpu_0_data_master_qualified_request_vector_s1,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_read_data_valid_cpu_0_jtag_debug_module => cpu_0_data_master_read_data_valid_cpu_0_jtag_debug_module,
      cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_data_master_read_data_valid_epcs_flash_controller_epcs_control_port => cpu_0_data_master_read_data_valid_epcs_flash_controller_epcs_control_port,
      cpu_0_data_master_read_data_valid_jtag_uart_avalon_jtag_slave => cpu_0_data_master_read_data_valid_jtag_uart_avalon_jtag_slave,
      cpu_0_data_master_read_data_valid_leds_s1 => cpu_0_data_master_read_data_valid_leds_s1,
      cpu_0_data_master_read_data_valid_sysid_control_slave => cpu_0_data_master_read_data_valid_sysid_control_slave,
      cpu_0_data_master_read_data_valid_timer_s1 => cpu_0_data_master_read_data_valid_timer_s1,
      cpu_0_data_master_read_data_valid_uart_s1 => cpu_0_data_master_read_data_valid_uart_s1,
      cpu_0_data_master_read_data_valid_vector_s1 => cpu_0_data_master_read_data_valid_vector_s1,
      cpu_0_data_master_requests_cpu_0_jtag_debug_module => cpu_0_data_master_requests_cpu_0_jtag_debug_module,
      cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port => cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port,
      cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave => cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave,
      cpu_0_data_master_requests_leds_s1 => cpu_0_data_master_requests_leds_s1,
      cpu_0_data_master_requests_sysid_control_slave => cpu_0_data_master_requests_sysid_control_slave,
      cpu_0_data_master_requests_timer_s1 => cpu_0_data_master_requests_timer_s1,
      cpu_0_data_master_requests_uart_s1 => cpu_0_data_master_requests_uart_s1,
      cpu_0_data_master_requests_vector_s1 => cpu_0_data_master_requests_vector_s1,
      cpu_0_data_master_write => cpu_0_data_master_write,
      cpu_0_data_master_writedata => cpu_0_data_master_writedata,
      cpu_0_jtag_debug_module_readdata_from_sa => cpu_0_jtag_debug_module_readdata_from_sa,
      cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 => cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0,
      d1_cpu_0_jtag_debug_module_end_xfer => d1_cpu_0_jtag_debug_module_end_xfer,
      d1_epcs_flash_controller_epcs_control_port_end_xfer => d1_epcs_flash_controller_epcs_control_port_end_xfer,
      d1_jtag_uart_avalon_jtag_slave_end_xfer => d1_jtag_uart_avalon_jtag_slave_end_xfer,
      d1_leds_s1_end_xfer => d1_leds_s1_end_xfer,
      d1_sysid_control_slave_end_xfer => d1_sysid_control_slave_end_xfer,
      d1_timer_s1_end_xfer => d1_timer_s1_end_xfer,
      d1_tri_state_bridge_avalon_slave_end_xfer => d1_tri_state_bridge_avalon_slave_end_xfer,
      d1_uart_s1_end_xfer => d1_uart_s1_end_xfer,
      d1_vector_s1_end_xfer => d1_vector_s1_end_xfer,
      epcs_flash_controller_epcs_control_port_irq_from_sa => epcs_flash_controller_epcs_control_port_irq_from_sa,
      epcs_flash_controller_epcs_control_port_readdata_from_sa => epcs_flash_controller_epcs_control_port_readdata_from_sa,
      incoming_data_to_and_from_the_cy7c1049cv33 => incoming_data_to_and_from_the_cy7c1049cv33,
      jtag_uart_avalon_jtag_slave_irq_from_sa => jtag_uart_avalon_jtag_slave_irq_from_sa,
      jtag_uart_avalon_jtag_slave_readdata_from_sa => jtag_uart_avalon_jtag_slave_readdata_from_sa,
      jtag_uart_avalon_jtag_slave_waitrequest_from_sa => jtag_uart_avalon_jtag_slave_waitrequest_from_sa,
      leds_s1_readdata_from_sa => leds_s1_readdata_from_sa,
      registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 => registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0,
      registered_cpu_0_data_master_read_data_valid_vector_s1 => registered_cpu_0_data_master_read_data_valid_vector_s1,
      reset_n => clk_reset_n,
      sysid_control_slave_readdata_from_sa => sysid_control_slave_readdata_from_sa,
      timer_s1_irq_from_sa => timer_s1_irq_from_sa,
      timer_s1_readdata_from_sa => timer_s1_readdata_from_sa,
      uart_s1_irq_from_sa => uart_s1_irq_from_sa,
      uart_s1_readdata_from_sa => uart_s1_readdata_from_sa,
      vector_s1_readdata_from_sa => vector_s1_readdata_from_sa
    );


  --the_cpu_0_instruction_master, which is an e_instance
  the_cpu_0_instruction_master : cpu_0_instruction_master_arbitrator
    port map(
      cpu_0_instruction_master_address_to_slave => cpu_0_instruction_master_address_to_slave,
      cpu_0_instruction_master_dbs_address => cpu_0_instruction_master_dbs_address,
      cpu_0_instruction_master_readdata => cpu_0_instruction_master_readdata,
      cpu_0_instruction_master_waitrequest => cpu_0_instruction_master_waitrequest,
      clk => clk,
      cpu_0_instruction_master_address => cpu_0_instruction_master_address,
      cpu_0_instruction_master_granted_cpu_0_jtag_debug_module => cpu_0_instruction_master_granted_cpu_0_jtag_debug_module,
      cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port => cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port,
      cpu_0_instruction_master_granted_vector_s1 => cpu_0_instruction_master_granted_vector_s1,
      cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module => cpu_0_instruction_master_qualified_request_cpu_0_jtag_debug_module,
      cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port => cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port,
      cpu_0_instruction_master_qualified_request_vector_s1 => cpu_0_instruction_master_qualified_request_vector_s1,
      cpu_0_instruction_master_read => cpu_0_instruction_master_read,
      cpu_0_instruction_master_read_data_valid_cpu_0_jtag_debug_module => cpu_0_instruction_master_read_data_valid_cpu_0_jtag_debug_module,
      cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_instruction_master_read_data_valid_epcs_flash_controller_epcs_control_port => cpu_0_instruction_master_read_data_valid_epcs_flash_controller_epcs_control_port,
      cpu_0_instruction_master_read_data_valid_vector_s1 => cpu_0_instruction_master_read_data_valid_vector_s1,
      cpu_0_instruction_master_requests_cpu_0_jtag_debug_module => cpu_0_instruction_master_requests_cpu_0_jtag_debug_module,
      cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port => cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port,
      cpu_0_instruction_master_requests_vector_s1 => cpu_0_instruction_master_requests_vector_s1,
      cpu_0_jtag_debug_module_readdata_from_sa => cpu_0_jtag_debug_module_readdata_from_sa,
      cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 => cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0,
      d1_cpu_0_jtag_debug_module_end_xfer => d1_cpu_0_jtag_debug_module_end_xfer,
      d1_epcs_flash_controller_epcs_control_port_end_xfer => d1_epcs_flash_controller_epcs_control_port_end_xfer,
      d1_tri_state_bridge_avalon_slave_end_xfer => d1_tri_state_bridge_avalon_slave_end_xfer,
      d1_vector_s1_end_xfer => d1_vector_s1_end_xfer,
      epcs_flash_controller_epcs_control_port_readdata_from_sa => epcs_flash_controller_epcs_control_port_readdata_from_sa,
      incoming_data_to_and_from_the_cy7c1049cv33 => incoming_data_to_and_from_the_cy7c1049cv33,
      reset_n => clk_reset_n,
      vector_s1_readdata_from_sa => vector_s1_readdata_from_sa
    );


  --the_cpu_0, which is an e_ptf_instance
  the_cpu_0 : cpu_0
    port map(
      d_address => cpu_0_data_master_address,
      d_byteenable => cpu_0_data_master_byteenable,
      d_read => cpu_0_data_master_read,
      d_write => cpu_0_data_master_write,
      d_writedata => cpu_0_data_master_writedata,
      i_address => cpu_0_instruction_master_address,
      i_read => cpu_0_instruction_master_read,
      jtag_debug_module_debugaccess_to_roms => cpu_0_data_master_debugaccess,
      jtag_debug_module_readdata => cpu_0_jtag_debug_module_readdata,
      jtag_debug_module_resetrequest => cpu_0_jtag_debug_module_resetrequest,
      clk => clk,
      d_irq => cpu_0_data_master_irq,
      d_readdata => cpu_0_data_master_readdata,
      d_waitrequest => cpu_0_data_master_waitrequest,
      i_readdata => cpu_0_instruction_master_readdata,
      i_waitrequest => cpu_0_instruction_master_waitrequest,
      jtag_debug_module_address => cpu_0_jtag_debug_module_address,
      jtag_debug_module_begintransfer => cpu_0_jtag_debug_module_begintransfer,
      jtag_debug_module_byteenable => cpu_0_jtag_debug_module_byteenable,
      jtag_debug_module_clk => clk,
      jtag_debug_module_debugaccess => cpu_0_jtag_debug_module_debugaccess,
      jtag_debug_module_reset => cpu_0_jtag_debug_module_reset,
      jtag_debug_module_select => cpu_0_jtag_debug_module_chipselect,
      jtag_debug_module_write => cpu_0_jtag_debug_module_write,
      jtag_debug_module_writedata => cpu_0_jtag_debug_module_writedata,
      reset_n => cpu_0_jtag_debug_module_reset_n
    );


  --the_epcs_flash_controller_epcs_control_port, which is an e_instance
  the_epcs_flash_controller_epcs_control_port : epcs_flash_controller_epcs_control_port_arbitrator
    port map(
      cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port => cpu_0_data_master_granted_epcs_flash_controller_epcs_control_port,
      cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port => cpu_0_data_master_qualified_request_epcs_flash_controller_epcs_control_port,
      cpu_0_data_master_read_data_valid_epcs_flash_controller_epcs_control_port => cpu_0_data_master_read_data_valid_epcs_flash_controller_epcs_control_port,
      cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port => cpu_0_data_master_requests_epcs_flash_controller_epcs_control_port,
      cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port => cpu_0_instruction_master_granted_epcs_flash_controller_epcs_control_port,
      cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port => cpu_0_instruction_master_qualified_request_epcs_flash_controller_epcs_control_port,
      cpu_0_instruction_master_read_data_valid_epcs_flash_controller_epcs_control_port => cpu_0_instruction_master_read_data_valid_epcs_flash_controller_epcs_control_port,
      cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port => cpu_0_instruction_master_requests_epcs_flash_controller_epcs_control_port,
      d1_epcs_flash_controller_epcs_control_port_end_xfer => d1_epcs_flash_controller_epcs_control_port_end_xfer,
      epcs_flash_controller_epcs_control_port_address => epcs_flash_controller_epcs_control_port_address,
      epcs_flash_controller_epcs_control_port_chipselect => epcs_flash_controller_epcs_control_port_chipselect,
      epcs_flash_controller_epcs_control_port_dataavailable_from_sa => epcs_flash_controller_epcs_control_port_dataavailable_from_sa,
      epcs_flash_controller_epcs_control_port_endofpacket_from_sa => epcs_flash_controller_epcs_control_port_endofpacket_from_sa,
      epcs_flash_controller_epcs_control_port_irq_from_sa => epcs_flash_controller_epcs_control_port_irq_from_sa,
      epcs_flash_controller_epcs_control_port_read_n => epcs_flash_controller_epcs_control_port_read_n,
      epcs_flash_controller_epcs_control_port_readdata_from_sa => epcs_flash_controller_epcs_control_port_readdata_from_sa,
      epcs_flash_controller_epcs_control_port_readyfordata_from_sa => epcs_flash_controller_epcs_control_port_readyfordata_from_sa,
      epcs_flash_controller_epcs_control_port_reset_n => epcs_flash_controller_epcs_control_port_reset_n,
      epcs_flash_controller_epcs_control_port_write_n => epcs_flash_controller_epcs_control_port_write_n,
      epcs_flash_controller_epcs_control_port_writedata => epcs_flash_controller_epcs_control_port_writedata,
      clk => clk,
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_write => cpu_0_data_master_write,
      cpu_0_data_master_writedata => cpu_0_data_master_writedata,
      cpu_0_instruction_master_address_to_slave => cpu_0_instruction_master_address_to_slave,
      cpu_0_instruction_master_read => cpu_0_instruction_master_read,
      epcs_flash_controller_epcs_control_port_dataavailable => epcs_flash_controller_epcs_control_port_dataavailable,
      epcs_flash_controller_epcs_control_port_endofpacket => epcs_flash_controller_epcs_control_port_endofpacket,
      epcs_flash_controller_epcs_control_port_irq => epcs_flash_controller_epcs_control_port_irq,
      epcs_flash_controller_epcs_control_port_readdata => epcs_flash_controller_epcs_control_port_readdata,
      epcs_flash_controller_epcs_control_port_readyfordata => epcs_flash_controller_epcs_control_port_readyfordata,
      reset_n => clk_reset_n
    );


  --the_epcs_flash_controller, which is an e_ptf_instance
  the_epcs_flash_controller : epcs_flash_controller
    port map(
      dataavailable => epcs_flash_controller_epcs_control_port_dataavailable,
      dclk => internal_dclk_from_the_epcs_flash_controller,
      endofpacket => epcs_flash_controller_epcs_control_port_endofpacket,
      irq => epcs_flash_controller_epcs_control_port_irq,
      readdata => epcs_flash_controller_epcs_control_port_readdata,
      readyfordata => epcs_flash_controller_epcs_control_port_readyfordata,
      sce => internal_sce_from_the_epcs_flash_controller,
      sdo => internal_sdo_from_the_epcs_flash_controller,
      address => epcs_flash_controller_epcs_control_port_address,
      chipselect => epcs_flash_controller_epcs_control_port_chipselect,
      clk => clk,
      data0 => data0_to_the_epcs_flash_controller,
      read_n => epcs_flash_controller_epcs_control_port_read_n,
      reset_n => epcs_flash_controller_epcs_control_port_reset_n,
      write_n => epcs_flash_controller_epcs_control_port_write_n,
      writedata => epcs_flash_controller_epcs_control_port_writedata
    );


  --the_jtag_uart_avalon_jtag_slave, which is an e_instance
  the_jtag_uart_avalon_jtag_slave : jtag_uart_avalon_jtag_slave_arbitrator
    port map(
      cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave => cpu_0_data_master_granted_jtag_uart_avalon_jtag_slave,
      cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave => cpu_0_data_master_qualified_request_jtag_uart_avalon_jtag_slave,
      cpu_0_data_master_read_data_valid_jtag_uart_avalon_jtag_slave => cpu_0_data_master_read_data_valid_jtag_uart_avalon_jtag_slave,
      cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave => cpu_0_data_master_requests_jtag_uart_avalon_jtag_slave,
      d1_jtag_uart_avalon_jtag_slave_end_xfer => d1_jtag_uart_avalon_jtag_slave_end_xfer,
      jtag_uart_avalon_jtag_slave_address => jtag_uart_avalon_jtag_slave_address,
      jtag_uart_avalon_jtag_slave_chipselect => jtag_uart_avalon_jtag_slave_chipselect,
      jtag_uart_avalon_jtag_slave_dataavailable_from_sa => jtag_uart_avalon_jtag_slave_dataavailable_from_sa,
      jtag_uart_avalon_jtag_slave_irq_from_sa => jtag_uart_avalon_jtag_slave_irq_from_sa,
      jtag_uart_avalon_jtag_slave_read_n => jtag_uart_avalon_jtag_slave_read_n,
      jtag_uart_avalon_jtag_slave_readdata_from_sa => jtag_uart_avalon_jtag_slave_readdata_from_sa,
      jtag_uart_avalon_jtag_slave_readyfordata_from_sa => jtag_uart_avalon_jtag_slave_readyfordata_from_sa,
      jtag_uart_avalon_jtag_slave_reset_n => jtag_uart_avalon_jtag_slave_reset_n,
      jtag_uart_avalon_jtag_slave_waitrequest_from_sa => jtag_uart_avalon_jtag_slave_waitrequest_from_sa,
      jtag_uart_avalon_jtag_slave_write_n => jtag_uart_avalon_jtag_slave_write_n,
      jtag_uart_avalon_jtag_slave_writedata => jtag_uart_avalon_jtag_slave_writedata,
      clk => clk,
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_waitrequest => cpu_0_data_master_waitrequest,
      cpu_0_data_master_write => cpu_0_data_master_write,
      cpu_0_data_master_writedata => cpu_0_data_master_writedata,
      jtag_uart_avalon_jtag_slave_dataavailable => jtag_uart_avalon_jtag_slave_dataavailable,
      jtag_uart_avalon_jtag_slave_irq => jtag_uart_avalon_jtag_slave_irq,
      jtag_uart_avalon_jtag_slave_readdata => jtag_uart_avalon_jtag_slave_readdata,
      jtag_uart_avalon_jtag_slave_readyfordata => jtag_uart_avalon_jtag_slave_readyfordata,
      jtag_uart_avalon_jtag_slave_waitrequest => jtag_uart_avalon_jtag_slave_waitrequest,
      reset_n => clk_reset_n
    );


  --the_jtag_uart, which is an e_ptf_instance
  the_jtag_uart : jtag_uart
    port map(
      av_irq => jtag_uart_avalon_jtag_slave_irq,
      av_readdata => jtag_uart_avalon_jtag_slave_readdata,
      av_waitrequest => jtag_uart_avalon_jtag_slave_waitrequest,
      dataavailable => jtag_uart_avalon_jtag_slave_dataavailable,
      readyfordata => jtag_uart_avalon_jtag_slave_readyfordata,
      av_address => jtag_uart_avalon_jtag_slave_address,
      av_chipselect => jtag_uart_avalon_jtag_slave_chipselect,
      av_read_n => jtag_uart_avalon_jtag_slave_read_n,
      av_write_n => jtag_uart_avalon_jtag_slave_write_n,
      av_writedata => jtag_uart_avalon_jtag_slave_writedata,
      clk => clk,
      rst_n => jtag_uart_avalon_jtag_slave_reset_n
    );


  --the_leds_s1, which is an e_instance
  the_leds_s1 : leds_s1_arbitrator
    port map(
      cpu_0_data_master_granted_leds_s1 => cpu_0_data_master_granted_leds_s1,
      cpu_0_data_master_qualified_request_leds_s1 => cpu_0_data_master_qualified_request_leds_s1,
      cpu_0_data_master_read_data_valid_leds_s1 => cpu_0_data_master_read_data_valid_leds_s1,
      cpu_0_data_master_requests_leds_s1 => cpu_0_data_master_requests_leds_s1,
      d1_leds_s1_end_xfer => d1_leds_s1_end_xfer,
      leds_s1_address => leds_s1_address,
      leds_s1_chipselect => leds_s1_chipselect,
      leds_s1_readdata_from_sa => leds_s1_readdata_from_sa,
      leds_s1_reset_n => leds_s1_reset_n,
      leds_s1_write_n => leds_s1_write_n,
      leds_s1_writedata => leds_s1_writedata,
      clk => clk,
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_waitrequest => cpu_0_data_master_waitrequest,
      cpu_0_data_master_write => cpu_0_data_master_write,
      cpu_0_data_master_writedata => cpu_0_data_master_writedata,
      leds_s1_readdata => leds_s1_readdata,
      reset_n => clk_reset_n
    );


  --the_leds, which is an e_ptf_instance
  the_leds : leds
    port map(
      out_port => internal_out_port_from_the_leds,
      readdata => leds_s1_readdata,
      address => leds_s1_address,
      chipselect => leds_s1_chipselect,
      clk => clk,
      reset_n => leds_s1_reset_n,
      write_n => leds_s1_write_n,
      writedata => leds_s1_writedata
    );


  --the_sysid_control_slave, which is an e_instance
  the_sysid_control_slave : sysid_control_slave_arbitrator
    port map(
      cpu_0_data_master_granted_sysid_control_slave => cpu_0_data_master_granted_sysid_control_slave,
      cpu_0_data_master_qualified_request_sysid_control_slave => cpu_0_data_master_qualified_request_sysid_control_slave,
      cpu_0_data_master_read_data_valid_sysid_control_slave => cpu_0_data_master_read_data_valid_sysid_control_slave,
      cpu_0_data_master_requests_sysid_control_slave => cpu_0_data_master_requests_sysid_control_slave,
      d1_sysid_control_slave_end_xfer => d1_sysid_control_slave_end_xfer,
      sysid_control_slave_address => sysid_control_slave_address,
      sysid_control_slave_readdata_from_sa => sysid_control_slave_readdata_from_sa,
      clk => clk,
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_write => cpu_0_data_master_write,
      reset_n => clk_reset_n,
      sysid_control_slave_readdata => sysid_control_slave_readdata
    );


  --the_sysid, which is an e_ptf_instance
  the_sysid : sysid
    port map(
      readdata => sysid_control_slave_readdata,
      address => sysid_control_slave_address
    );


  --the_timer_s1, which is an e_instance
  the_timer_s1 : timer_s1_arbitrator
    port map(
      cpu_0_data_master_granted_timer_s1 => cpu_0_data_master_granted_timer_s1,
      cpu_0_data_master_qualified_request_timer_s1 => cpu_0_data_master_qualified_request_timer_s1,
      cpu_0_data_master_read_data_valid_timer_s1 => cpu_0_data_master_read_data_valid_timer_s1,
      cpu_0_data_master_requests_timer_s1 => cpu_0_data_master_requests_timer_s1,
      d1_timer_s1_end_xfer => d1_timer_s1_end_xfer,
      timer_s1_address => timer_s1_address,
      timer_s1_chipselect => timer_s1_chipselect,
      timer_s1_irq_from_sa => timer_s1_irq_from_sa,
      timer_s1_readdata_from_sa => timer_s1_readdata_from_sa,
      timer_s1_reset_n => timer_s1_reset_n,
      timer_s1_write_n => timer_s1_write_n,
      timer_s1_writedata => timer_s1_writedata,
      clk => clk,
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_waitrequest => cpu_0_data_master_waitrequest,
      cpu_0_data_master_write => cpu_0_data_master_write,
      cpu_0_data_master_writedata => cpu_0_data_master_writedata,
      reset_n => clk_reset_n,
      timer_s1_irq => timer_s1_irq,
      timer_s1_readdata => timer_s1_readdata
    );


  --the_timer, which is an e_ptf_instance
  the_timer : timer
    port map(
      irq => timer_s1_irq,
      readdata => timer_s1_readdata,
      address => timer_s1_address,
      chipselect => timer_s1_chipselect,
      clk => clk,
      reset_n => timer_s1_reset_n,
      write_n => timer_s1_write_n,
      writedata => timer_s1_writedata
    );


  --the_tri_state_bridge_avalon_slave, which is an e_instance
  the_tri_state_bridge_avalon_slave : tri_state_bridge_avalon_slave_arbitrator
    port map(
      addr_to_the_cy7c1049cv33 => internal_addr_to_the_cy7c1049cv33,
      chipsel_n_to_the_cy7c1049cv33 => internal_chipsel_n_to_the_cy7c1049cv33,
      cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_byteenable_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_granted_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_data_master_requests_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_instruction_master_granted_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_instruction_master_qualified_request_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_instruction_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0,
      cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0 => cpu_0_instruction_master_requests_cy7c1049cv33_avalon_tristate_slave_0,
      cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0 => cy7c1049cv33_avalon_tristate_slave_0_wait_counter_eq_0,
      d1_tri_state_bridge_avalon_slave_end_xfer => d1_tri_state_bridge_avalon_slave_end_xfer,
      data_to_and_from_the_cy7c1049cv33 => data_to_and_from_the_cy7c1049cv33,
      incoming_data_to_and_from_the_cy7c1049cv33 => incoming_data_to_and_from_the_cy7c1049cv33,
      read_n_to_the_cy7c1049cv33 => internal_read_n_to_the_cy7c1049cv33,
      registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0 => registered_cpu_0_data_master_read_data_valid_cy7c1049cv33_avalon_tristate_slave_0,
      write_n_to_the_cy7c1049cv33 => internal_write_n_to_the_cy7c1049cv33,
      clk => clk,
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_byteenable => cpu_0_data_master_byteenable,
      cpu_0_data_master_dbs_address => cpu_0_data_master_dbs_address,
      cpu_0_data_master_dbs_write_8 => cpu_0_data_master_dbs_write_8,
      cpu_0_data_master_no_byte_enables_and_last_term => cpu_0_data_master_no_byte_enables_and_last_term,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_write => cpu_0_data_master_write,
      cpu_0_instruction_master_address_to_slave => cpu_0_instruction_master_address_to_slave,
      cpu_0_instruction_master_dbs_address => cpu_0_instruction_master_dbs_address,
      cpu_0_instruction_master_read => cpu_0_instruction_master_read,
      reset_n => clk_reset_n
    );


  --the_uart_s1, which is an e_instance
  the_uart_s1 : uart_s1_arbitrator
    port map(
      cpu_0_data_master_granted_uart_s1 => cpu_0_data_master_granted_uart_s1,
      cpu_0_data_master_qualified_request_uart_s1 => cpu_0_data_master_qualified_request_uart_s1,
      cpu_0_data_master_read_data_valid_uart_s1 => cpu_0_data_master_read_data_valid_uart_s1,
      cpu_0_data_master_requests_uart_s1 => cpu_0_data_master_requests_uart_s1,
      d1_uart_s1_end_xfer => d1_uart_s1_end_xfer,
      uart_s1_address => uart_s1_address,
      uart_s1_begintransfer => uart_s1_begintransfer,
      uart_s1_chipselect => uart_s1_chipselect,
      uart_s1_dataavailable_from_sa => uart_s1_dataavailable_from_sa,
      uart_s1_irq_from_sa => uart_s1_irq_from_sa,
      uart_s1_read_n => uart_s1_read_n,
      uart_s1_readdata_from_sa => uart_s1_readdata_from_sa,
      uart_s1_readyfordata_from_sa => uart_s1_readyfordata_from_sa,
      uart_s1_reset_n => uart_s1_reset_n,
      uart_s1_write_n => uart_s1_write_n,
      uart_s1_writedata => uart_s1_writedata,
      clk => clk,
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_write => cpu_0_data_master_write,
      cpu_0_data_master_writedata => cpu_0_data_master_writedata,
      reset_n => clk_reset_n,
      uart_s1_dataavailable => uart_s1_dataavailable,
      uart_s1_irq => uart_s1_irq,
      uart_s1_readdata => uart_s1_readdata,
      uart_s1_readyfordata => uart_s1_readyfordata
    );


  --the_uart, which is an e_ptf_instance
  the_uart : uart
    port map(
      dataavailable => uart_s1_dataavailable,
      irq => uart_s1_irq,
      readdata => uart_s1_readdata,
      readyfordata => uart_s1_readyfordata,
      txd => internal_txd_from_the_uart,
      address => uart_s1_address,
      begintransfer => uart_s1_begintransfer,
      chipselect => uart_s1_chipselect,
      clk => clk,
      read_n => uart_s1_read_n,
      reset_n => uart_s1_reset_n,
      rxd => rxd_to_the_uart,
      write_n => uart_s1_write_n,
      writedata => uart_s1_writedata
    );


  --the_vector_s1, which is an e_instance
  the_vector_s1 : vector_s1_arbitrator
    port map(
      cpu_0_data_master_granted_vector_s1 => cpu_0_data_master_granted_vector_s1,
      cpu_0_data_master_qualified_request_vector_s1 => cpu_0_data_master_qualified_request_vector_s1,
      cpu_0_data_master_read_data_valid_vector_s1 => cpu_0_data_master_read_data_valid_vector_s1,
      cpu_0_data_master_requests_vector_s1 => cpu_0_data_master_requests_vector_s1,
      cpu_0_instruction_master_granted_vector_s1 => cpu_0_instruction_master_granted_vector_s1,
      cpu_0_instruction_master_qualified_request_vector_s1 => cpu_0_instruction_master_qualified_request_vector_s1,
      cpu_0_instruction_master_read_data_valid_vector_s1 => cpu_0_instruction_master_read_data_valid_vector_s1,
      cpu_0_instruction_master_requests_vector_s1 => cpu_0_instruction_master_requests_vector_s1,
      d1_vector_s1_end_xfer => d1_vector_s1_end_xfer,
      registered_cpu_0_data_master_read_data_valid_vector_s1 => registered_cpu_0_data_master_read_data_valid_vector_s1,
      vector_s1_address => vector_s1_address,
      vector_s1_byteenable => vector_s1_byteenable,
      vector_s1_chipselect => vector_s1_chipselect,
      vector_s1_clken => vector_s1_clken,
      vector_s1_readdata_from_sa => vector_s1_readdata_from_sa,
      vector_s1_write => vector_s1_write,
      vector_s1_writedata => vector_s1_writedata,
      clk => clk,
      cpu_0_data_master_address_to_slave => cpu_0_data_master_address_to_slave,
      cpu_0_data_master_byteenable => cpu_0_data_master_byteenable,
      cpu_0_data_master_read => cpu_0_data_master_read,
      cpu_0_data_master_waitrequest => cpu_0_data_master_waitrequest,
      cpu_0_data_master_write => cpu_0_data_master_write,
      cpu_0_data_master_writedata => cpu_0_data_master_writedata,
      cpu_0_instruction_master_address_to_slave => cpu_0_instruction_master_address_to_slave,
      cpu_0_instruction_master_read => cpu_0_instruction_master_read,
      reset_n => clk_reset_n,
      vector_s1_readdata => vector_s1_readdata
    );


  --the_vector, which is an e_ptf_instance
  the_vector : vector
    port map(
      readdata => vector_s1_readdata,
      address => vector_s1_address,
      byteenable => vector_s1_byteenable,
      chipselect => vector_s1_chipselect,
      clk => clk,
      clken => vector_s1_clken,
      write => vector_s1_write,
      writedata => vector_s1_writedata
    );


  --reset is asserted asynchronously and deasserted synchronously
  quicnios_reset_clk_domain_synch : quicnios_reset_clk_domain_synch_module
    port map(
      data_out => clk_reset_n,
      clk => clk,
      data_in => module_input,
      reset_n => reset_n_sources
    );

  module_input <= std_logic'('1');

  --reset sources mux, which is an e_mux
  reset_n_sources <= Vector_To_Std_Logic(NOT (((((std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(NOT reset_n))) OR std_logic_vector'("00000000000000000000000000000000")) OR (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_jtag_debug_module_resetrequest_from_sa)))) OR (std_logic_vector'("0000000000000000000000000000000") & (A_TOSTDLOGICVECTOR(cpu_0_jtag_debug_module_resetrequest_from_sa))))));
  --vhdl renameroo for output signals
  addr_to_the_cy7c1049cv33 <= internal_addr_to_the_cy7c1049cv33;
  --vhdl renameroo for output signals
  chipsel_n_to_the_cy7c1049cv33 <= internal_chipsel_n_to_the_cy7c1049cv33;
  --vhdl renameroo for output signals
  dclk_from_the_epcs_flash_controller <= internal_dclk_from_the_epcs_flash_controller;
  --vhdl renameroo for output signals
  out_port_from_the_leds <= internal_out_port_from_the_leds;
  --vhdl renameroo for output signals
  read_n_to_the_cy7c1049cv33 <= internal_read_n_to_the_cy7c1049cv33;
  --vhdl renameroo for output signals
  sce_from_the_epcs_flash_controller <= internal_sce_from_the_epcs_flash_controller;
  --vhdl renameroo for output signals
  sdo_from_the_epcs_flash_controller <= internal_sdo_from_the_epcs_flash_controller;
  --vhdl renameroo for output signals
  txd_from_the_uart <= internal_txd_from_the_uart;
  --vhdl renameroo for output signals
  write_n_to_the_cy7c1049cv33 <= internal_write_n_to_the_cy7c1049cv33;

end europa;


--synthesis translate_off

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;



-- <ALTERA_NOTE> CODE INSERTED BETWEEN HERE
--add your libraries here
-- AND HERE WILL BE PRESERVED </ALTERA_NOTE>

entity test_bench is 
end entity test_bench;


architecture europa of test_bench is
component quicnios is 
           port (
                 -- 1) global signals:
                    signal clk : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;

                 -- the_epcs_flash_controller
                    signal data0_to_the_epcs_flash_controller : IN STD_LOGIC;
                    signal dclk_from_the_epcs_flash_controller : OUT STD_LOGIC;
                    signal sce_from_the_epcs_flash_controller : OUT STD_LOGIC;
                    signal sdo_from_the_epcs_flash_controller : OUT STD_LOGIC;

                 -- the_leds
                    signal out_port_from_the_leds : OUT STD_LOGIC_VECTOR (2 DOWNTO 0);

                 -- the_tri_state_bridge_avalon_slave
                    signal addr_to_the_cy7c1049cv33 : OUT STD_LOGIC_VECTOR (18 DOWNTO 0);
                    signal chipsel_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;
                    signal data_to_and_from_the_cy7c1049cv33 : INOUT STD_LOGIC_VECTOR (7 DOWNTO 0);
                    signal read_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;
                    signal write_n_to_the_cy7c1049cv33 : OUT STD_LOGIC;

                 -- the_uart
                    signal rxd_to_the_uart : IN STD_LOGIC;
                    signal txd_from_the_uart : OUT STD_LOGIC
                 );
end component quicnios;

                signal addr_to_the_cy7c1049cv33 :  STD_LOGIC_VECTOR (18 DOWNTO 0);
                signal chipsel_n_to_the_cy7c1049cv33 :  STD_LOGIC;
                signal clk :  STD_LOGIC;
                signal data0_to_the_epcs_flash_controller :  STD_LOGIC;
                signal data_to_and_from_the_cy7c1049cv33 :  STD_LOGIC_VECTOR (7 DOWNTO 0);
                signal dclk_from_the_epcs_flash_controller :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_dataavailable_from_sa :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_endofpacket_from_sa :  STD_LOGIC;
                signal epcs_flash_controller_epcs_control_port_readyfordata_from_sa :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_dataavailable_from_sa :  STD_LOGIC;
                signal jtag_uart_avalon_jtag_slave_readyfordata_from_sa :  STD_LOGIC;
                signal out_port_from_the_leds :  STD_LOGIC_VECTOR (2 DOWNTO 0);
                signal read_n_to_the_cy7c1049cv33 :  STD_LOGIC;
                signal reset_n :  STD_LOGIC;
                signal rxd_to_the_uart :  STD_LOGIC;
                signal sce_from_the_epcs_flash_controller :  STD_LOGIC;
                signal sdo_from_the_epcs_flash_controller :  STD_LOGIC;
                signal txd_from_the_uart :  STD_LOGIC;
                signal uart_s1_dataavailable_from_sa :  STD_LOGIC;
                signal uart_s1_readyfordata_from_sa :  STD_LOGIC;
                signal write_n_to_the_cy7c1049cv33 :  STD_LOGIC;


-- <ALTERA_NOTE> CODE INSERTED BETWEEN HERE
--add your component and signal declaration here
-- AND HERE WILL BE PRESERVED </ALTERA_NOTE>


begin

  --Set us up the Dut
  DUT : quicnios
    port map(
      addr_to_the_cy7c1049cv33 => addr_to_the_cy7c1049cv33,
      chipsel_n_to_the_cy7c1049cv33 => chipsel_n_to_the_cy7c1049cv33,
      data_to_and_from_the_cy7c1049cv33 => data_to_and_from_the_cy7c1049cv33,
      dclk_from_the_epcs_flash_controller => dclk_from_the_epcs_flash_controller,
      out_port_from_the_leds => out_port_from_the_leds,
      read_n_to_the_cy7c1049cv33 => read_n_to_the_cy7c1049cv33,
      sce_from_the_epcs_flash_controller => sce_from_the_epcs_flash_controller,
      sdo_from_the_epcs_flash_controller => sdo_from_the_epcs_flash_controller,
      txd_from_the_uart => txd_from_the_uart,
      write_n_to_the_cy7c1049cv33 => write_n_to_the_cy7c1049cv33,
      clk => clk,
      data0_to_the_epcs_flash_controller => data0_to_the_epcs_flash_controller,
      reset_n => reset_n,
      rxd_to_the_uart => rxd_to_the_uart
    );


  process
  begin
    clk <= '0';
    loop
       wait for 25 ns;
       clk <= not clk;
    end loop;
  end process;
  PROCESS
    BEGIN
       reset_n <= '0';
       wait for 500 ns;
       reset_n <= '1'; 
    WAIT;
  END PROCESS;


-- <ALTERA_NOTE> CODE INSERTED BETWEEN HERE
--add additional architecture here
-- AND HERE WILL BE PRESERVED </ALTERA_NOTE>


end europa;



--synthesis translate_on
